;	unicode string macros
; version 1.0
;
; by Aleksandr Tishin (aka Mystic-Mirage)
; august 2008
;
; mystic-mirage@mail.ru
;
;	supported codepages:
;
;	ISO 8859
; 28591	ISO-8859-1 (Latin 1)
; 28592	ISO-8859-2 (Latin 2)
; 28593 ISO-8859-3 (Latin 3)
; 28594 ISO-8859-4 (Baltic)
; 28595 ISO-8859-5 (Cyrillic)
; 28596 ISO-8859-6 (Arabic)
; 28597 ISO-8859-7 (Greek)
; 28598 ISO-8859-8 (Hebrew)
; 28599 ISO-8859-9 (Turkish)
; 28605 ISO-8859-15 (Latin 9)
;
;	OEM
; 437 (US)
; 720 (Arabic)
; 737 (Greek)
; 775 (Baltic)
; 850 (Multilingual Latin I)
; 852 (Latin II)
; 855 (Cyrillic)
; 857 (Turkish)
; 858 (Multilingual Latin I + Euro)
; 862 (Hebrew)
; 866 (Russian)
;
;	OEM/Windows
; 874 (Thai)
;
;	Windows
; 1250 (Central Europe)
; 1251 (Cyrillic)
; 1252 (Latin I)
; 1253 (Greek)
; 1254 (Turkish)
; 1255 (Hebrew)
; 1256 (Arabic)
; 1257 (Baltic)
; 1258 (Vietnam)
;
;	Unicode
; 65001/CP_UTF8	UTF-8
;
;;	NOT SUPPORTED:
;;
;; 932 (Japanese Shift-JIS)
;; 936 (Simplified Chinese GBK)
;; 949 (Korean)
;; 950 (Traditional Chinese Big5)
;
;	thx2:
; Philippe Coulombe (my macro based on his BStrData macro)
; Four-F (for escape characters examples)
;
; used info from:
; http://www.microsoft.com/globaldev/reference/cphome.mspx

; macro for internal use

repargw MACRO arg
	LOCAL nustr
	quot SUBSTR <arg>,1,1
	IFIDN quot,<">
		.data
			STRW nustr,arg
		.code
		EXITM <ADDR nustr>
	ELSE
		EXITM <arg>
	ENDIF
ENDM

; invoke enhancement (supports quoted text)
;
;  lines
; fnw MessageBox,ADDR Message,ADDR Caption,MB_OK
;  and
; invoke MessageBoxW,ADDR Message,ADDR Caption,MB_OK
;  are equal

fnw MACRO FuncName:REQ,args:VARARG
	arg CATSTR <invoke FuncName>,<W>
	FOR var,<args>
		arg CATSTR arg,<,repargw(&var)>
	ENDM
	arg
ENDM

; macro for nesting function calls in other invoke statements

FUNCW MACRO parameters:VARARG
	fnw parameters
	EXITM <eax>
ENDM

; this macro initialised unicode string value

STRW MACRO LabelName:REQ, Text:REQ, CodePage
	STRW_ LabelName,Text,CodePage
	.data
	word 0							; null char terminator
	align 4
	.code
ENDM

; macro for including external unicode string

STRWi MACRO File:REQ
	CP EQU <>
	IFNDEF _STRWi
		_STRWi EQU <>
	ENDIF
	FILE CATSTR <include >,_STRWi,<&File>,<.txt>
	FILE
	STRW File,<"TEXT">,CP
ENDM

; same as STRW_ macro but without label name
;  using:
; STRW_ Message,"This is the 1st line/n",1252
; STRWx "This is the 2nd line/n",1252
; STRWx "This is the 3rd line/0",1252

STRWx MACRO Text:REQ, CodePage
	LOCAL LabelName
	STRW_ LabelName,Text,CodePage
ENDM

; unicode string address in INVOKE format

SADDW MACRO arg:VARARG
	LOCAL nustr
		quot SUBSTR <arg>,1,1
	IFIDN quot,<">
		STRW nustr,arg
		EXITM <ADDR nustr>
	ELSE
		.err <SADDW macro error: You have missed quotes>
	ENDIF
ENDM

; unocode string OFFSET for manual coding

CTXTW MACRO arg:VARARG
	LOCAL nustr
		quot SUBSTR <arg>,1,1
	IFIDN quot,<">
		STRW nustr,arg
		EXITM <OFFSET nustr>
	ELSE
		.err <CTXTW macro error: You have missed quotes>
	ENDIF
ENDM

; main macro

STRW_ MACRO LabelName:REQ, Text:REQ, CodePage
	.data
	IFB <CodePage>
		IFDEF _STRW
			cp EQU _STRW
		ELSE
			.err <STRW_ macro error: Default codepage is not set>
		ENDIF 
	ELSE
		cp EQU <&CodePage>
	ENDIF
	lbl TEXTEQU <&LabelName>
	bypass = 0
	utf8 = 0
	quot SUBSTR <Text>,1,1
	IFDIF quot,<">						; IF 1st char != "
		.err <STRW_ macro error: You have missed quotes>
	ENDIF
	tsize SIZESTR <&Text>
	text SUBSTR <&Text>,2,tsize-2

	% FORC chr, <&text>
		IF bypass NE 0
			IF '&chr' EQ '/'			; // = slash
				lbl word '/'
			ELSEIF '&chr' EQ 'n'		; /n = new line
				lbl word 0Dh,0Ah
			ELSEIF '&chr' EQ ':'		; /: = exclamation
				lbl word '!'
			ELSEIF '&chr' EQ '-'		; /- = apostrophe or single quote
				lbl word "'"
			ELSEIF '&chr' EQ '='		; /= = double quote
				lbl word '"'
			ELSEIF '&chr' EQ '{'		; /{ = parenthese open
				lbl word '('
			ELSEIF '&chr' EQ '}'		; /} = parenthese close
				lbl word ')'
			ELSEIF '&chr' EQ '['		; /[ = chevron open
				lbl word '<'
			ELSEIF '&chr' EQ ']'		; /] = chevron close
				lbl word '>'
			ELSEIF '&chr' EQ '0'		; /0 = zero
				lbl word 0
			ELSE
				.err <STRW_ macro error: You have used an invalid option after the slash>
			ENDIF
			bypass = 0
			lbl TEXTEQU <>				; prevent label redefinition
		ELSEIF '&chr' EQ "/"
			bypass = 1
		ELSEIF cp EQ 65001		; UTF-8
			IF utf8 NE 0
					utf82 = '&chr'
				IF utf81 LT 11100000b
					lbl word (utf81-11000000b)*64+(utf82-10000000b)
					utf8 = 0
					lbl TEXTEQU <>
				ELSEIF utf8 EQ 2
					lbl word (utf81-11100000b)*4096+(utf82-10000000b)*64+('&chr'-10000000b)
					utf8 = 0
					lbl TEXTEQU <>
				ELSE
					utf8 = 2
				ENDIF
			ELSEIF '&chr' GE 11000000b
				utf81 = '&chr'
				utf8 = 1
			ELSEIF '&chr' LT 10000000b
				lbl word '&chr'
				lbl TEXTEQU <>
			ELSE
				.err <STRW_ macro error: You have used unsupported UTF-8 symbol>
			ENDIF
		ELSE
			IF cp EQ 28591		; ISO-8859-1 (Latin 1)
				lbl word '&chr'
			ELSEIF cp EQ 28592	; ISO-8859-2 (Latin 2)
				IF '&chr' EQ 0A1h
					lbl word 104h		; LATIN CAPITAL LETTER A WITH OGONEK
				ELSEIF '&chr' EQ 0A2h
					lbl word 2D8h		; BREVE
				ELSEIF '&chr' EQ 0A3h
					lbl word 141h		; LATIN CAPITAL LETTER L WITH STROKE
				ELSEIF '&chr' EQ 0A5h
					lbl word 13Dh		; LATIN CAPITAL LETTER L WITH CARON
				ELSEIF '&chr' EQ 0A6h
					lbl word 15Ah		; LATIN CAPITAL LETTER S WITH ACUTE
				ELSEIF '&chr' EQ 0A9h
					lbl word 160h		; LATIN CAPITAL LETTER S WITH CARON
				ELSEIF '&chr' EQ 0AAh
					lbl word 15Eh		; LATIN CAPITAL LETTER S WITH CEDILLA
				ELSEIF '&chr' EQ 0ABh
					lbl word 164h		; LATIN CAPITAL LETTER T WITH CARON
				ELSEIF '&chr' EQ 0ACh
					lbl word 179h		; LATIN CAPITAL LETTER Z WITH ACUTE
				ELSEIF '&chr' EQ 0AEh
					lbl word 17Dh		; LATIN CAPITAL LETTER Z WITH CARON
				ELSEIF '&chr' EQ 0AFh
					lbl word 17Bh		; LATIN CAPITAL LETTER Z WITH DOT ABOVE
				ELSEIF '&chr' EQ 0B1h
					lbl word 105h		; LATIN SMALL LETTER A WITH OGONEK
				ELSEIF '&chr' EQ 0B2h
					lbl word 2DBh		; OGONEK
				ELSEIF '&chr' EQ 0B3h
					lbl word 142h		; LATIN SMALL LETTER L WITH STROKE
				ELSEIF '&chr' EQ 0B5h
					lbl word 13Eh		; LATIN SMALL LETTER L WITH CARON
				ELSEIF '&chr' EQ 0B6h
					lbl word 15Bh		; LATIN SMALL LETTER S WITH ACUTE
				ELSEIF '&chr' EQ 0B7h
					lbl word 2C7h		; CARON
				ELSEIF '&chr' EQ 0B9h
					lbl word 161h		; LATIN SMALL LETTER S WITH CARON
				ELSEIF '&chr' EQ 0BAh
					lbl word 15Fh		; LATIN SMALL LETTER S WITH CEDILLA
				ELSEIF '&chr' EQ 0BBh
					lbl word 165h		; LATIN SMALL LETTER T WITH CARON
				ELSEIF '&chr' EQ 0BCh
					lbl word 17Ah		; LATIN SMALL LETTER Z WITH ACUTE
				ELSEIF '&chr' EQ 0BDh
					lbl word 2DDh		; DOUBLE ACUTE ACCENT
				ELSEIF '&chr' EQ 0BEh
					lbl word 17Eh		; LATIN SMALL LETTER Z WITH CARON
				ELSEIF '&chr' EQ 0BFh
					lbl word 17Ch		; LATIN SMALL LETTER Z WITH DOT ABOVE
				ELSEIF '&chr' EQ 0C0h
					lbl word 154h		; LATIN CAPITAL LETTER R WITH ACUTE
				ELSEIF '&chr' EQ 0C3h
					lbl word 102h		; LATIN CAPITAL LETTER A WITH BREVE
				ELSEIF '&chr' EQ 0C5h
					lbl word 139h		; LATIN CAPITAL LETTER L WITH ACUTE
				ELSEIF '&chr' EQ 0C6h
					lbl word 106h		; LATIN CAPITAL LETTER C WITH ACUTE
				ELSEIF '&chr' EQ 0C8h
					lbl word 10Ch		; LATIN CAPITAL LETTER C WITH CARON
				ELSEIF '&chr' EQ 0CAh
					lbl word 118h		; LATIN CAPITAL LETTER E WITH OGONEK
				ELSEIF '&chr' EQ 0CCh
					lbl word 11Ah		; LATIN CAPITAL LETTER E WITH CARON
				ELSEIF '&chr' EQ 0CFh
					lbl word 10Eh		; LATIN CAPITAL LETTER D WITH CARON
				ELSEIF '&chr' EQ 0D0h
					lbl word 110h		; LATIN CAPITAL LETTER D WITH STROKE
				ELSEIF '&chr' EQ 0D1h
					lbl word 143h		; LATIN CAPITAL LETTER N WITH ACUTE
				ELSEIF '&chr' EQ 0D2h
					lbl word 147h		; LATIN CAPITAL LETTER N WITH CARON
				ELSEIF '&chr' EQ 0D5h
					lbl word 150h		; LATIN CAPITAL LETTER O WITH DOUBLE ACUTE
				ELSEIF '&chr' EQ 0D8h
					lbl word 158h		; LATIN CAPITAL LETTER R WITH CARON
				ELSEIF '&chr' EQ 0D9h
					lbl word 16Eh		; LATIN CAPITAL LETTER U WITH RING ABOVE
				ELSEIF '&chr' EQ 0DBh
					lbl word 170h		; LATIN CAPITAL LETTER U WITH DOUBLE ACUTE
				ELSEIF '&chr' EQ 0DEh
					lbl word 162h		; LATIN CAPITAL LETTER T WITH CEDILLA
				ELSEIF '&chr' EQ 0E0h
					lbl word 155h		; LATIN SMALL LETTER R WITH ACUTE
				ELSEIF '&chr' EQ 0E3h
					lbl word 103h		; LATIN SMALL LETTER A WITH BREVE
				ELSEIF '&chr' EQ 0E5h
					lbl word 13Ah		; LATIN SMALL LETTER L WITH ACUTE
				ELSEIF '&chr' EQ 0E6h
					lbl word 107h		; LATIN SMALL LETTER C WITH ACUTE
				ELSEIF '&chr' EQ 0E8h
					lbl word 10Dh		; LATIN SMALL LETTER C WITH CARON
				ELSEIF '&chr' EQ 0EAh
					lbl word 119h		; LATIN SMALL LETTER E WITH OGONEK
				ELSEIF '&chr' EQ 0ECh
					lbl word 11Bh		; LATIN SMALL LETTER E WITH CARON
				ELSEIF '&chr' EQ 0EFh
					lbl word 10Fh		; LATIN SMALL LETTER D WITH CARON
				ELSEIF '&chr' EQ 0F0h
					lbl word 111h		; LATIN SMALL LETTER D WITH STROKE
				ELSEIF '&chr' EQ 0F1h
					lbl word 144h		; LATIN SMALL LETTER N WITH ACUTE
				ELSEIF '&chr' EQ 0F2h
					lbl word 148h		; LATIN SMALL LETTER N WITH CARON
				ELSEIF '&chr' EQ 0F5h
					lbl word 151h		; LATIN SMALL LETTER O WITH DOUBLE ACUTE
				ELSEIF '&chr' EQ 0F8h
					lbl word 159h		; LATIN SMALL LETTER R WITH CARON
				ELSEIF '&chr' EQ 0F9h
					lbl word 16Fh		; LATIN SMALL LETTER U WITH RING ABOVE
				ELSEIF '&chr' EQ 0FBh
					lbl word 171h		; LATIN SMALL LETTER U WITH DOUBLE ACUTE
				ELSEIF '&chr' EQ 0FEh
					lbl word 163h		; LATIN SMALL LETTER T WITH CEDILLA
				ELSEIF '&chr' EQ 0FFh
					lbl word 2D9h		; DOT ABOVE
				ELSE
					lbl word '&chr'
				ENDIF
			ELSEIF cp EQ 28593	; ISO-8859-3 (Latin 3)
				IF '&chr' EQ 0A1h
					lbl word 126h		; LATIN CAPITAL LETTER H WITH STROKE
				ELSEIF '&chr' EQ 0A2h
					lbl word 2D8h		; BREVE
				ELSEIF '&chr' EQ 0A6h
					lbl word 124h		; LATIN CAPITAL LETTER H WITH CIRCUMFLEX
				ELSEIF '&chr' EQ 0A9h
					lbl word 130h		; LATIN CAPITAL LETTER I WITH DOT ABOVE
				ELSEIF '&chr' EQ 0AAh
					lbl word 15Eh		; LATIN CAPITAL LETTER S WITH CEDILLA
				ELSEIF '&chr' EQ 0ABh
					lbl word 11Eh		; LATIN CAPITAL LETTER G WITH BREVE
				ELSEIF '&chr' EQ 0ACh
					lbl word 134h		; LATIN CAPITAL LETTER J WITH CIRCUMFLEX
				ELSEIF '&chr' EQ 0AFh
					lbl word 17Bh		; LATIN CAPITAL LETTER Z WITH DOT ABOVE
				ELSEIF '&chr' EQ 0B1h
					lbl word 127h		; LATIN SMALL LETTER H WITH STROKE
				ELSEIF '&chr' EQ 0B6h
					lbl word 125h		; LATIN SMALL LETTER H WITH CIRCUMFLEX
				ELSEIF '&chr' EQ 0B9h
					lbl word 131h		; LATIN SMALL LETTER DOTLESS I
				ELSEIF '&chr' EQ 0BAh
					lbl word 15Fh		; LATIN SMALL LETTER S WITH CEDILLA
				ELSEIF '&chr' EQ 0BBh
					lbl word 11Fh		; LATIN SMALL LETTER G WITH BREVE
				ELSEIF '&chr' EQ 0BCh
					lbl word 135h		; LATIN SMALL LETTER J WITH CIRCUMFLEX
				ELSEIF '&chr' EQ 0BFh
					lbl word 17Ch		; LATIN SMALL LETTER Z WITH DOT ABOVE
				ELSEIF '&chr' EQ 0C5h
					lbl word 10Ah		; LATIN CAPITAL LETTER C WITH DOT ABOVE
				ELSEIF '&chr' EQ 0C6h
					lbl word 108h		; LATIN CAPITAL LETTER C WITH CIRCUMFLEX
				ELSEIF '&chr' EQ 0D5h
					lbl word 120h		; LATIN CAPITAL LETTER G WITH DOT ABOVE
				ELSEIF '&chr' EQ 0D8h
					lbl word 11Ch		; LATIN CAPITAL LETTER G WITH CIRCUMFLEX
				ELSEIF '&chr' EQ 0DDh
					lbl word 16Ch		; LATIN CAPITAL LETTER U WITH BREVE
				ELSEIF '&chr' EQ 0DEh
					lbl word 15Ch		; LATIN CAPITAL LETTER S WITH CIRCUMFLEX
				ELSEIF '&chr' EQ 0E5h
					lbl word 10Bh		; LATIN SMALL LETTER C WITH DOT ABOVE
				ELSEIF '&chr' EQ 0E6h
					lbl word 109h		; LATIN SMALL LETTER C WITH CIRCUMFLEX
				ELSEIF '&chr' EQ 0F5h
					lbl word 121h		; LATIN SMALL LETTER G WITH DOT ABOVE
				ELSEIF '&chr' EQ 0F8h
					lbl word 11Dh		; LATIN SMALL LETTER G WITH CIRCUMFLEX
				ELSEIF '&chr' EQ 0FDh
					lbl word 16Dh		; LATIN SMALL LETTER U WITH BREVE
				ELSEIF '&chr' EQ 0FEh
					lbl word 15Dh		; LATIN SMALL LETTER S WITH CIRCUMFLEX
				ELSEIF '&chr' EQ 0FFh
					lbl word 2D9h		; DOT ABOVE
				ELSE
					lbl word '&chr'
				ENDIF
			ELSEIF cp EQ 28594	; ISO-8859-4 (Baltic)
				IF '&chr' EQ 0A1h
					lbl word 104h		; LATIN CAPITAL LETTER A WITH OGONEK
				ELSEIF '&chr' EQ 0A2h
					lbl word 138h		; LATIN SMALL LETTER KRA
				ELSEIF '&chr' EQ 0A3h
					lbl word 156h		; LATIN CAPITAL LETTER R WITH CEDILLA
				ELSEIF '&chr' EQ 0A5h
					lbl word 128h		; LATIN CAPITAL LETTER I WITH TILDE
				ELSEIF '&chr' EQ 0A6h
					lbl word 13Bh		; LATIN CAPITAL LETTER L WITH CEDILLA
				ELSEIF '&chr' EQ 0A9h
					lbl word 160h		; LATIN CAPITAL LETTER S WITH CARON
				ELSEIF '&chr' EQ 0AAh
					lbl word 112h		; LATIN CAPITAL LETTER E WITH MACRON
				ELSEIF '&chr' EQ 0ABh
					lbl word 122h		; LATIN CAPITAL LETTER G WITH CEDILLA
				ELSEIF '&chr' EQ 0ACh
					lbl word 166h		; LATIN CAPITAL LETTER T WITH STROKE
				ELSEIF '&chr' EQ 0AEh
					lbl word 17Dh		; LATIN CAPITAL LETTER Z WITH CARON
				ELSEIF '&chr' EQ 0B1h
					lbl word 105h		; LATIN SMALL LETTER A WITH OGONEK
				ELSEIF '&chr' EQ 0B2h
					lbl word 2DBh		; OGONEK
				ELSEIF '&chr' EQ 0B3h
					lbl word 157h		; LATIN SMALL LETTER R WITH CEDILLA
				ELSEIF '&chr' EQ 0B5h
					lbl word 129h		; LATIN SMALL LETTER I WITH TILDE
				ELSEIF '&chr' EQ 0B6h
					lbl word 13Ch		; LATIN SMALL LETTER L WITH CEDILLA
				ELSEIF '&chr' EQ 0B7h
					lbl word 2C7h		; CARON
				ELSEIF '&chr' EQ 0B9h
					lbl word 161h		; LATIN SMALL LETTER S WITH CARON
				ELSEIF '&chr' EQ 0BAh
					lbl word 113h		; LATIN SMALL LETTER E WITH MACRON
				ELSEIF '&chr' EQ 0BBh
					lbl word 123h		; LATIN SMALL LETTER G WITH CEDILLA
				ELSEIF '&chr' EQ 0BCh
					lbl word 167h		; LATIN SMALL LETTER T WITH STROKE
				ELSEIF '&chr' EQ 0BDh
					lbl word 14Ah		; LATIN CAPITAL LETTER ENG
				ELSEIF '&chr' EQ 0BEh
					lbl word 17Eh		; LATIN SMALL LETTER Z WITH CARON
				ELSEIF '&chr' EQ 0BFh
					lbl word 14Bh		; LATIN SMALL LETTER ENG
				ELSEIF '&chr' EQ 0C0h
					lbl word 100h		; LATIN CAPITAL LETTER A WITH MACRON
				ELSEIF '&chr' EQ 0C7h
					lbl word 12Eh		; LATIN CAPITAL LETTER I WITH OGONEK
				ELSEIF '&chr' EQ 0C8h
					lbl word 10Ch		; LATIN CAPITAL LETTER C WITH CARON
				ELSEIF '&chr' EQ 0CAh
					lbl word 118h		; LATIN CAPITAL LETTER E WITH OGONEK
				ELSEIF '&chr' EQ 0CCh
					lbl word 116h		; LATIN CAPITAL LETTER E WITH DOT ABOVE
				ELSEIF '&chr' EQ 0CFh
					lbl word 12Ah		; LATIN CAPITAL LETTER I WITH MACRON
				ELSEIF '&chr' EQ 0D0h
					lbl word 110h		; LATIN CAPITAL LETTER D WITH STROKE
				ELSEIF '&chr' EQ 0D1h
					lbl word 145h		; LATIN CAPITAL LETTER N WITH CEDILLA
				ELSEIF '&chr' EQ 0D2h
					lbl word 14Ch		; LATIN CAPITAL LETTER O WITH MACRON
				ELSEIF '&chr' EQ 0D3h
					lbl word 136h		; LATIN CAPITAL LETTER K WITH CEDILLA
				ELSEIF '&chr' EQ 0D9h
					lbl word 172h		; LATIN CAPITAL LETTER U WITH OGONEK
				ELSEIF '&chr' EQ 0DDh
					lbl word 168h		; LATIN CAPITAL LETTER U WITH TILDE
				ELSEIF '&chr' EQ 0DEh
					lbl word 16Ah		; LATIN CAPITAL LETTER U WITH MACRON
				ELSEIF '&chr' EQ 0E0h
					lbl word 101h		; LATIN SMALL LETTER A WITH MACRON
				ELSEIF '&chr' EQ 0E7h
					lbl word 12Fh		; LATIN SMALL LETTER I WITH OGONEK
				ELSEIF '&chr' EQ 0E8h
					lbl word 10Dh		; LATIN SMALL LETTER C WITH CARON
				ELSEIF '&chr' EQ 0EAh
					lbl word 119h		; LATIN SMALL LETTER E WITH OGONEK
				ELSEIF '&chr' EQ 0ECh
					lbl word 117h		; LATIN SMALL LETTER E WITH DOT ABOVE
				ELSEIF '&chr' EQ 0EFh
					lbl word 12Bh		; LATIN SMALL LETTER I WITH MACRON
				ELSEIF '&chr' EQ 0F0h
					lbl word 111h		; LATIN SMALL LETTER D WITH STROKE
				ELSEIF '&chr' EQ 0F1h
					lbl word 146h		; LATIN SMALL LETTER N WITH CEDILLA
				ELSEIF '&chr' EQ 0F2h
					lbl word 14Dh		; LATIN SMALL LETTER O WITH MACRON
				ELSEIF '&chr' EQ 0F3h
					lbl word 137h		; LATIN SMALL LETTER K WITH CEDILLA
				ELSEIF '&chr' EQ 0F9h
					lbl word 173h		; LATIN SMALL LETTER U WITH OGONEK
				ELSEIF '&chr' EQ 0FDh
					lbl word 169h		; LATIN SMALL LETTER U WITH TILDE
				ELSEIF '&chr' EQ 0FEh
					lbl word 16Bh		; LATIN SMALL LETTER U WITH MACRON
				ELSEIF '&chr' EQ 0FFh
					lbl word 2D9h		; DOT ABOVE
				ELSE
					lbl word '&chr'
				ENDIF
			ELSEIF cp EQ 28595	; ISO-8859-5 (Cyrillic)
				IF '&chr' EQ 0A1h
					lbl word 401h		; CYRILLIC CAPITAL LETTER IO
				ELSEIF '&chr' EQ 0A2h
					lbl word 402h		; CYRILLIC CAPITAL LETTER DJE
				ELSEIF '&chr' EQ 0A3h
					lbl word 403h		; CYRILLIC CAPITAL LETTER GJE
				ELSEIF '&chr' EQ 0A4h
					lbl word 404h		; CYRILLIC CAPITAL LETTER UKRAINIAN IE
				ELSEIF '&chr' EQ 0A5h
					lbl word 405h		; CYRILLIC CAPITAL LETTER DZE
				ELSEIF '&chr' EQ 0A6h
					lbl word 406h		; CYRILLIC CAPITAL LETTER BYELORUSSIAN-UKRAINIAN I
				ELSEIF '&chr' EQ 0A7h
					lbl word 407h		; CYRILLIC CAPITAL LETTER YI
				ELSEIF '&chr' EQ 0A8h
					lbl word 408h		; CYRILLIC CAPITAL LETTER JE
				ELSEIF '&chr' EQ 0A9h
					lbl word 409h		; CYRILLIC CAPITAL LETTER LJE
				ELSEIF '&chr' EQ 0AAh
					lbl word 40Ah		; CYRILLIC CAPITAL LETTER NJE
				ELSEIF '&chr' EQ 0ABh
					lbl word 40Bh		; CYRILLIC CAPITAL LETTER TSHE
				ELSEIF '&chr' EQ 0ACh
					lbl word 40Ch		; CYRILLIC CAPITAL LETTER KJE
				ELSEIF '&chr' EQ 0AEh
					lbl word 40Eh		; CYRILLIC CAPITAL LETTER SHORT U
				ELSEIF '&chr' EQ 0AFh
					lbl word 40Fh		; CYRILLIC CAPITAL LETTER DZHE
				ELSEIF '&chr' EQ 0B0h
					lbl word 410h		; CYRILLIC CAPITAL LETTER A
				ELSEIF '&chr' EQ 0B1h
					lbl word 411h		; CYRILLIC CAPITAL LETTER BE
				ELSEIF '&chr' EQ 0B2h
					lbl word 412h		; CYRILLIC CAPITAL LETTER VE
				ELSEIF '&chr' EQ 0B3h
					lbl word 413h		; CYRILLIC CAPITAL LETTER GHE
				ELSEIF '&chr' EQ 0B4h
					lbl word 414h		; CYRILLIC CAPITAL LETTER DE
				ELSEIF '&chr' EQ 0B5h
					lbl word 415h		; CYRILLIC CAPITAL LETTER IE
				ELSEIF '&chr' EQ 0B6h
					lbl word 416h		; CYRILLIC CAPITAL LETTER ZHE
				ELSEIF '&chr' EQ 0B7h
					lbl word 417h		; CYRILLIC CAPITAL LETTER ZE
				ELSEIF '&chr' EQ 0B8h
					lbl word 418h		; CYRILLIC CAPITAL LETTER I
				ELSEIF '&chr' EQ 0B9h
					lbl word 419h		; CYRILLIC CAPITAL LETTER SHORT I
				ELSEIF '&chr' EQ 0BAh
					lbl word 41Ah		; CYRILLIC CAPITAL LETTER KA
				ELSEIF '&chr' EQ 0BBh
					lbl word 41Bh		; CYRILLIC CAPITAL LETTER EL
				ELSEIF '&chr' EQ 0BCh
					lbl word 41Ch		; CYRILLIC CAPITAL LETTER EM
				ELSEIF '&chr' EQ 0BDh
					lbl word 41Dh		; CYRILLIC CAPITAL LETTER EN
				ELSEIF '&chr' EQ 0BEh
					lbl word 41Eh		; CYRILLIC CAPITAL LETTER O
				ELSEIF '&chr' EQ 0BFh
					lbl word 41Fh		; CYRILLIC CAPITAL LETTER PE
				ELSEIF '&chr' EQ 0C0h
					lbl word 420h		; CYRILLIC CAPITAL LETTER ER
				ELSEIF '&chr' EQ 0C1h
					lbl word 421h		; CYRILLIC CAPITAL LETTER ES
				ELSEIF '&chr' EQ 0C2h
					lbl word 422h		; CYRILLIC CAPITAL LETTER TE
				ELSEIF '&chr' EQ 0C3h
					lbl word 423h		; CYRILLIC CAPITAL LETTER U
				ELSEIF '&chr' EQ 0C4h
					lbl word 424h		; CYRILLIC CAPITAL LETTER EF
				ELSEIF '&chr' EQ 0C5h
					lbl word 425h		; CYRILLIC CAPITAL LETTER HA
				ELSEIF '&chr' EQ 0C6h
					lbl word 426h		; CYRILLIC CAPITAL LETTER TSE
				ELSEIF '&chr' EQ 0C7h
					lbl word 427h		; CYRILLIC CAPITAL LETTER CHE
				ELSEIF '&chr' EQ 0C8h
					lbl word 428h		; CYRILLIC CAPITAL LETTER SHA
				ELSEIF '&chr' EQ 0C9h
					lbl word 429h		; CYRILLIC CAPITAL LETTER SHCHA
				ELSEIF '&chr' EQ 0CAh
					lbl word 42Ah		; CYRILLIC CAPITAL LETTER HARD SIGN
				ELSEIF '&chr' EQ 0CBh
					lbl word 42Bh		; CYRILLIC CAPITAL LETTER YERU
				ELSEIF '&chr' EQ 0CCh
					lbl word 42Ch		; CYRILLIC CAPITAL LETTER SOFT SIGN
				ELSEIF '&chr' EQ 0CDh
					lbl word 42Dh		; CYRILLIC CAPITAL LETTER E
				ELSEIF '&chr' EQ 0CEh
					lbl word 42Eh		; CYRILLIC CAPITAL LETTER YU
				ELSEIF '&chr' EQ 0CFh
					lbl word 42Fh		; CYRILLIC CAPITAL LETTER YA
				ELSEIF '&chr' EQ 0D0h
					lbl word 430h		; CYRILLIC SMALL LETTER A
				ELSEIF '&chr' EQ 0D1h
					lbl word 431h		; CYRILLIC SMALL LETTER BE
				ELSEIF '&chr' EQ 0D2h
					lbl word 432h		; CYRILLIC SMALL LETTER VE
				ELSEIF '&chr' EQ 0D3h
					lbl word 433h		; CYRILLIC SMALL LETTER GHE
				ELSEIF '&chr' EQ 0D4h
					lbl word 434h		; CYRILLIC SMALL LETTER DE
				ELSEIF '&chr' EQ 0D5h
					lbl word 435h		; CYRILLIC SMALL LETTER IE
				ELSEIF '&chr' EQ 0D6h
					lbl word 436h		; CYRILLIC SMALL LETTER ZHE
				ELSEIF '&chr' EQ 0D7h
					lbl word 437h		; CYRILLIC SMALL LETTER ZE
				ELSEIF '&chr' EQ 0D8h
					lbl word 438h		; CYRILLIC SMALL LETTER I
				ELSEIF '&chr' EQ 0D9h
					lbl word 439h		; CYRILLIC SMALL LETTER SHORT I
				ELSEIF '&chr' EQ 0DAh
					lbl word 43Ah		; CYRILLIC SMALL LETTER KA
				ELSEIF '&chr' EQ 0DBh
					lbl word 43Bh		; CYRILLIC SMALL LETTER EL
				ELSEIF '&chr' EQ 0DCh
					lbl word 43Ch		; CYRILLIC SMALL LETTER EM
				ELSEIF '&chr' EQ 0DDh
					lbl word 43Dh		; CYRILLIC SMALL LETTER EN
				ELSEIF '&chr' EQ 0DEh
					lbl word 43Eh		; CYRILLIC SMALL LETTER O
				ELSEIF '&chr' EQ 0DFh
					lbl word 43Fh		; CYRILLIC SMALL LETTER PE
				ELSEIF '&chr' EQ 0E0h
					lbl word 440h		; CYRILLIC SMALL LETTER ER
				ELSEIF '&chr' EQ 0E1h
					lbl word 441h		; CYRILLIC SMALL LETTER ES
				ELSEIF '&chr' EQ 0E2h
					lbl word 442h		; CYRILLIC SMALL LETTER TE
				ELSEIF '&chr' EQ 0E3h
					lbl word 443h		; CYRILLIC SMALL LETTER U
				ELSEIF '&chr' EQ 0E4h
					lbl word 444h		; CYRILLIC SMALL LETTER EF
				ELSEIF '&chr' EQ 0E5h
					lbl word 445h		; CYRILLIC SMALL LETTER HA
				ELSEIF '&chr' EQ 0E6h
					lbl word 446h		; CYRILLIC SMALL LETTER TSE
				ELSEIF '&chr' EQ 0E7h
					lbl word 447h		; CYRILLIC SMALL LETTER CHE
				ELSEIF '&chr' EQ 0E8h
					lbl word 448h		; CYRILLIC SMALL LETTER SHA
				ELSEIF '&chr' EQ 0E9h
					lbl word 449h		; CYRILLIC SMALL LETTER SHCHA
				ELSEIF '&chr' EQ 0EAh
					lbl word 44Ah		; CYRILLIC SMALL LETTER HARD SIGN
				ELSEIF '&chr' EQ 0EBh
					lbl word 44Bh		; CYRILLIC SMALL LETTER YERU
				ELSEIF '&chr' EQ 0ECh
					lbl word 44Ch		; CYRILLIC SMALL LETTER SOFT SIGN
				ELSEIF '&chr' EQ 0EDh
					lbl word 44Dh		; CYRILLIC SMALL LETTER E
				ELSEIF '&chr' EQ 0EEh
					lbl word 44Eh		; CYRILLIC SMALL LETTER YU
				ELSEIF '&chr' EQ 0EFh
					lbl word 44Fh		; CYRILLIC SMALL LETTER YA
				ELSEIF '&chr' EQ 0F0h
					lbl word 2116h		; NUMERO SIGN
				ELSEIF '&chr' EQ 0F1h
					lbl word 451h		; CYRILLIC SMALL LETTER IO
				ELSEIF '&chr' EQ 0F2h
					lbl word 452h		; CYRILLIC SMALL LETTER DJE
				ELSEIF '&chr' EQ 0F3h
					lbl word 453h		; CYRILLIC SMALL LETTER GJE
				ELSEIF '&chr' EQ 0F4h
					lbl word 454h		; CYRILLIC SMALL LETTER UKRAINIAN IE
				ELSEIF '&chr' EQ 0F5h
					lbl word 455h		; CYRILLIC SMALL LETTER DZE
				ELSEIF '&chr' EQ 0F6h
					lbl word 456h		; CYRILLIC SMALL LETTER BYELORUSSIAN-UKRAINIAN I
				ELSEIF '&chr' EQ 0F7h
					lbl word 457h		; CYRILLIC SMALL LETTER YI
				ELSEIF '&chr' EQ 0F8h
					lbl word 458h		; CYRILLIC SMALL LETTER JE
				ELSEIF '&chr' EQ 0F9h
					lbl word 459h		; CYRILLIC SMALL LETTER LJE
				ELSEIF '&chr' EQ 0FAh
					lbl word 45Ah		; CYRILLIC SMALL LETTER NJE
				ELSEIF '&chr' EQ 0FBh
					lbl word 45Bh		; CYRILLIC SMALL LETTER TSHE
				ELSEIF '&chr' EQ 0FCh
					lbl word 45Ch		; CYRILLIC SMALL LETTER KJE
				ELSEIF '&chr' EQ 0FDh
					lbl word 0A7h		; SECTION SIGN
				ELSEIF '&chr' EQ 0FEh
					lbl word 45Eh		; CYRILLIC SMALL LETTER SHORT U
				ELSEIF '&chr' EQ 0FFh
					lbl word 45Fh		; CYRILLIC SMALL LETTER DZHE
				ELSE
					lbl word '&chr'
				ENDIF
			ELSEIF cp EQ 28596	; ISO-8859-6 (Arabic)
				IF '&chr' EQ 0ACh
					lbl word 60Ch		; ARABIC COMMA
				ELSEIF '&chr' EQ 0BBh
					lbl word 61Bh		; ARABIC SEMICOLON
				ELSEIF '&chr' EQ 0BFh
					lbl word 61Fh		; ARABIC QUESTION MARK
				ELSEIF '&chr' EQ 0C1h
					lbl word 621h		; ARABIC LETTER HAMZA
				ELSEIF '&chr' EQ 0C2h
					lbl word 622h		; ARABIC LETTER ALEF WITH MADDA ABOVE
				ELSEIF '&chr' EQ 0C3h
					lbl word 623h		; ARABIC LETTER ALEF WITH HAMZA ABOVE
				ELSEIF '&chr' EQ 0C4h
					lbl word 624h		; ARABIC LETTER WAW WITH HAMZA ABOVE
				ELSEIF '&chr' EQ 0C5h
					lbl word 625h		; ARABIC LETTER ALEF WITH HAMZA BELOW
				ELSEIF '&chr' EQ 0C6h
					lbl word 626h		; ARABIC LETTER YEH WITH HAMZA ABOVE
				ELSEIF '&chr' EQ 0C7h
					lbl word 627h		; ARABIC LETTER ALEF
				ELSEIF '&chr' EQ 0C8h
					lbl word 628h		; ARABIC LETTER BEH
				ELSEIF '&chr' EQ 0C9h
					lbl word 629h		; ARABIC LETTER TEH MARBUTA
				ELSEIF '&chr' EQ 0CAh
					lbl word 62Ah		; ARABIC LETTER TEH
				ELSEIF '&chr' EQ 0CBh
					lbl word 62Bh		; ARABIC LETTER THEH
				ELSEIF '&chr' EQ 0CCh
					lbl word 62Ch		; ARABIC LETTER JEEM
				ELSEIF '&chr' EQ 0CDh
					lbl word 62Dh		; ARABIC LETTER HAH
				ELSEIF '&chr' EQ 0CEh
					lbl word 62Eh		; ARABIC LETTER KHAH
				ELSEIF '&chr' EQ 0CFh
					lbl word 62Fh		; ARABIC LETTER DAL
				ELSEIF '&chr' EQ 0D0h
					lbl word 630h		; ARABIC LETTER THAL
				ELSEIF '&chr' EQ 0D1h
					lbl word 631h		; ARABIC LETTER REH
				ELSEIF '&chr' EQ 0D2h
					lbl word 632h		; ARABIC LETTER ZAIN
				ELSEIF '&chr' EQ 0D3h
					lbl word 633h		; ARABIC LETTER SEEN
				ELSEIF '&chr' EQ 0D4h
					lbl word 634h		; ARABIC LETTER SHEEN
				ELSEIF '&chr' EQ 0D5h
					lbl word 635h		; ARABIC LETTER SAD
				ELSEIF '&chr' EQ 0D6h
					lbl word 636h		; ARABIC LETTER DAD
				ELSEIF '&chr' EQ 0D7h
					lbl word 637h		; ARABIC LETTER TAH
				ELSEIF '&chr' EQ 0D8h
					lbl word 638h		; ARABIC LETTER ZAH
				ELSEIF '&chr' EQ 0D9h
					lbl word 639h		; ARABIC LETTER AIN
				ELSEIF '&chr' EQ 0DAh
					lbl word 63Ah		; ARABIC LETTER GHAIN
				ELSEIF '&chr' EQ 0E0h
					lbl word 640h		; ARABIC TATWEEL
				ELSEIF '&chr' EQ 0E1h
					lbl word 641h		; ARABIC LETTER FEH
				ELSEIF '&chr' EQ 0E2h
					lbl word 642h		; ARABIC LETTER QAF
				ELSEIF '&chr' EQ 0E3h
					lbl word 643h		; ARABIC LETTER KAF
				ELSEIF '&chr' EQ 0E4h
					lbl word 644h		; ARABIC LETTER LAM
				ELSEIF '&chr' EQ 0E5h
					lbl word 645h		; ARABIC LETTER MEEM
				ELSEIF '&chr' EQ 0E6h
					lbl word 646h		; ARABIC LETTER NOON
				ELSEIF '&chr' EQ 0E7h
					lbl word 647h		; ARABIC LETTER HEH
				ELSEIF '&chr' EQ 0E8h
					lbl word 648h		; ARABIC LETTER WAW
				ELSEIF '&chr' EQ 0E9h
					lbl word 649h		; ARABIC LETTER ALEF MAKSURA
				ELSEIF '&chr' EQ 0EAh
					lbl word 64Ah		; ARABIC LETTER YEH
				ELSEIF '&chr' EQ 0EBh
					lbl word 64Bh		; ARABIC FATHATAN
				ELSEIF '&chr' EQ 0ECh
					lbl word 64Ch		; ARABIC DAMMATAN
				ELSEIF '&chr' EQ 0EDh
					lbl word 64Dh		; ARABIC KASRATAN
				ELSEIF '&chr' EQ 0EEh
					lbl word 64Eh		; ARABIC FATHA
				ELSEIF '&chr' EQ 0EFh
					lbl word 64Fh		; ARABIC DAMMA
				ELSEIF '&chr' EQ 0F0h
					lbl word 650h		; ARABIC KASRA
				ELSEIF '&chr' EQ 0F1h
					lbl word 651h		; ARABIC SHADDA
				ELSEIF '&chr' EQ 0F2h
					lbl word 652h		; ARABIC SUKUN
				ELSE
					lbl word '&chr'
				ENDIF
			ELSEIF cp EQ 28597	; ISO-8859-7 (Greek)
				IF '&chr' EQ 0A1h
					lbl word 2BDh		; MODIFIER LETTER REVERSED COMMA
				ELSEIF '&chr' EQ 0A2h
					lbl word 2BCh		; MODIFIER LETTER APOSTROPHE
				ELSEIF '&chr' EQ 0AFh
					lbl word 2015h		; HORIZONTAL BAR
				ELSEIF '&chr' EQ 0B4h
					lbl word 384h		; GREEK TONOS
				ELSEIF '&chr' EQ 0B5h
					lbl word 385h		; GREEK DIALYTIKA TONOS
				ELSEIF '&chr' EQ 0B6h
					lbl word 386h		; GREEK CAPITAL LETTER ALPHA WITH TONOS
				ELSEIF '&chr' EQ 0B8h
					lbl word 388h		; GREEK CAPITAL LETTER EPSILON WITH TONOS
				ELSEIF '&chr' EQ 0B9h
					lbl word 389h		; GREEK CAPITAL LETTER ETA WITH TONOS
				ELSEIF '&chr' EQ 0BAh
					lbl word 38Ah		; GREEK CAPITAL LETTER IOTA WITH TONOS
				ELSEIF '&chr' EQ 0BCh
					lbl word 38Ch		; GREEK CAPITAL LETTER OMICRON WITH TONOS
				ELSEIF '&chr' EQ 0BEh
					lbl word 38Eh		; GREEK CAPITAL LETTER UPSILON WITH TONOS
				ELSEIF '&chr' EQ 0BFh
					lbl word 38Fh		; GREEK CAPITAL LETTER OMEGA WITH TONOS
				ELSEIF '&chr' EQ 0C0h
					lbl word 390h		; GREEK SMALL LETTER IOTA WITH DIALYTIKA AND TONOS
				ELSEIF '&chr' EQ 0C1h
					lbl word 391h		; GREEK CAPITAL LETTER ALPHA
				ELSEIF '&chr' EQ 0C2h
					lbl word 392h		; GREEK CAPITAL LETTER BETA
				ELSEIF '&chr' EQ 0C3h
					lbl word 393h		; GREEK CAPITAL LETTER GAMMA
				ELSEIF '&chr' EQ 0C4h
					lbl word 394h		; GREEK CAPITAL LETTER DELTA
				ELSEIF '&chr' EQ 0C5h
					lbl word 395h		; GREEK CAPITAL LETTER EPSILON
				ELSEIF '&chr' EQ 0C6h
					lbl word 396h		; GREEK CAPITAL LETTER ZETA
				ELSEIF '&chr' EQ 0C7h
					lbl word 397h		; GREEK CAPITAL LETTER ETA
				ELSEIF '&chr' EQ 0C8h
					lbl word 398h		; GREEK CAPITAL LETTER THETA
				ELSEIF '&chr' EQ 0C9h
					lbl word 399h		; GREEK CAPITAL LETTER IOTA
				ELSEIF '&chr' EQ 0CAh
					lbl word 39Ah		; GREEK CAPITAL LETTER KAPPA
				ELSEIF '&chr' EQ 0CBh
					lbl word 39Bh		; GREEK CAPITAL LETTER LAMDA
				ELSEIF '&chr' EQ 0CCh
					lbl word 39Ch		; GREEK CAPITAL LETTER MU
				ELSEIF '&chr' EQ 0CDh
					lbl word 39Dh		; GREEK CAPITAL LETTER NU
				ELSEIF '&chr' EQ 0CEh
					lbl word 39Eh		; GREEK CAPITAL LETTER XI
				ELSEIF '&chr' EQ 0CFh
					lbl word 39Fh		; GREEK CAPITAL LETTER OMICRON
				ELSEIF '&chr' EQ 0D0h
					lbl word 3A0h		; GREEK CAPITAL LETTER PI
				ELSEIF '&chr' EQ 0D1h
					lbl word 3A1h		; GREEK CAPITAL LETTER RHO
				ELSEIF '&chr' EQ 0D3h
					lbl word 3A3h		; GREEK CAPITAL LETTER SIGMA
				ELSEIF '&chr' EQ 0D4h
					lbl word 3A4h		; GREEK CAPITAL LETTER TAU
				ELSEIF '&chr' EQ 0D5h
					lbl word 3A5h		; GREEK CAPITAL LETTER UPSILON
				ELSEIF '&chr' EQ 0D6h
					lbl word 3A6h		; GREEK CAPITAL LETTER PHI
				ELSEIF '&chr' EQ 0D7h
					lbl word 3A7h		; GREEK CAPITAL LETTER CHI
				ELSEIF '&chr' EQ 0D8h
					lbl word 3A8h		; GREEK CAPITAL LETTER PSI
				ELSEIF '&chr' EQ 0D9h
					lbl word 3A9h		; GREEK CAPITAL LETTER OMEGA
				ELSEIF '&chr' EQ 0DAh
					lbl word 3AAh		; GREEK CAPITAL LETTER IOTA WITH DIALYTIKA
				ELSEIF '&chr' EQ 0DBh
					lbl word 3ABh		; GREEK CAPITAL LETTER UPSILON WITH DIALYTIKA
				ELSEIF '&chr' EQ 0DCh
					lbl word 3ACh		; GREEK SMALL LETTER ALPHA WITH TONOS
				ELSEIF '&chr' EQ 0DDh
					lbl word 3ADh		; GREEK SMALL LETTER EPSILON WITH TONOS
				ELSEIF '&chr' EQ 0DEh
					lbl word 3AEh		; GREEK SMALL LETTER ETA WITH TONOS
				ELSEIF '&chr' EQ 0DFh
					lbl word 3AFh		; GREEK SMALL LETTER IOTA WITH TONOS
				ELSEIF '&chr' EQ 0E0h
					lbl word 3B0h		; GREEK SMALL LETTER UPSILON WITH DIALYTIKA AND TONOS
				ELSEIF '&chr' EQ 0E1h
					lbl word 3B1h		; GREEK SMALL LETTER ALPHA
				ELSEIF '&chr' EQ 0E2h
					lbl word 3B2h		; GREEK SMALL LETTER BETA
				ELSEIF '&chr' EQ 0E3h
					lbl word 3B3h		; GREEK SMALL LETTER GAMMA
				ELSEIF '&chr' EQ 0E4h
					lbl word 3B4h		; GREEK SMALL LETTER DELTA
				ELSEIF '&chr' EQ 0E5h
					lbl word 3B5h		; GREEK SMALL LETTER EPSILON
				ELSEIF '&chr' EQ 0E6h
					lbl word 3B6h		; GREEK SMALL LETTER ZETA
				ELSEIF '&chr' EQ 0E7h
					lbl word 3B7h		; GREEK SMALL LETTER ETA
				ELSEIF '&chr' EQ 0E8h
					lbl word 3B8h		; GREEK SMALL LETTER THETA
				ELSEIF '&chr' EQ 0E9h
					lbl word 3B9h		; GREEK SMALL LETTER IOTA
				ELSEIF '&chr' EQ 0EAh
					lbl word 3BAh		; GREEK SMALL LETTER KAPPA
				ELSEIF '&chr' EQ 0EBh
					lbl word 3BBh		; GREEK SMALL LETTER LAMDA
				ELSEIF '&chr' EQ 0ECh
					lbl word 3BCh		; GREEK SMALL LETTER MU
				ELSEIF '&chr' EQ 0EDh
					lbl word 3BDh		; GREEK SMALL LETTER NU
				ELSEIF '&chr' EQ 0EEh
					lbl word 3BEh		; GREEK SMALL LETTER XI
				ELSEIF '&chr' EQ 0EFh
					lbl word 3BFh		; GREEK SMALL LETTER OMICRON
				ELSEIF '&chr' EQ 0F0h
					lbl word 3C0h		; GREEK SMALL LETTER PI
				ELSEIF '&chr' EQ 0F1h
					lbl word 3C1h		; GREEK SMALL LETTER RHO
				ELSEIF '&chr' EQ 0F2h
					lbl word 3C2h		; GREEK SMALL LETTER FINAL SIGMA
				ELSEIF '&chr' EQ 0F3h
					lbl word 3C3h		; GREEK SMALL LETTER SIGMA
				ELSEIF '&chr' EQ 0F4h
					lbl word 3C4h		; GREEK SMALL LETTER TAU
				ELSEIF '&chr' EQ 0F5h
					lbl word 3C5h		; GREEK SMALL LETTER UPSILON
				ELSEIF '&chr' EQ 0F6h
					lbl word 3C6h		; GREEK SMALL LETTER PHI
				ELSEIF '&chr' EQ 0F7h
					lbl word 3C7h		; GREEK SMALL LETTER CHI
				ELSEIF '&chr' EQ 0F8h
					lbl word 3C8h		; GREEK SMALL LETTER PSI
				ELSEIF '&chr' EQ 0F9h
					lbl word 3C9h		; GREEK SMALL LETTER OMEGA
				ELSEIF '&chr' EQ 0FAh
					lbl word 3CAh		; GREEK SMALL LETTER IOTA WITH DIALYTIKA
				ELSEIF '&chr' EQ 0FBh
					lbl word 3CBh		; GREEK SMALL LETTER UPSILON WITH DIALYTIKA
				ELSEIF '&chr' EQ 0FCh
					lbl word 3CCh		; GREEK SMALL LETTER OMICRON WITH TONOS
				ELSEIF '&chr' EQ 0FDh
					lbl word 3CDh		; GREEK SMALL LETTER UPSILON WITH TONOS
				ELSEIF '&chr' EQ 0FEh
					lbl word 3CEh		; GREEK SMALL LETTER OMEGA WITH TONOS
				ELSE
					lbl word '&chr'
				ENDIF
			ELSEIF cp EQ 28598	; ISO-8859-8 (Hebrew)
				IF '&chr' EQ 0AAh
					lbl word 0D7h		; MULTIPLICATION SIGN
				ELSEIF '&chr' EQ 0AFh
					lbl word 203Eh		; OVERLINE
				ELSEIF '&chr' EQ 0BAh
					lbl word 0F7h		; DIVISION SIGN
				ELSEIF '&chr' EQ 0DFh
					lbl word 2017h		; DOUBLE LOW LINE
				ELSEIF '&chr' EQ 0E0h
					lbl word 5D0h		; HEBREW LETTER ALEF
				ELSEIF '&chr' EQ 0E1h
					lbl word 5D1h		; HEBREW LETTER BET
				ELSEIF '&chr' EQ 0E2h
					lbl word 5D2h		; HEBREW LETTER GIMEL
				ELSEIF '&chr' EQ 0E3h
					lbl word 5D3h		; HEBREW LETTER DALET
				ELSEIF '&chr' EQ 0E4h
					lbl word 5D4h		; HEBREW LETTER HE
				ELSEIF '&chr' EQ 0E5h
					lbl word 5D5h		; HEBREW LETTER VAV
				ELSEIF '&chr' EQ 0E6h
					lbl word 5D6h		; HEBREW LETTER ZAYIN
				ELSEIF '&chr' EQ 0E7h
					lbl word 5D7h		; HEBREW LETTER HET
				ELSEIF '&chr' EQ 0E8h
					lbl word 5D8h		; HEBREW LETTER TET
				ELSEIF '&chr' EQ 0E9h
					lbl word 5D9h		; HEBREW LETTER YOD
				ELSEIF '&chr' EQ 0EAh
					lbl word 5DAh		; HEBREW LETTER FINAL KAF
				ELSEIF '&chr' EQ 0EBh
					lbl word 5DBh		; HEBREW LETTER KAF
				ELSEIF '&chr' EQ 0ECh
					lbl word 5DCh		; HEBREW LETTER LAMED
				ELSEIF '&chr' EQ 0EDh
					lbl word 5DDh		; HEBREW LETTER FINAL MEM
				ELSEIF '&chr' EQ 0EEh
					lbl word 5DEh		; HEBREW LETTER MEM
				ELSEIF '&chr' EQ 0EFh
					lbl word 5DFh		; HEBREW LETTER FINAL NUN
				ELSEIF '&chr' EQ 0F0h
					lbl word 5E0h		; HEBREW LETTER NUN
				ELSEIF '&chr' EQ 0F1h
					lbl word 5E1h		; HEBREW LETTER SAMEKH
				ELSEIF '&chr' EQ 0F2h
					lbl word 5E2h		; HEBREW LETTER AYIN
				ELSEIF '&chr' EQ 0F3h
					lbl word 5E3h		; HEBREW LETTER FINAL PE
				ELSEIF '&chr' EQ 0F4h
					lbl word 5E4h		; HEBREW LETTER PE
				ELSEIF '&chr' EQ 0F5h
					lbl word 5E5h		; HEBREW LETTER FINAL TSADI
				ELSEIF '&chr' EQ 0F6h
					lbl word 5E6h		; HEBREW LETTER TSADI
				ELSEIF '&chr' EQ 0F7h
					lbl word 5E7h		; HEBREW LETTER QOF
				ELSEIF '&chr' EQ 0F8h
					lbl word 5E8h		; HEBREW LETTER RESH
				ELSEIF '&chr' EQ 0F9h
					lbl word 5E9h		; HEBREW LETTER SHIN
				ELSEIF '&chr' EQ 0FAh
					lbl word 5EAh		; HEBREW LETTER TAV
				ELSE
					lbl word '&chr'
				ENDIF
			ELSEIF cp EQ 28599	; ISO-8859-9 (Turkish)
				IF '&chr' EQ 0D0h
					lbl word 11Eh		; LATIN CAPITAL LETTER G WITH BREVE
				ELSEIF '&chr' EQ 0DDh
					lbl word 130h		; LATIN CAPITAL LETTER I WITH DOT ABOVE
				ELSEIF '&chr' EQ 0DEh
					lbl word 15Eh		; LATIN CAPITAL LETTER S WITH CEDILLA
				ELSEIF '&chr' EQ 0F0h
					lbl word 11Fh		; LATIN SMALL LETTER G WITH BREVE
				ELSEIF '&chr' EQ 0FDh
					lbl word 131h		; LATIN SMALL LETTER DOTLESS I
				ELSEIF '&chr' EQ 0FEh
					lbl word 15Fh		; LATIN SMALL LETTER S WITH CEDILLA
				ELSE
					lbl word '&chr'
				ENDIF
			ELSEIF cp EQ 28605	; ISO-8859-15 (Latin 9)
				IF '&chr' EQ 0A4h
					lbl word 20ACh		; EURO SIGN
				ELSEIF '&chr' EQ 0A6h
					lbl word 160h		; LATIN CAPITAL LETTER S WITH CARON
				ELSEIF '&chr' EQ 0A8h
					lbl word 161h		; LATIN SMALL LETTER S WITH CARON
				ELSEIF '&chr' EQ 0B4h
					lbl word 17Dh		; LATIN CAPITAL LETTER Z WITH CARON
				ELSEIF '&chr' EQ 0B8h
					lbl word 17Eh		; LATIN SMALL LETTER Z WITH CARON
				ELSEIF '&chr' EQ 0BCh
					lbl word 152h		; LATIN CAPITAL LIGATURE OE
				ELSEIF '&chr' EQ 0BDh
					lbl word 153h		; LATIN SMALL LIGATURE OE
				ELSEIF '&chr' EQ 0BEh
					lbl word 178h		; LATIN CAPITAL LETTER Y WITH DIAERESIS
				ELSE
					lbl word '&chr'
				ENDIF
			ELSEIF cp EQ 437		; OEM-437 (US)
				IF '&chr' EQ 80h
					lbl word 0C7h		; LATIN CAPITAL LETTER C WITH CEDILLA
				ELSEIF '&chr' EQ 81h
					lbl word 0FCh		; LATIN SMALL LETTER U WITH DIAERESIS
				ELSEIF '&chr' EQ 82h
					lbl word 0E9h		; LATIN SMALL LETTER E WITH ACUTE
				ELSEIF '&chr' EQ 83h
					lbl word 0E2h		; LATIN SMALL LETTER A WITH CIRCUMFLEX
				ELSEIF '&chr' EQ 84h
					lbl word 0E4h		; LATIN SMALL LETTER A WITH DIAERESIS
				ELSEIF '&chr' EQ 85h
					lbl word 0E0h		; LATIN SMALL LETTER A WITH GRAVE
				ELSEIF '&chr' EQ 86h
					lbl word 0E5h		; LATIN SMALL LETTER A WITH RING ABOVE
				ELSEIF '&chr' EQ 87h
					lbl word 0E7h		; LATIN SMALL LETTER C WITH CEDILLA
				ELSEIF '&chr' EQ 88h
					lbl word 0EAh		; LATIN SMALL LETTER E WITH CIRCUMFLEX
				ELSEIF '&chr' EQ 89h
					lbl word 0EBh		; LATIN SMALL LETTER E WITH DIAERESIS
				ELSEIF '&chr' EQ 8Ah
					lbl word 0E8h		; LATIN SMALL LETTER E WITH GRAVE
				ELSEIF '&chr' EQ 8Bh
					lbl word 0EFh		; LATIN SMALL LETTER I WITH DIAERESIS
				ELSEIF '&chr' EQ 8Ch
					lbl word 0EEh		; LATIN SMALL LETTER I WITH CIRCUMFLEX
				ELSEIF '&chr' EQ 8Dh
					lbl word 0ECh		; LATIN SMALL LETTER I WITH GRAVE
				ELSEIF '&chr' EQ 8Eh
					lbl word 0C4h		; LATIN CAPITAL LETTER A WITH DIAERESIS
				ELSEIF '&chr' EQ 8Fh
					lbl word 0C5h		; LATIN CAPITAL LETTER A WITH RING ABOVE
				ELSEIF '&chr' EQ 90h
					lbl word 0C9h		; LATIN CAPITAL LETTER E WITH ACUTE
				ELSEIF '&chr' EQ 91h
					lbl word 0E6h		; LATIN SMALL LETTER AE
				ELSEIF '&chr' EQ 92h
					lbl word 0C6h		; LATIN CAPITAL LETTER AE
				ELSEIF '&chr' EQ 93h
					lbl word 0F4h		; LATIN SMALL LETTER O WITH CIRCUMFLEX
				ELSEIF '&chr' EQ 94h
					lbl word 0F6h		; LATIN SMALL LETTER O WITH DIAERESIS
				ELSEIF '&chr' EQ 95h
					lbl word 0F2h		; LATIN SMALL LETTER O WITH GRAVE
				ELSEIF '&chr' EQ 96h
					lbl word 0FBh		; LATIN SMALL LETTER U WITH CIRCUMFLEX
				ELSEIF '&chr' EQ 97h
					lbl word 0F9h		; LATIN SMALL LETTER U WITH GRAVE
				ELSEIF '&chr' EQ 98h
					lbl word 0FFh		; LATIN SMALL LETTER Y WITH DIAERESIS
				ELSEIF '&chr' EQ 99h
					lbl word 0D6h		; LATIN CAPITAL LETTER O WITH DIAERESIS
				ELSEIF '&chr' EQ 9Ah
					lbl word 0DCh		; LATIN CAPITAL LETTER U WITH DIAERESIS
				ELSEIF '&chr' EQ 9Bh
					lbl word 0A2h		; CENT SIGN
				ELSEIF '&chr' EQ 9Ch
					lbl word 0A3h		; POUND SIGN
				ELSEIF '&chr' EQ 9Dh
					lbl word 0A5h		; YEN SIGN
				ELSEIF '&chr' EQ 9Eh
					lbl word 20A7h		; PESETA SIGN
				ELSEIF '&chr' EQ 9Fh
					lbl word 192h		; LATIN SMALL LETTER F WITH HOOK
				ELSEIF '&chr' EQ 0A0h
					lbl word 0E1h		; LATIN SMALL LETTER A WITH ACUTE
				ELSEIF '&chr' EQ 0A1h
					lbl word 0EDh		; LATIN SMALL LETTER I WITH ACUTE
				ELSEIF '&chr' EQ 0A2h
					lbl word 0F3h		; LATIN SMALL LETTER O WITH ACUTE
				ELSEIF '&chr' EQ 0A3h
					lbl word 0FAh		; LATIN SMALL LETTER U WITH ACUTE
				ELSEIF '&chr' EQ 0A4h
					lbl word 0F1h		; LATIN SMALL LETTER N WITH TILDE
				ELSEIF '&chr' EQ 0A5h
					lbl word 0D1h		; LATIN CAPITAL LETTER N WITH TILDE
				ELSEIF '&chr' EQ 0A6h
					lbl word 0AAh		; FEMININE ORDINAL INDICATOR
				ELSEIF '&chr' EQ 0A7h
					lbl word 0BAh		; MASCULINE ORDINAL INDICATOR
				ELSEIF '&chr' EQ 0A8h
					lbl word 0BFh		; INVERTED QUESTION MARK
				ELSEIF '&chr' EQ 0A9h
					lbl word 2310h		; REVERSED NOT SIGN
				ELSEIF '&chr' EQ 0AAh
					lbl word 0ACh		; NOT SIGN
				ELSEIF '&chr' EQ 0ABh
					lbl word 0BDh		; VULGAR FRACTION ONE HALF
				ELSEIF '&chr' EQ 0ACh
					lbl word 0BCh		; VULGAR FRACTION ONE QUARTER
				ELSEIF '&chr' EQ 0ADh
					lbl word 0A1h		; INVERTED EXCLAMATION MARK
				ELSEIF '&chr' EQ 0AEh
					lbl word 0ABh		; LEFT-POINTING DOUBLE ANGLE QUOTATION MARK
				ELSEIF '&chr' EQ 0AFh
					lbl word 0BBh		; RIGHT-POINTING DOUBLE ANGLE QUOTATION MARK
				ELSEIF '&chr' EQ 0B0h
					lbl word 2591h		; LIGHT SHADE
				ELSEIF '&chr' EQ 0B1h
					lbl word 2592h		; MEDIUM SHADE
				ELSEIF '&chr' EQ 0B2h
					lbl word 2593h		; DARK SHADE
				ELSEIF '&chr' EQ 0B3h
					lbl word 2502h		; BOX DRAWINGS LIGHT VERTICAL
				ELSEIF '&chr' EQ 0B4h
					lbl word 2524h		; BOX DRAWINGS LIGHT VERTICAL AND LEFT
				ELSEIF '&chr' EQ 0B5h
					lbl word 2561h		; BOX DRAWINGS VERTICAL SINGLE AND LEFT DOUBLE
				ELSEIF '&chr' EQ 0B6h
					lbl word 2562h		; BOX DRAWINGS VERTICAL DOUBLE AND LEFT SINGLE
				ELSEIF '&chr' EQ 0B7h
					lbl word 2556h		; BOX DRAWINGS DOWN DOUBLE AND LEFT SINGLE
				ELSEIF '&chr' EQ 0B8h
					lbl word 2555h		; BOX DRAWINGS DOWN SINGLE AND LEFT DOUBLE
				ELSEIF '&chr' EQ 0B9h
					lbl word 2563h		; BOX DRAWINGS DOUBLE VERTICAL AND LEFT
				ELSEIF '&chr' EQ 0BAh
					lbl word 2551h		; BOX DRAWINGS DOUBLE VERTICAL
				ELSEIF '&chr' EQ 0BBh
					lbl word 2557h		; BOX DRAWINGS DOUBLE DOWN AND LEFT
				ELSEIF '&chr' EQ 0BCh
					lbl word 255Dh		; BOX DRAWINGS DOUBLE UP AND LEFT
				ELSEIF '&chr' EQ 0BDh
					lbl word 255Ch		; BOX DRAWINGS UP DOUBLE AND LEFT SINGLE
				ELSEIF '&chr' EQ 0BEh
					lbl word 255Bh		; BOX DRAWINGS UP SINGLE AND LEFT DOUBLE
				ELSEIF '&chr' EQ 0BFh
					lbl word 2510h		; BOX DRAWINGS LIGHT DOWN AND LEFT
				ELSEIF '&chr' EQ 0C0h
					lbl word 2514h		; BOX DRAWINGS LIGHT UP AND RIGHT
				ELSEIF '&chr' EQ 0C1h
					lbl word 2534h		; BOX DRAWINGS LIGHT UP AND HORIZONTAL
				ELSEIF '&chr' EQ 0C2h
					lbl word 252Ch		; BOX DRAWINGS LIGHT DOWN AND HORIZONTAL
				ELSEIF '&chr' EQ 0C3h
					lbl word 251Ch		; BOX DRAWINGS LIGHT VERTICAL AND RIGHT
				ELSEIF '&chr' EQ 0C4h
					lbl word 250h		; BOX DRAWINGS LIGHT HORIZONTAL
				ELSEIF '&chr' EQ 0C5h
					lbl word 253Ch		; BOX DRAWINGS LIGHT VERTICAL AND HORIZONTAL
				ELSEIF '&chr' EQ 0C6h
					lbl word 255Eh		; BOX DRAWINGS VERTICAL SINGLE AND RIGHT DOUBLE
				ELSEIF '&chr' EQ 0C7h
					lbl word 255Fh		; BOX DRAWINGS VERTICAL DOUBLE AND RIGHT SINGLE
				ELSEIF '&chr' EQ 0C8h
					lbl word 255Ah		; BOX DRAWINGS DOUBLE UP AND RIGHT
				ELSEIF '&chr' EQ 0C9h
					lbl word 2554h		; BOX DRAWINGS DOUBLE DOWN AND RIGHT
				ELSEIF '&chr' EQ 0CAh
					lbl word 2569h		; BOX DRAWINGS DOUBLE UP AND HORIZONTAL
				ELSEIF '&chr' EQ 0CBh
					lbl word 2566h		; BOX DRAWINGS DOUBLE DOWN AND HORIZONTAL
				ELSEIF '&chr' EQ 0CCh
					lbl word 2560h		; BOX DRAWINGS DOUBLE VERTICAL AND RIGHT
				ELSEIF '&chr' EQ 0CDh
					lbl word 2550h		; BOX DRAWINGS DOUBLE HORIZONTAL
				ELSEIF '&chr' EQ 0CEh
					lbl word 256Ch		; BOX DRAWINGS DOUBLE VERTICAL AND HORIZONTAL
				ELSEIF '&chr' EQ 0CFh
					lbl word 2567h		; BOX DRAWINGS UP SINGLE AND HORIZONTAL DOUBLE
				ELSEIF '&chr' EQ 0D0h
					lbl word 2568h		; BOX DRAWINGS UP DOUBLE AND HORIZONTAL SINGLE
				ELSEIF '&chr' EQ 0D1h
					lbl word 2564h		; BOX DRAWINGS DOWN SINGLE AND HORIZONTAL DOUBLE
				ELSEIF '&chr' EQ 0D2h
					lbl word 2565h		; BOX DRAWINGS DOWN DOUBLE AND HORIZONTAL SINGLE
				ELSEIF '&chr' EQ 0D3h
					lbl word 2559h		; BOX DRAWINGS UP DOUBLE AND RIGHT SINGLE
				ELSEIF '&chr' EQ 0D4h
					lbl word 2558h		; BOX DRAWINGS UP SINGLE AND RIGHT DOUBLE
				ELSEIF '&chr' EQ 0D5h
					lbl word 2552h		; BOX DRAWINGS DOWN SINGLE AND RIGHT DOUBLE
				ELSEIF '&chr' EQ 0D6h
					lbl word 2553h		; BOX DRAWINGS DOWN DOUBLE AND RIGHT SINGLE
				ELSEIF '&chr' EQ 0D7h
					lbl word 256Bh		; BOX DRAWINGS VERTICAL DOUBLE AND HORIZONTAL SINGLE
				ELSEIF '&chr' EQ 0D8h
					lbl word 256Ah		; BOX DRAWINGS VERTICAL SINGLE AND HORIZONTAL DOUBLE
				ELSEIF '&chr' EQ 0D9h
					lbl word 2518h		; BOX DRAWINGS LIGHT UP AND LEFT
				ELSEIF '&chr' EQ 0DAh
					lbl word 250Ch		; BOX DRAWINGS LIGHT DOWN AND RIGHT
				ELSEIF '&chr' EQ 0DBh
					lbl word 2588h		; FULL BLOCK
				ELSEIF '&chr' EQ 0DCh
					lbl word 2584h		; LOWER HALF BLOCK
				ELSEIF '&chr' EQ 0DDh
					lbl word 258Ch		; LEFT HALF BLOCK
				ELSEIF '&chr' EQ 0DEh
					lbl word 2590h		; RIGHT HALF BLOCK
				ELSEIF '&chr' EQ 0DFh
					lbl word 2580h		; UPPER HALF BLOCK
				ELSEIF '&chr' EQ 0E0h
					lbl word 3B1h		; GREEK SMALL LETTER ALPHA
				ELSEIF '&chr' EQ 0E1h
					lbl word 0DFh		; LATIN SMALL LETTER SHARP S
				ELSEIF '&chr' EQ 0E2h
					lbl word 393h		; GREEK CAPITAL LETTER GAMMA
				ELSEIF '&chr' EQ 0E3h
					lbl word 3C0h		; GREEK SMALL LETTER PI
				ELSEIF '&chr' EQ 0E4h
					lbl word 3A3h		; GREEK CAPITAL LETTER SIGMA
				ELSEIF '&chr' EQ 0E5h
					lbl word 3C3h		; GREEK SMALL LETTER SIGMA
				ELSEIF '&chr' EQ 0E6h
					lbl word 0B5h		; MICRO SIGN
				ELSEIF '&chr' EQ 0E7h
					lbl word 3C4h		; GREEK SMALL LETTER TAU
				ELSEIF '&chr' EQ 0E8h
					lbl word 3A6h		; GREEK CAPITAL LETTER PHI
				ELSEIF '&chr' EQ 0E9h
					lbl word 398h		; GREEK CAPITAL LETTER THETA
				ELSEIF '&chr' EQ 0EAh
					lbl word 3A9h		; GREEK CAPITAL LETTER OMEGA
				ELSEIF '&chr' EQ 0EBh
					lbl word 3B4h		; GREEK SMALL LETTER DELTA
				ELSEIF '&chr' EQ 0ECh
					lbl word 221Eh		; INFINITY
				ELSEIF '&chr' EQ 0EDh
					lbl word 3C6h		; GREEK SMALL LETTER PHI
				ELSEIF '&chr' EQ 0EEh
					lbl word 3B5h		; GREEK SMALL LETTER EPSILON
				ELSEIF '&chr' EQ 0EFh
					lbl word 2229h		; INTERSECTION
				ELSEIF '&chr' EQ 0F0h
					lbl word 2261h		; IDENTICAL TO
				ELSEIF '&chr' EQ 0F1h
					lbl word 0B1h		; PLUS-MINUS SIGN
				ELSEIF '&chr' EQ 0F2h
					lbl word 2265h		; GREATER-THAN OR EQUAL TO
				ELSEIF '&chr' EQ 0F3h
					lbl word 2264h		; LESS-THAN OR EQUAL TO
				ELSEIF '&chr' EQ 0F4h
					lbl word 2320h		; TOP HALF INTEGRAL
				ELSEIF '&chr' EQ 0F5h
					lbl word 2321h		; BOTTOM HALF INTEGRAL
				ELSEIF '&chr' EQ 0F6h
					lbl word 0F7h		; DIVISION SIGN
				ELSEIF '&chr' EQ 0F7h
					lbl word 2248h		; ALMOST EQUAL TO
				ELSEIF '&chr' EQ 0F8h
					lbl word 0B0h		; DEGREE SIGN
				ELSEIF '&chr' EQ 0F9h
					lbl word 2219h		; BULLET OPERATOR
				ELSEIF '&chr' EQ 0FAh
					lbl word 0B7h		; MIDDLE DOT
				ELSEIF '&chr' EQ 0FBh
					lbl word 221Ah		; SQUARE ROOT
				ELSEIF '&chr' EQ 0FCh
					lbl word 207Fh		; SUPERSCRIPT LATIN SMALL LETTER N
				ELSEIF '&chr' EQ 0FDh
					lbl word 0B2h		; SUPERSCRIPT TWO
				ELSEIF '&chr' EQ 0FEh
					lbl word 25A0h		; BLACK SQUARE
				ELSEIF '&chr' EQ 0FFh
					lbl word 0A0h		; NO-BREAK SPACE
				ELSE
					lbl word '&chr'
				ENDIF
			ELSEIF cp EQ 720		; OEM-720 (Arabic)
				IF '&chr' EQ 82h
					lbl word 0E9h		; LATIN SMALL LETTER E WITH ACUTE
				ELSEIF '&chr' EQ 83h
					lbl word 0E2h		; LATIN SMALL LETTER A WITH CIRCUMFLEX
				ELSEIF '&chr' EQ 85h
					lbl word 0E0h		; LATIN SMALL LETTER A WITH GRAVE
				ELSEIF '&chr' EQ 87h
					lbl word 0E7h		; LATIN SMALL LETTER C WITH CEDILLA
				ELSEIF '&chr' EQ 88h
					lbl word 0EAh		; LATIN SMALL LETTER E WITH CIRCUMFLEX
				ELSEIF '&chr' EQ 89h
					lbl word 0EBh		; LATIN SMALL LETTER E WITH DIAERESIS
				ELSEIF '&chr' EQ 8Ah
					lbl word 0E8h		; LATIN SMALL LETTER E WITH GRAVE
				ELSEIF '&chr' EQ 8Bh
					lbl word 0EFh		; LATIN SMALL LETTER I WITH DIAERESIS
				ELSEIF '&chr' EQ 8Ch
					lbl word 0EEh		; LATIN SMALL LETTER I WITH CIRCUMFLEX
				ELSEIF '&chr' EQ 91h
					lbl word 651h		; ARABIC SHADDA
				ELSEIF '&chr' EQ 92h
					lbl word 652h		; ARABIC SUKUN
				ELSEIF '&chr' EQ 93h
					lbl word 0F4h		; LATIN SMALL LETTER O WITH CIRCUMFLEX
				ELSEIF '&chr' EQ 94h
					lbl word 0A4h		; CURRENCY SIGN
				ELSEIF '&chr' EQ 95h
					lbl word 640h		; ARABIC TATWEEL
				ELSEIF '&chr' EQ 96h
					lbl word 0FBh		; LATIN SMALL LETTER U WITH CIRCUMFLEX
				ELSEIF '&chr' EQ 97h
					lbl word 0F9h		; LATIN SMALL LETTER U WITH GRAVE
				ELSEIF '&chr' EQ 98h
					lbl word 621h		; ARABIC LETTER HAMZA
				ELSEIF '&chr' EQ 99h
					lbl word 622h		; ARABIC LETTER ALEF WITH MADDA ABOVE
				ELSEIF '&chr' EQ 9Ah
					lbl word 623h		; ARABIC LETTER ALEF WITH HAMZA ABOVE
				ELSEIF '&chr' EQ 9Bh
					lbl word 624h		; ARABIC LETTER WAW WITH HAMZA ABOVE
				ELSEIF '&chr' EQ 9Ch
					lbl word 0A3h		; POUND SIGN
				ELSEIF '&chr' EQ 9Dh
					lbl word 625h		; ARABIC LETTER ALEF WITH HAMZA BELOW
				ELSEIF '&chr' EQ 9Eh
					lbl word 626h		; ARABIC LETTER YEH WITH HAMZA ABOVE
				ELSEIF '&chr' EQ 9Fh
					lbl word 627h		; ARABIC LETTER ALEF
				ELSEIF '&chr' EQ 0A0h
					lbl word 628h		; ARABIC LETTER BEH
				ELSEIF '&chr' EQ 0A1h
					lbl word 629h		; ARABIC LETTER TEH MARBUTA
				ELSEIF '&chr' EQ 0A2h
					lbl word 62Ah		; ARABIC LETTER TEH
				ELSEIF '&chr' EQ 0A3h
					lbl word 62Bh		; ARABIC LETTER THEH
				ELSEIF '&chr' EQ 0A4h
					lbl word 62Ch		; ARABIC LETTER JEEM
				ELSEIF '&chr' EQ 0A5h
					lbl word 62Dh		; ARABIC LETTER HAH
				ELSEIF '&chr' EQ 0A6h
					lbl word 62Eh		; ARABIC LETTER KHAH
				ELSEIF '&chr' EQ 0A7h
					lbl word 62Fh		; ARABIC LETTER DAL
				ELSEIF '&chr' EQ 0A8h
					lbl word 630h		; ARABIC LETTER THAL
				ELSEIF '&chr' EQ 0A9h
					lbl word 631h		; ARABIC LETTER REH
				ELSEIF '&chr' EQ 0AAh
					lbl word 632h		; ARABIC LETTER ZAIN
				ELSEIF '&chr' EQ 0ABh
					lbl word 633h		; ARABIC LETTER SEEN
				ELSEIF '&chr' EQ 0ACh
					lbl word 634h		; ARABIC LETTER SHEEN
				ELSEIF '&chr' EQ 0ADh
					lbl word 635h		; ARABIC LETTER SAD
				ELSEIF '&chr' EQ 0AEh
					lbl word 0ABh		; LEFT-POINTING DOUBLE ANGLE QUOTATION MARK
				ELSEIF '&chr' EQ 0AFh
					lbl word 0BBh		; RIGHT-POINTING DOUBLE ANGLE QUOTATION MARK
				ELSEIF '&chr' EQ 0B0h
					lbl word 2591h		; LIGHT SHADE
				ELSEIF '&chr' EQ 0B1h
					lbl word 2592h		; MEDIUM SHADE
				ELSEIF '&chr' EQ 0B2h
					lbl word 2593h		; DARK SHADE
				ELSEIF '&chr' EQ 0B3h
					lbl word 2502h		; BOX DRAWINGS LIGHT VERTICAL
				ELSEIF '&chr' EQ 0B4h
					lbl word 2524h		; BOX DRAWINGS LIGHT VERTICAL AND LEFT
				ELSEIF '&chr' EQ 0B5h
					lbl word 2561h		; BOX DRAWINGS VERTICAL SINGLE AND LEFT DOUBLE
				ELSEIF '&chr' EQ 0B6h
					lbl word 2562h		; BOX DRAWINGS VERTICAL DOUBLE AND LEFT SINGLE
				ELSEIF '&chr' EQ 0B7h
					lbl word 2556h		; BOX DRAWINGS DOWN DOUBLE AND LEFT SINGLE
				ELSEIF '&chr' EQ 0B8h
					lbl word 2555h		; BOX DRAWINGS DOWN SINGLE AND LEFT DOUBLE
				ELSEIF '&chr' EQ 0B9h
					lbl word 2563h		; BOX DRAWINGS DOUBLE VERTICAL AND LEFT
				ELSEIF '&chr' EQ 0BAh
					lbl word 2551h		; BOX DRAWINGS DOUBLE VERTICAL
				ELSEIF '&chr' EQ 0BBh
					lbl word 2557h		; BOX DRAWINGS DOUBLE DOWN AND LEFT
				ELSEIF '&chr' EQ 0BCh
					lbl word 255Dh		; BOX DRAWINGS DOUBLE UP AND LEFT
				ELSEIF '&chr' EQ 0BDh
					lbl word 255Ch		; BOX DRAWINGS UP DOUBLE AND LEFT SINGLE
				ELSEIF '&chr' EQ 0BEh
					lbl word 255Bh		; BOX DRAWINGS UP SINGLE AND LEFT DOUBLE
				ELSEIF '&chr' EQ 0BFh
					lbl word 2510h		; BOX DRAWINGS LIGHT DOWN AND LEFT
				ELSEIF '&chr' EQ 0C0h
					lbl word 2514h		; BOX DRAWINGS LIGHT UP AND RIGHT
				ELSEIF '&chr' EQ 0C1h
					lbl word 2534h		; BOX DRAWINGS LIGHT UP AND HORIZONTAL
				ELSEIF '&chr' EQ 0C2h
					lbl word 252Ch		; BOX DRAWINGS LIGHT DOWN AND HORIZONTAL
				ELSEIF '&chr' EQ 0C3h
					lbl word 251Ch		; BOX DRAWINGS LIGHT VERTICAL AND RIGHT
				ELSEIF '&chr' EQ 0C4h
					lbl word 250h		; BOX DRAWINGS LIGHT HORIZONTAL
				ELSEIF '&chr' EQ 0C5h
					lbl word 253Ch		; BOX DRAWINGS LIGHT VERTICAL AND HORIZONTAL
				ELSEIF '&chr' EQ 0C6h
					lbl word 255Eh		; BOX DRAWINGS VERTICAL SINGLE AND RIGHT DOUBLE
				ELSEIF '&chr' EQ 0C7h
					lbl word 255Fh		; BOX DRAWINGS VERTICAL DOUBLE AND RIGHT SINGLE
				ELSEIF '&chr' EQ 0C8h
					lbl word 255Ah		; BOX DRAWINGS DOUBLE UP AND RIGHT
				ELSEIF '&chr' EQ 0C9h
					lbl word 2554h		; BOX DRAWINGS DOUBLE DOWN AND RIGHT
				ELSEIF '&chr' EQ 0CAh
					lbl word 2569h		; BOX DRAWINGS DOUBLE UP AND HORIZONTAL
				ELSEIF '&chr' EQ 0CBh
					lbl word 2566h		; BOX DRAWINGS DOUBLE DOWN AND HORIZONTAL
				ELSEIF '&chr' EQ 0CCh
					lbl word 2560h		; BOX DRAWINGS DOUBLE VERTICAL AND RIGHT
				ELSEIF '&chr' EQ 0CDh
					lbl word 2550h		; BOX DRAWINGS DOUBLE HORIZONTAL
				ELSEIF '&chr' EQ 0CEh
					lbl word 256Ch		; BOX DRAWINGS DOUBLE VERTICAL AND HORIZONTAL
				ELSEIF '&chr' EQ 0CFh
					lbl word 2567h		; BOX DRAWINGS UP SINGLE AND HORIZONTAL DOUBLE
				ELSEIF '&chr' EQ 0D0h
					lbl word 2568h		; BOX DRAWINGS UP DOUBLE AND HORIZONTAL SINGLE
				ELSEIF '&chr' EQ 0D1h
					lbl word 2564h		; BOX DRAWINGS DOWN SINGLE AND HORIZONTAL DOUBLE
				ELSEIF '&chr' EQ 0D2h
					lbl word 2565h		; BOX DRAWINGS DOWN DOUBLE AND HORIZONTAL SINGLE
				ELSEIF '&chr' EQ 0D3h
					lbl word 2559h		; BOX DRAWINGS UP DOUBLE AND RIGHT SINGLE
				ELSEIF '&chr' EQ 0D4h
					lbl word 2558h		; BOX DRAWINGS UP SINGLE AND RIGHT DOUBLE
				ELSEIF '&chr' EQ 0D5h
					lbl word 2552h		; BOX DRAWINGS DOWN SINGLE AND RIGHT DOUBLE
				ELSEIF '&chr' EQ 0D6h
					lbl word 2553h		; BOX DRAWINGS DOWN DOUBLE AND RIGHT SINGLE
				ELSEIF '&chr' EQ 0D7h
					lbl word 256Bh		; BOX DRAWINGS VERTICAL DOUBLE AND HORIZONTAL SINGLE
				ELSEIF '&chr' EQ 0D8h
					lbl word 256Ah		; BOX DRAWINGS VERTICAL SINGLE AND HORIZONTAL DOUBLE
				ELSEIF '&chr' EQ 0D9h
					lbl word 2518h		; BOX DRAWINGS LIGHT UP AND LEFT
				ELSEIF '&chr' EQ 0DAh
					lbl word 250Ch		; BOX DRAWINGS LIGHT DOWN AND RIGHT
				ELSEIF '&chr' EQ 0DBh
					lbl word 2588h		; FULL BLOCK
				ELSEIF '&chr' EQ 0DCh
					lbl word 2584h		; LOWER HALF BLOCK
				ELSEIF '&chr' EQ 0DDh
					lbl word 258Ch		; LEFT HALF BLOCK
				ELSEIF '&chr' EQ 0DEh
					lbl word 2590h		; RIGHT HALF BLOCK
				ELSEIF '&chr' EQ 0DFh
					lbl word 2580h		; UPPER HALF BLOCK
				ELSEIF '&chr' EQ 0E0h
					lbl word 636h		; ARABIC LETTER DAD
				ELSEIF '&chr' EQ 0E1h
					lbl word 637h		; ARABIC LETTER TAH
				ELSEIF '&chr' EQ 0E2h
					lbl word 638h		; ARABIC LETTER ZAH
				ELSEIF '&chr' EQ 0E3h
					lbl word 639h		; ARABIC LETTER AIN
				ELSEIF '&chr' EQ 0E4h
					lbl word 63Ah		; ARABIC LETTER GHAIN
				ELSEIF '&chr' EQ 0E5h
					lbl word 641h		; ARABIC LETTER FEH
				ELSEIF '&chr' EQ 0E6h
					lbl word 0B5h		; MICRO SIGN
				ELSEIF '&chr' EQ 0E7h
					lbl word 642h		; ARABIC LETTER QAF
				ELSEIF '&chr' EQ 0E8h
					lbl word 643h		; ARABIC LETTER KAF
				ELSEIF '&chr' EQ 0E9h
					lbl word 644h		; ARABIC LETTER LAM
				ELSEIF '&chr' EQ 0EAh
					lbl word 645h		; ARABIC LETTER MEEM
				ELSEIF '&chr' EQ 0EBh
					lbl word 646h		; ARABIC LETTER NOON
				ELSEIF '&chr' EQ 0ECh
					lbl word 647h		; ARABIC LETTER HEH
				ELSEIF '&chr' EQ 0EDh
					lbl word 648h		; ARABIC LETTER WAW
				ELSEIF '&chr' EQ 0EEh
					lbl word 649h		; ARABIC LETTER ALEF MAKSURA
				ELSEIF '&chr' EQ 0EFh
					lbl word 64Ah		; ARABIC LETTER YEH
				ELSEIF '&chr' EQ 0F0h
					lbl word 2261h		; IDENTICAL TO
				ELSEIF '&chr' EQ 0F1h
					lbl word 64Bh		; ARABIC FATHATAN
				ELSEIF '&chr' EQ 0F2h
					lbl word 64Ch		; ARABIC DAMMATAN
				ELSEIF '&chr' EQ 0F3h
					lbl word 64Dh		; ARABIC KASRATAN
				ELSEIF '&chr' EQ 0F4h
					lbl word 64Eh		; ARABIC FATHA
				ELSEIF '&chr' EQ 0F5h
					lbl word 64Fh		; ARABIC DAMMA
				ELSEIF '&chr' EQ 0F6h
					lbl word 650h		; ARABIC KASRA
				ELSEIF '&chr' EQ 0F7h
					lbl word 2248h		; ALMOST EQUAL TO
				ELSEIF '&chr' EQ 0F8h
					lbl word 0B0h		; DEGREE SIGN
				ELSEIF '&chr' EQ 0F9h
					lbl word 2219h		; BULLET OPERATOR
				ELSEIF '&chr' EQ 0FAh
					lbl word 0B7h		; MIDDLE DOT
				ELSEIF '&chr' EQ 0FBh
					lbl word 221Ah		; SQUARE ROOT
				ELSEIF '&chr' EQ 0FCh
					lbl word 207Fh		; SUPERSCRIPT LATIN SMALL LETTER N
				ELSEIF '&chr' EQ 0FDh
					lbl word 0B2h		; SUPERSCRIPT TWO
				ELSEIF '&chr' EQ 0FEh
					lbl word 25A0h		; BLACK SQUARE
				ELSEIF '&chr' EQ 0FFh
					lbl word 0A0h		; NO-BREAK SPACE
				ELSE
					lbl word '&chr'
				ENDIF
			ELSEIF cp EQ 737		; OEM-737 (Greek)
				IF '&chr' EQ 80h
					lbl word 391h		; GREEK CAPITAL LETTER ALPHA
				ELSEIF '&chr' EQ 81h
					lbl word 392h		; GREEK CAPITAL LETTER BETA
				ELSEIF '&chr' EQ 82h
					lbl word 393h		; GREEK CAPITAL LETTER GAMMA
				ELSEIF '&chr' EQ 83h
					lbl word 394h		; GREEK CAPITAL LETTER DELTA
				ELSEIF '&chr' EQ 84h
					lbl word 395h		; GREEK CAPITAL LETTER EPSILON
				ELSEIF '&chr' EQ 85h
					lbl word 396h		; GREEK CAPITAL LETTER ZETA
				ELSEIF '&chr' EQ 86h
					lbl word 397h		; GREEK CAPITAL LETTER ETA
				ELSEIF '&chr' EQ 87h
					lbl word 398h		; GREEK CAPITAL LETTER THETA
				ELSEIF '&chr' EQ 88h
					lbl word 399h		; GREEK CAPITAL LETTER IOTA
				ELSEIF '&chr' EQ 89h
					lbl word 39Ah		; GREEK CAPITAL LETTER KAPPA
				ELSEIF '&chr' EQ 8Ah
					lbl word 39Bh		; GREEK CAPITAL LETTER LAMDA
				ELSEIF '&chr' EQ 8Bh
					lbl word 39Ch		; GREEK CAPITAL LETTER MU
				ELSEIF '&chr' EQ 8Ch
					lbl word 39Dh		; GREEK CAPITAL LETTER NU
				ELSEIF '&chr' EQ 8Dh
					lbl word 39Eh		; GREEK CAPITAL LETTER XI
				ELSEIF '&chr' EQ 8Eh
					lbl word 39Fh		; GREEK CAPITAL LETTER OMICRON
				ELSEIF '&chr' EQ 8Fh
					lbl word 3A0h		; GREEK CAPITAL LETTER PI
				ELSEIF '&chr' EQ 90h
					lbl word 3A1h		; GREEK CAPITAL LETTER RHO
				ELSEIF '&chr' EQ 91h
					lbl word 3A3h		; GREEK CAPITAL LETTER SIGMA
				ELSEIF '&chr' EQ 92h
					lbl word 3A4h		; GREEK CAPITAL LETTER TAU
				ELSEIF '&chr' EQ 93h
					lbl word 3A5h		; GREEK CAPITAL LETTER UPSILON
				ELSEIF '&chr' EQ 94h
					lbl word 3A6h		; GREEK CAPITAL LETTER PHI
				ELSEIF '&chr' EQ 95h
					lbl word 3A7h		; GREEK CAPITAL LETTER CHI
				ELSEIF '&chr' EQ 96h
					lbl word 3A8h		; GREEK CAPITAL LETTER PSI
				ELSEIF '&chr' EQ 97h
					lbl word 3A9h		; GREEK CAPITAL LETTER OMEGA
				ELSEIF '&chr' EQ 98h
					lbl word 3B1h		; GREEK SMALL LETTER ALPHA
				ELSEIF '&chr' EQ 99h
					lbl word 3B2h		; GREEK SMALL LETTER BETA
				ELSEIF '&chr' EQ 9Ah
					lbl word 3B3h		; GREEK SMALL LETTER GAMMA
				ELSEIF '&chr' EQ 9Bh
					lbl word 3B4h		; GREEK SMALL LETTER DELTA
				ELSEIF '&chr' EQ 9Ch
					lbl word 3B5h		; GREEK SMALL LETTER EPSILON
				ELSEIF '&chr' EQ 9Dh
					lbl word 3B6h		; GREEK SMALL LETTER ZETA
				ELSEIF '&chr' EQ 9Eh
					lbl word 3B7h		; GREEK SMALL LETTER ETA
				ELSEIF '&chr' EQ 9Fh
					lbl word 3B8h		; GREEK SMALL LETTER THETA
				ELSEIF '&chr' EQ 0A0h
					lbl word 3B9h		; GREEK SMALL LETTER IOTA
				ELSEIF '&chr' EQ 0A1h
					lbl word 3BAh		; GREEK SMALL LETTER KAPPA
				ELSEIF '&chr' EQ 0A2h
					lbl word 3BBh		; GREEK SMALL LETTER LAMDA
				ELSEIF '&chr' EQ 0A3h
					lbl word 3BCh		; GREEK SMALL LETTER MU
				ELSEIF '&chr' EQ 0A4h
					lbl word 3BDh		; GREEK SMALL LETTER NU
				ELSEIF '&chr' EQ 0A5h
					lbl word 3BEh		; GREEK SMALL LETTER XI
				ELSEIF '&chr' EQ 0A6h
					lbl word 3BFh		; GREEK SMALL LETTER OMICRON
				ELSEIF '&chr' EQ 0A7h
					lbl word 3C0h		; GREEK SMALL LETTER PI
				ELSEIF '&chr' EQ 0A8h
					lbl word 3C1h		; GREEK SMALL LETTER RHO
				ELSEIF '&chr' EQ 0A9h
					lbl word 3C3h		; GREEK SMALL LETTER SIGMA
				ELSEIF '&chr' EQ 0AAh
					lbl word 3C2h		; GREEK SMALL LETTER FINAL SIGMA
				ELSEIF '&chr' EQ 0ABh
					lbl word 3C4h		; GREEK SMALL LETTER TAU
				ELSEIF '&chr' EQ 0ACh
					lbl word 3C5h		; GREEK SMALL LETTER UPSILON
				ELSEIF '&chr' EQ 0ADh
					lbl word 3C6h		; GREEK SMALL LETTER PHI
				ELSEIF '&chr' EQ 0AEh
					lbl word 3C7h		; GREEK SMALL LETTER CHI
				ELSEIF '&chr' EQ 0AFh
					lbl word 3C8h		; GREEK SMALL LETTER PSI
				ELSEIF '&chr' EQ 0B0h
					lbl word 2591h		; LIGHT SHADE
				ELSEIF '&chr' EQ 0B1h
					lbl word 2592h		; MEDIUM SHADE
				ELSEIF '&chr' EQ 0B2h
					lbl word 2593h		; DARK SHADE
				ELSEIF '&chr' EQ 0B3h
					lbl word 2502h		; BOX DRAWINGS LIGHT VERTICAL
				ELSEIF '&chr' EQ 0B4h
					lbl word 2524h		; BOX DRAWINGS LIGHT VERTICAL AND LEFT
				ELSEIF '&chr' EQ 0B5h
					lbl word 2561h		; BOX DRAWINGS VERTICAL SINGLE AND LEFT DOUBLE
				ELSEIF '&chr' EQ 0B6h
					lbl word 2562h		; BOX DRAWINGS VERTICAL DOUBLE AND LEFT SINGLE
				ELSEIF '&chr' EQ 0B7h
					lbl word 2556h		; BOX DRAWINGS DOWN DOUBLE AND LEFT SINGLE
				ELSEIF '&chr' EQ 0B8h
					lbl word 2555h		; BOX DRAWINGS DOWN SINGLE AND LEFT DOUBLE
				ELSEIF '&chr' EQ 0B9h
					lbl word 2563h		; BOX DRAWINGS DOUBLE VERTICAL AND LEFT
				ELSEIF '&chr' EQ 0BAh
					lbl word 2551h		; BOX DRAWINGS DOUBLE VERTICAL
				ELSEIF '&chr' EQ 0BBh
					lbl word 2557h		; BOX DRAWINGS DOUBLE DOWN AND LEFT
				ELSEIF '&chr' EQ 0BCh
					lbl word 255Dh		; BOX DRAWINGS DOUBLE UP AND LEFT
				ELSEIF '&chr' EQ 0BDh
					lbl word 255Ch		; BOX DRAWINGS UP DOUBLE AND LEFT SINGLE
				ELSEIF '&chr' EQ 0BEh
					lbl word 255Bh		; BOX DRAWINGS UP SINGLE AND LEFT DOUBLE
				ELSEIF '&chr' EQ 0BFh
					lbl word 2510h		; BOX DRAWINGS LIGHT DOWN AND LEFT
				ELSEIF '&chr' EQ 0C0h
					lbl word 2514h		; BOX DRAWINGS LIGHT UP AND RIGHT
				ELSEIF '&chr' EQ 0C1h
					lbl word 2534h		; BOX DRAWINGS LIGHT UP AND HORIZONTAL
				ELSEIF '&chr' EQ 0C2h
					lbl word 252Ch		; BOX DRAWINGS LIGHT DOWN AND HORIZONTAL
				ELSEIF '&chr' EQ 0C3h
					lbl word 251Ch		; BOX DRAWINGS LIGHT VERTICAL AND RIGHT
				ELSEIF '&chr' EQ 0C4h
					lbl word 2500h		; BOX DRAWINGS LIGHT HORIZONTAL
				ELSEIF '&chr' EQ 0C5h
					lbl word 253Ch		; BOX DRAWINGS LIGHT VERTICAL AND HORIZONTAL
				ELSEIF '&chr' EQ 0C6h
					lbl word 255Eh		; BOX DRAWINGS VERTICAL SINGLE AND RIGHT DOUBLE
				ELSEIF '&chr' EQ 0C7h
					lbl word 255Fh		; BOX DRAWINGS VERTICAL DOUBLE AND RIGHT SINGLE
				ELSEIF '&chr' EQ 0C8h
					lbl word 255Ah		; BOX DRAWINGS DOUBLE UP AND RIGHT
				ELSEIF '&chr' EQ 0C9h
					lbl word 2554h		; BOX DRAWINGS DOUBLE DOWN AND RIGHT
				ELSEIF '&chr' EQ 0CAh
					lbl word 2569h		; BOX DRAWINGS DOUBLE UP AND HORIZONTAL
				ELSEIF '&chr' EQ 0CBh
					lbl word 2566h		; BOX DRAWINGS DOUBLE DOWN AND HORIZONTAL
				ELSEIF '&chr' EQ 0CCh
					lbl word 2560h		; BOX DRAWINGS DOUBLE VERTICAL AND RIGHT
				ELSEIF '&chr' EQ 0CDh
					lbl word 2550h		; BOX DRAWINGS DOUBLE HORIZONTAL
				ELSEIF '&chr' EQ 0CEh
					lbl word 256Ch		; BOX DRAWINGS DOUBLE VERTICAL AND HORIZONTAL
				ELSEIF '&chr' EQ 0CFh
					lbl word 2567h		; BOX DRAWINGS UP SINGLE AND HORIZONTAL DOUBLE
				ELSEIF '&chr' EQ 0D0h
					lbl word 2568h		; BOX DRAWINGS UP DOUBLE AND HORIZONTAL SINGLE
				ELSEIF '&chr' EQ 0D1h
					lbl word 2564h		; BOX DRAWINGS DOWN SINGLE AND HORIZONTAL DOUBLE
				ELSEIF '&chr' EQ 0D2h
					lbl word 2565h		; BOX DRAWINGS DOWN DOUBLE AND HORIZONTAL SINGLE
				ELSEIF '&chr' EQ 0D3h
					lbl word 2559h		; BOX DRAWINGS UP DOUBLE AND RIGHT SINGLE
				ELSEIF '&chr' EQ 0D4h
					lbl word 2558h		; BOX DRAWINGS UP SINGLE AND RIGHT DOUBLE
				ELSEIF '&chr' EQ 0D5h
					lbl word 2552h		; BOX DRAWINGS DOWN SINGLE AND RIGHT DOUBLE
				ELSEIF '&chr' EQ 0D6h
					lbl word 2553h		; BOX DRAWINGS DOWN DOUBLE AND RIGHT SINGLE
				ELSEIF '&chr' EQ 0D7h
					lbl word 256Bh		; BOX DRAWINGS VERTICAL DOUBLE AND HORIZONTAL SINGLE
				ELSEIF '&chr' EQ 0D8h
					lbl word 256Ah		; BOX DRAWINGS VERTICAL SINGLE AND HORIZONTAL DOUBLE
				ELSEIF '&chr' EQ 0D9h
					lbl word 2518h		; BOX DRAWINGS LIGHT UP AND LEFT
				ELSEIF '&chr' EQ 0DAh
					lbl word 250Ch		; BOX DRAWINGS LIGHT DOWN AND RIGHT
				ELSEIF '&chr' EQ 0DBh
					lbl word 2588h		; FULL BLOCK
				ELSEIF '&chr' EQ 0DCh
					lbl word 2584h		; LOWER HALF BLOCK
				ELSEIF '&chr' EQ 0DDh
					lbl word 258Ch		; LEFT HALF BLOCK
				ELSEIF '&chr' EQ 0DEh
					lbl word 2590h		; RIGHT HALF BLOCK
				ELSEIF '&chr' EQ 0DFh
					lbl word 2580h		; UPPER HALF BLOCK
				ELSEIF '&chr' EQ 0E0h
					lbl word 3C9h		; GREEK SMALL LETTER OMEGA
				ELSEIF '&chr' EQ 0E1h
					lbl word 3ACh		; GREEK SMALL LETTER ALPHA WITH TONOS
				ELSEIF '&chr' EQ 0E2h
					lbl word 3ADh		; GREEK SMALL LETTER EPSILON WITH TONOS
				ELSEIF '&chr' EQ 0E3h
					lbl word 3AEh		; GREEK SMALL LETTER ETA WITH TONOS
				ELSEIF '&chr' EQ 0E4h
					lbl word 3CAh		; GREEK SMALL LETTER IOTA WITH DIALYTIKA
				ELSEIF '&chr' EQ 0E5h
					lbl word 3AFh		; GREEK SMALL LETTER IOTA WITH TONOS
				ELSEIF '&chr' EQ 0E6h
					lbl word 3CCh		; GREEK SMALL LETTER OMICRON WITH TONOS
				ELSEIF '&chr' EQ 0E7h
					lbl word 3CDh		; GREEK SMALL LETTER UPSILON WITH TONOS
				ELSEIF '&chr' EQ 0E8h
					lbl word 3CBh		; GREEK SMALL LETTER UPSILON WITH DIALYTIKA
				ELSEIF '&chr' EQ 0E9h
					lbl word 3CEh		; GREEK SMALL LETTER OMEGA WITH TONOS
				ELSEIF '&chr' EQ 0EAh
					lbl word 386h		; GREEK CAPITAL LETTER ALPHA WITH TONOS
				ELSEIF '&chr' EQ 0EBh
					lbl word 388h		; GREEK CAPITAL LETTER EPSILON WITH TONOS
				ELSEIF '&chr' EQ 0ECh
					lbl word 389h		; GREEK CAPITAL LETTER ETA WITH TONOS
				ELSEIF '&chr' EQ 0EDh
					lbl word 38Ah		; GREEK CAPITAL LETTER IOTA WITH TONOS
				ELSEIF '&chr' EQ 0EEh
					lbl word 38Ch		; GREEK CAPITAL LETTER OMICRON WITH TONOS
				ELSEIF '&chr' EQ 0EFh
					lbl word 38Eh		; GREEK CAPITAL LETTER UPSILON WITH TONOS
				ELSEIF '&chr' EQ 0F0h
					lbl word 38Fh		; GREEK CAPITAL LETTER OMEGA WITH TONOS
				ELSEIF '&chr' EQ 0F1h
					lbl word 0B1h		; PLUS-MINUS SIGN
				ELSEIF '&chr' EQ 0F2h
					lbl word 2265h		; GREATER-THAN OR EQUAL TO
				ELSEIF '&chr' EQ 0F3h
					lbl word 2264h		; LESS-THAN OR EQUAL TO
				ELSEIF '&chr' EQ 0F4h
					lbl word 3AAh		; GREEK CAPITAL LETTER IOTA WITH DIALYTIKA
				ELSEIF '&chr' EQ 0F5h
					lbl word 3ABh		; GREEK CAPITAL LETTER UPSILON WITH DIALYTIKA
				ELSEIF '&chr' EQ 0F6h
					lbl word 0F7h		; DIVISION SIGN
				ELSEIF '&chr' EQ 0F7h
					lbl word 2248h		; ALMOST EQUAL TO
				ELSEIF '&chr' EQ 0F8h
					lbl word 0B0h		; DEGREE SIGN
				ELSEIF '&chr' EQ 0F9h
					lbl word 2219h		; BULLET OPERATOR
				ELSEIF '&chr' EQ 0FAh
					lbl word 0B7h		; MIDDLE DOT
				ELSEIF '&chr' EQ 0FBh
					lbl word 221Ah		; SQUARE ROOT
				ELSEIF '&chr' EQ 0FCh
					lbl word 207Fh		; SUPERSCRIPT LATIN SMALL LETTER N
				ELSEIF '&chr' EQ 0FDh
					lbl word 0B2h		; SUPERSCRIPT TWO
				ELSEIF '&chr' EQ 0FEh
					lbl word 25A0h		; BLACK SQUARE
				ELSEIF '&chr' EQ 0FFh
					lbl word 0A0h		; NO-BREAK SPACE
				ELSE
					lbl word '&chr'
				ENDIF
			ELSEIF cp EQ 775		; OEM-775 (Baltic)
				IF '&chr' EQ 80h
					lbl word 106h		; LATIN CAPITAL LETTER C WITH ACUTE
				ELSEIF '&chr' EQ 81h
					lbl word 0FCh		; LATIN SMALL LETTER U WITH DIAERESIS
				ELSEIF '&chr' EQ 82h
					lbl word 0E9h		; LATIN SMALL LETTER E WITH ACUTE
				ELSEIF '&chr' EQ 83h
					lbl word 101h		; LATIN SMALL LETTER A WITH MACRON
				ELSEIF '&chr' EQ 84h
					lbl word 0E4h		; LATIN SMALL LETTER A WITH DIAERESIS
				ELSEIF '&chr' EQ 85h
					lbl word 123h		; LATIN SMALL LETTER G WITH CEDILLA
				ELSEIF '&chr' EQ 86h
					lbl word 0E5h		; LATIN SMALL LETTER A WITH RING ABOVE
				ELSEIF '&chr' EQ 87h
					lbl word 107h		; LATIN SMALL LETTER C WITH ACUTE
				ELSEIF '&chr' EQ 88h
					lbl word 142h		; LATIN SMALL LETTER L WITH STROKE
				ELSEIF '&chr' EQ 89h
					lbl word 113h		; LATIN SMALL LETTER E WITH MACRON
				ELSEIF '&chr' EQ 8Ah
					lbl word 156h		; LATIN CAPITAL LETTER R WITH CEDILLA
				ELSEIF '&chr' EQ 8Bh
					lbl word 157h		; LATIN SMALL LETTER R WITH CEDILLA
				ELSEIF '&chr' EQ 8Ch
					lbl word 12Bh		; LATIN SMALL LETTER I WITH MACRON
				ELSEIF '&chr' EQ 8Dh
					lbl word 179h		; LATIN CAPITAL LETTER Z WITH ACUTE
				ELSEIF '&chr' EQ 8Eh
					lbl word 0C4h		; LATIN CAPITAL LETTER A WITH DIAERESIS
				ELSEIF '&chr' EQ 8Fh
					lbl word 0C5h		; LATIN CAPITAL LETTER A WITH RING ABOVE
				ELSEIF '&chr' EQ 90h
					lbl word 0C9h		; LATIN CAPITAL LETTER E WITH ACUTE
				ELSEIF '&chr' EQ 91h
					lbl word 0E6h		; LATIN SMALL LETTER AE
				ELSEIF '&chr' EQ 92h
					lbl word 0C6h		; LATIN CAPITAL LETTER AE
				ELSEIF '&chr' EQ 93h
					lbl word 14Dh		; LATIN SMALL LETTER O WITH MACRON
				ELSEIF '&chr' EQ 94h
					lbl word 0F6h		; LATIN SMALL LETTER O WITH DIAERESIS
				ELSEIF '&chr' EQ 95h
					lbl word 122h		; LATIN CAPITAL LETTER G WITH CEDILLA
				ELSEIF '&chr' EQ 96h
					lbl word 0A2h		; CENT SIGN
				ELSEIF '&chr' EQ 97h
					lbl word 15Ah		; LATIN CAPITAL LETTER S WITH ACUTE
				ELSEIF '&chr' EQ 98h
					lbl word 15Bh		; LATIN SMALL LETTER S WITH ACUTE
				ELSEIF '&chr' EQ 99h
					lbl word 0D6h		; LATIN CAPITAL LETTER O WITH DIAERESIS
				ELSEIF '&chr' EQ 9Ah
					lbl word 0DCh		; LATIN CAPITAL LETTER U WITH DIAERESIS
				ELSEIF '&chr' EQ 9Bh
					lbl word 0F8h		; LATIN SMALL LETTER O WITH STROKE
				ELSEIF '&chr' EQ 9Ch
					lbl word 0A3h		; POUND SIGN
				ELSEIF '&chr' EQ 9Dh
					lbl word 0D8h		; LATIN CAPITAL LETTER O WITH STROKE
				ELSEIF '&chr' EQ 9Eh
					lbl word 0D7h		; MULTIPLICATION SIGN
				ELSEIF '&chr' EQ 9Fh
					lbl word 0A4h		; CURRENCY SIGN
				ELSEIF '&chr' EQ 0A0h
					lbl word 100h		; LATIN CAPITAL LETTER A WITH MACRON
				ELSEIF '&chr' EQ 0A1h
					lbl word 12Ah		; LATIN CAPITAL LETTER I WITH MACRON
				ELSEIF '&chr' EQ 0A2h
					lbl word 0F3h		; LATIN SMALL LETTER O WITH ACUTE
				ELSEIF '&chr' EQ 0A3h
					lbl word 17Bh		; LATIN CAPITAL LETTER Z WITH DOT ABOVE
				ELSEIF '&chr' EQ 0A4h
					lbl word 17Ch		; LATIN SMALL LETTER Z WITH DOT ABOVE
				ELSEIF '&chr' EQ 0A5h
					lbl word 17Ah		; LATIN SMALL LETTER Z WITH ACUTE
				ELSEIF '&chr' EQ 0A6h
					lbl word 201Dh		; RIGHT DOUBLE QUOTATION MARK
				ELSEIF '&chr' EQ 0A7h
					lbl word 0A6h		; BROKEN BAR
				ELSEIF '&chr' EQ 0A8h
					lbl word 0A9h		; COPYRIGHT SIGN
				ELSEIF '&chr' EQ 0A9h
					lbl word 0AEh		; REGISTERED SIGN
				ELSEIF '&chr' EQ 0AAh
					lbl word 0ACh		; NOT SIGN
				ELSEIF '&chr' EQ 0ABh
					lbl word 0BDh		; VULGAR FRACTION ONE HALF
				ELSEIF '&chr' EQ 0ACh
					lbl word 0BCh		; VULGAR FRACTION ONE QUARTER
				ELSEIF '&chr' EQ 0ADh
					lbl word 141h		; LATIN CAPITAL LETTER L WITH STROKE
				ELSEIF '&chr' EQ 0AEh
					lbl word 0ABh		; LEFT-POINTING DOUBLE ANGLE QUOTATION MARK
				ELSEIF '&chr' EQ 0AFh
					lbl word 0BBh		; RIGHT-POINTING DOUBLE ANGLE QUOTATION MARK
				ELSEIF '&chr' EQ 0B0h
					lbl word 2591h		; LIGHT SHADE
				ELSEIF '&chr' EQ 0B1h
					lbl word 2592h		; MEDIUM SHADE
				ELSEIF '&chr' EQ 0B2h
					lbl word 2593h		; DARK SHADE
				ELSEIF '&chr' EQ 0B3h
					lbl word 2502h		; BOX DRAWINGS LIGHT VERTICAL
				ELSEIF '&chr' EQ 0B4h
					lbl word 2524h		; BOX DRAWINGS LIGHT VERTICAL AND LEFT
				ELSEIF '&chr' EQ 0B5h
					lbl word 104h		; LATIN CAPITAL LETTER A WITH OGONEK
				ELSEIF '&chr' EQ 0B6h
					lbl word 10Ch		; LATIN CAPITAL LETTER C WITH CARON
				ELSEIF '&chr' EQ 0B7h
					lbl word 118h		; LATIN CAPITAL LETTER E WITH OGONEK
				ELSEIF '&chr' EQ 0B8h
					lbl word 116h		; LATIN CAPITAL LETTER E WITH DOT ABOVE
				ELSEIF '&chr' EQ 0B9h
					lbl word 2563h		; BOX DRAWINGS DOUBLE VERTICAL AND LEFT
				ELSEIF '&chr' EQ 0BAh
					lbl word 2551h		; BOX DRAWINGS DOUBLE VERTICAL
				ELSEIF '&chr' EQ 0BBh
					lbl word 2557h		; BOX DRAWINGS DOUBLE DOWN AND LEFT
				ELSEIF '&chr' EQ 0BCh
					lbl word 255Dh		; BOX DRAWINGS DOUBLE UP AND LEFT
				ELSEIF '&chr' EQ 0BDh
					lbl word 12Eh		; LATIN CAPITAL LETTER I WITH OGONEK
				ELSEIF '&chr' EQ 0BEh
					lbl word 160h		; LATIN CAPITAL LETTER S WITH CARON
				ELSEIF '&chr' EQ 0BFh
					lbl word 2510h		; BOX DRAWINGS LIGHT DOWN AND LEFT
				ELSEIF '&chr' EQ 0C0h
					lbl word 2514h		; BOX DRAWINGS LIGHT UP AND RIGHT
				ELSEIF '&chr' EQ 0C1h
					lbl word 2534h		; BOX DRAWINGS LIGHT UP AND HORIZONTAL
				ELSEIF '&chr' EQ 0C2h
					lbl word 252Ch		; BOX DRAWINGS LIGHT DOWN AND HORIZONTAL
				ELSEIF '&chr' EQ 0C3h
					lbl word 251Ch		; BOX DRAWINGS LIGHT VERTICAL AND RIGHT
				ELSEIF '&chr' EQ 0C4h
					lbl word 2500h		; BOX DRAWINGS LIGHT HORIZONTAL
				ELSEIF '&chr' EQ 0C5h
					lbl word 253Ch		; BOX DRAWINGS LIGHT VERTICAL AND HORIZONTAL
				ELSEIF '&chr' EQ 0C6h
					lbl word 172h		; LATIN CAPITAL LETTER U WITH OGONEK
				ELSEIF '&chr' EQ 0C7h
					lbl word 16Ah		; LATIN CAPITAL LETTER U WITH MACRON
				ELSEIF '&chr' EQ 0C8h
					lbl word 255Ah		; BOX DRAWINGS DOUBLE UP AND RIGHT
				ELSEIF '&chr' EQ 0C9h
					lbl word 2554h		; BOX DRAWINGS DOUBLE DOWN AND RIGHT
				ELSEIF '&chr' EQ 0CAh
					lbl word 2569h		; BOX DRAWINGS DOUBLE UP AND HORIZONTAL
				ELSEIF '&chr' EQ 0CBh
					lbl word 2566h		; BOX DRAWINGS DOUBLE DOWN AND HORIZONTAL
				ELSEIF '&chr' EQ 0CCh
					lbl word 2560h		; BOX DRAWINGS DOUBLE VERTICAL AND RIGHT
				ELSEIF '&chr' EQ 0CDh
					lbl word 2550h		; BOX DRAWINGS DOUBLE HORIZONTAL
				ELSEIF '&chr' EQ 0CEh
					lbl word 256Ch		; BOX DRAWINGS DOUBLE VERTICAL AND HORIZONTAL
				ELSEIF '&chr' EQ 0CFh
					lbl word 17Dh		; LATIN CAPITAL LETTER Z WITH CARON
				ELSEIF '&chr' EQ 0D0h
					lbl word 105h		; LATIN SMALL LETTER A WITH OGONEK
				ELSEIF '&chr' EQ 0D1h
					lbl word 10Dh		; LATIN SMALL LETTER C WITH CARON
				ELSEIF '&chr' EQ 0D2h
					lbl word 119h		; LATIN SMALL LETTER E WITH OGONEK
				ELSEIF '&chr' EQ 0D3h
					lbl word 117h		; LATIN SMALL LETTER E WITH DOT ABOVE
				ELSEIF '&chr' EQ 0D4h
					lbl word 12Fh		; LATIN SMALL LETTER I WITH OGONEK
				ELSEIF '&chr' EQ 0D5h
					lbl word 161h		; LATIN SMALL LETTER S WITH CARON
				ELSEIF '&chr' EQ 0D6h
					lbl word 173h		; LATIN SMALL LETTER U WITH OGONEK
				ELSEIF '&chr' EQ 0D7h
					lbl word 16Bh		; LATIN SMALL LETTER U WITH MACRON
				ELSEIF '&chr' EQ 0D8h
					lbl word 17Eh		; LATIN SMALL LETTER Z WITH CARON
				ELSEIF '&chr' EQ 0D9h
					lbl word 2518h		; BOX DRAWINGS LIGHT UP AND LEFT
				ELSEIF '&chr' EQ 0DAh
					lbl word 250Ch		; BOX DRAWINGS LIGHT DOWN AND RIGHT
				ELSEIF '&chr' EQ 0DBh
					lbl word 2588h		; FULL BLOCK
				ELSEIF '&chr' EQ 0DCh
					lbl word 2584h		; LOWER HALF BLOCK
				ELSEIF '&chr' EQ 0DDh
					lbl word 258Ch		; LEFT HALF BLOCK
				ELSEIF '&chr' EQ 0DEh
					lbl word 2590h		; RIGHT HALF BLOCK
				ELSEIF '&chr' EQ 0DFh
					lbl word 2580h		; UPPER HALF BLOCK
				ELSEIF '&chr' EQ 0E0h
					lbl word 0D3h		; LATIN CAPITAL LETTER O WITH ACUTE
				ELSEIF '&chr' EQ 0E1h
					lbl word 0DFh		; LATIN SMALL LETTER SHARP S
				ELSEIF '&chr' EQ 0E2h
					lbl word 14Ch		; LATIN CAPITAL LETTER O WITH MACRON
				ELSEIF '&chr' EQ 0E3h
					lbl word 143h		; LATIN CAPITAL LETTER N WITH ACUTE
				ELSEIF '&chr' EQ 0E4h
					lbl word 0F5h		; LATIN SMALL LETTER O WITH TILDE
				ELSEIF '&chr' EQ 0E5h
					lbl word 0D5h		; LATIN CAPITAL LETTER O WITH TILDE
				ELSEIF '&chr' EQ 0E6h
					lbl word 0B5h		; MICRO SIGN
				ELSEIF '&chr' EQ 0E7h
					lbl word 144h		; LATIN SMALL LETTER N WITH ACUTE
				ELSEIF '&chr' EQ 0E8h
					lbl word 136h		; LATIN CAPITAL LETTER K WITH CEDILLA
				ELSEIF '&chr' EQ 0E9h
					lbl word 137h		; LATIN SMALL LETTER K WITH CEDILLA
				ELSEIF '&chr' EQ 0EAh
					lbl word 13Bh		; LATIN CAPITAL LETTER L WITH CEDILLA
				ELSEIF '&chr' EQ 0EBh
					lbl word 13Ch		; LATIN SMALL LETTER L WITH CEDILLA
				ELSEIF '&chr' EQ 0ECh
					lbl word 146h		; LATIN SMALL LETTER N WITH CEDILLA
				ELSEIF '&chr' EQ 0EDh
					lbl word 112h		; LATIN CAPITAL LETTER E WITH MACRON
				ELSEIF '&chr' EQ 0EEh
					lbl word 145h		; LATIN CAPITAL LETTER N WITH CEDILLA
				ELSEIF '&chr' EQ 0EFh
					lbl word 2019h		; RIGHT SINGLE QUOTATION MARK
				ELSEIF '&chr' EQ 0F0h
					lbl word 0ADh		; SOFT HYPHEN
				ELSEIF '&chr' EQ 0F1h
					lbl word 0B1h		; PLUS-MINUS SIGN
				ELSEIF '&chr' EQ 0F2h
					lbl word 201Ch		; LEFT DOUBLE QUOTATION MARK
				ELSEIF '&chr' EQ 0F3h
					lbl word 0BEh		; VULGAR FRACTION THREE QUARTERS
				ELSEIF '&chr' EQ 0F4h
					lbl word 0B6h		; PILCROW SIGN
				ELSEIF '&chr' EQ 0F5h
					lbl word 0A7h		; SECTION SIGN
				ELSEIF '&chr' EQ 0F6h
					lbl word 0F7h		; DIVISION SIGN
				ELSEIF '&chr' EQ 0F7h
					lbl word 201Eh		; DOUBLE LOW-9 QUOTATION MARK
				ELSEIF '&chr' EQ 0F8h
					lbl word 0B0h		; DEGREE SIGN
				ELSEIF '&chr' EQ 0F9h
					lbl word 2219h		; BULLET OPERATOR
				ELSEIF '&chr' EQ 0FAh
					lbl word 0B7h		; MIDDLE DOT
				ELSEIF '&chr' EQ 0FBh
					lbl word 0B9h		; SUPERSCRIPT ONE
				ELSEIF '&chr' EQ 0FCh
					lbl word 0B3h		; SUPERSCRIPT THREE
				ELSEIF '&chr' EQ 0FDh
					lbl word 0B2h		; SUPERSCRIPT TWO
				ELSEIF '&chr' EQ 0FEh
					lbl word 25A0h		; BLACK SQUARE
				ELSEIF '&chr' EQ 0FFh
					lbl word 0A0h		; NO-BREAK SPACE
				ELSE
					lbl word '&chr'
				ENDIF
			ELSEIF cp EQ 850		; OEM-850 (Multilingual Latin I)
				IF '&chr' EQ 80h
					lbl word 0C7h		; LATIN CAPITAL LETTER C WITH CEDILLA
				ELSEIF '&chr' EQ 81h
					lbl word 0FCh		; LATIN SMALL LETTER U WITH DIAERESIS
				ELSEIF '&chr' EQ 82h
					lbl word 0E9h		; LATIN SMALL LETTER E WITH ACUTE
				ELSEIF '&chr' EQ 83h
					lbl word 0E2h		; LATIN SMALL LETTER A WITH CIRCUMFLEX
				ELSEIF '&chr' EQ 84h
					lbl word 0E4h		; LATIN SMALL LETTER A WITH DIAERESIS
				ELSEIF '&chr' EQ 85h
					lbl word 0E0h		; LATIN SMALL LETTER A WITH GRAVE
				ELSEIF '&chr' EQ 86h
					lbl word 0E5h		; LATIN SMALL LETTER A WITH RING ABOVE
				ELSEIF '&chr' EQ 87h
					lbl word 0E7h		; LATIN SMALL LETTER C WITH CEDILLA
				ELSEIF '&chr' EQ 88h
					lbl word 0EAh		; LATIN SMALL LETTER E WITH CIRCUMFLEX
				ELSEIF '&chr' EQ 89h
					lbl word 0EBh		; LATIN SMALL LETTER E WITH DIAERESIS
				ELSEIF '&chr' EQ 8Ah
					lbl word 0E8h		; LATIN SMALL LETTER E WITH GRAVE
				ELSEIF '&chr' EQ 8Bh
					lbl word 0EFh		; LATIN SMALL LETTER I WITH DIAERESIS
				ELSEIF '&chr' EQ 8Ch
					lbl word 0EEh		; LATIN SMALL LETTER I WITH CIRCUMFLEX
				ELSEIF '&chr' EQ 8Dh
					lbl word 0ECh		; LATIN SMALL LETTER I WITH GRAVE
				ELSEIF '&chr' EQ 8Eh
					lbl word 0C4h		; LATIN CAPITAL LETTER A WITH DIAERESIS
				ELSEIF '&chr' EQ 8Fh
					lbl word 0C5h		; LATIN CAPITAL LETTER A WITH RING ABOVE
				ELSEIF '&chr' EQ 90h
					lbl word 0C9h		; LATIN CAPITAL LETTER E WITH ACUTE
				ELSEIF '&chr' EQ 91h
					lbl word 0E6h		; LATIN SMALL LETTER AE
				ELSEIF '&chr' EQ 92h
					lbl word 0C6h		; LATIN CAPITAL LETTER AE
				ELSEIF '&chr' EQ 93h
					lbl word 0F4h		; LATIN SMALL LETTER O WITH CIRCUMFLEX
				ELSEIF '&chr' EQ 94h
					lbl word 0F6h		; LATIN SMALL LETTER O WITH DIAERESIS
				ELSEIF '&chr' EQ 95h
					lbl word 0F2h		; LATIN SMALL LETTER O WITH GRAVE
				ELSEIF '&chr' EQ 96h
					lbl word 0FBh		; LATIN SMALL LETTER U WITH CIRCUMFLEX
				ELSEIF '&chr' EQ 97h
					lbl word 0F9h		; LATIN SMALL LETTER U WITH GRAVE
				ELSEIF '&chr' EQ 98h
					lbl word 0FFh		; LATIN SMALL LETTER Y WITH DIAERESIS
				ELSEIF '&chr' EQ 99h
					lbl word 0D6h		; LATIN CAPITAL LETTER O WITH DIAERESIS
				ELSEIF '&chr' EQ 9Ah
					lbl word 0DCh		; LATIN CAPITAL LETTER U WITH DIAERESIS
				ELSEIF '&chr' EQ 9Bh
					lbl word 0F8h		; LATIN SMALL LETTER O WITH STROKE
				ELSEIF '&chr' EQ 9Ch
					lbl word 0A3h		; POUND SIGN
				ELSEIF '&chr' EQ 9Dh
					lbl word 0D8h		; LATIN CAPITAL LETTER O WITH STROKE
				ELSEIF '&chr' EQ 9Eh
					lbl word 0D7h		; MULTIPLICATION SIGN
				ELSEIF '&chr' EQ 9Fh
					lbl word 192h		; LATIN SMALL LETTER F WITH HOOK
				ELSEIF '&chr' EQ 0A0h
					lbl word 0E1h		; LATIN SMALL LETTER A WITH ACUTE
				ELSEIF '&chr' EQ 0A1h
					lbl word 0EDh		; LATIN SMALL LETTER I WITH ACUTE
				ELSEIF '&chr' EQ 0A2h
					lbl word 0F3h		; LATIN SMALL LETTER O WITH ACUTE
				ELSEIF '&chr' EQ 0A3h
					lbl word 0FAh		; LATIN SMALL LETTER U WITH ACUTE
				ELSEIF '&chr' EQ 0A4h
					lbl word 0F1h		; LATIN SMALL LETTER N WITH TILDE
				ELSEIF '&chr' EQ 0A5h
					lbl word 0D1h		; LATIN CAPITAL LETTER N WITH TILDE
				ELSEIF '&chr' EQ 0A6h
					lbl word 0AAh		; FEMININE ORDINAL INDICATOR
				ELSEIF '&chr' EQ 0A7h
					lbl word 0BAh		; MASCULINE ORDINAL INDICATOR
				ELSEIF '&chr' EQ 0A8h
					lbl word 0BFh		; INVERTED QUESTION MARK
				ELSEIF '&chr' EQ 0A9h
					lbl word 0AEh		; REGISTERED SIGN
				ELSEIF '&chr' EQ 0AAh
					lbl word 0ACh		; NOT SIGN
				ELSEIF '&chr' EQ 0ABh
					lbl word 0BDh		; VULGAR FRACTION ONE HALF
				ELSEIF '&chr' EQ 0ACh
					lbl word 0BCh		; VULGAR FRACTION ONE QUARTER
				ELSEIF '&chr' EQ 0ADh
					lbl word 0A1h		; INVERTED EXCLAMATION MARK
				ELSEIF '&chr' EQ 0AEh
					lbl word 0ABh		; LEFT-POINTING DOUBLE ANGLE QUOTATION MARK
				ELSEIF '&chr' EQ 0AFh
					lbl word 0BBh		; RIGHT-POINTING DOUBLE ANGLE QUOTATION MARK
				ELSEIF '&chr' EQ 0B0h
					lbl word 2591h		; LIGHT SHADE
				ELSEIF '&chr' EQ 0B1h
					lbl word 2592h		; MEDIUM SHADE
				ELSEIF '&chr' EQ 0B2h
					lbl word 2593h		; DARK SHADE
				ELSEIF '&chr' EQ 0B3h
					lbl word 2502h		; BOX DRAWINGS LIGHT VERTICAL
				ELSEIF '&chr' EQ 0B4h
					lbl word 2524h		; BOX DRAWINGS LIGHT VERTICAL AND LEFT
				ELSEIF '&chr' EQ 0B5h
					lbl word 0C1h		; LATIN CAPITAL LETTER A WITH ACUTE
				ELSEIF '&chr' EQ 0B6h
					lbl word 0C2h		; LATIN CAPITAL LETTER A WITH CIRCUMFLEX
				ELSEIF '&chr' EQ 0B7h
					lbl word 0C0h		; LATIN CAPITAL LETTER A WITH GRAVE
				ELSEIF '&chr' EQ 0B8h
					lbl word 0A9h		; COPYRIGHT SIGN
				ELSEIF '&chr' EQ 0B9h
					lbl word 2563h		; BOX DRAWINGS DOUBLE VERTICAL AND LEFT
				ELSEIF '&chr' EQ 0BAh
					lbl word 2551h		; BOX DRAWINGS DOUBLE VERTICAL
				ELSEIF '&chr' EQ 0BBh
					lbl word 2557h		; BOX DRAWINGS DOUBLE DOWN AND LEFT
				ELSEIF '&chr' EQ 0BCh
					lbl word 255Dh		; BOX DRAWINGS DOUBLE UP AND LEFT
				ELSEIF '&chr' EQ 0BDh
					lbl word 0A2h		; CENT SIGN
				ELSEIF '&chr' EQ 0BEh
					lbl word 0A5h		; YEN SIGN
				ELSEIF '&chr' EQ 0BFh
					lbl word 2510h		; BOX DRAWINGS LIGHT DOWN AND LEFT
				ELSEIF '&chr' EQ 0C0h
					lbl word 2514h		; BOX DRAWINGS LIGHT UP AND RIGHT
				ELSEIF '&chr' EQ 0C1h
					lbl word 2534h		; BOX DRAWINGS LIGHT UP AND HORIZONTAL
				ELSEIF '&chr' EQ 0C2h
					lbl word 252Ch		; BOX DRAWINGS LIGHT DOWN AND HORIZONTAL
				ELSEIF '&chr' EQ 0C3h
					lbl word 251Ch		; BOX DRAWINGS LIGHT VERTICAL AND RIGHT
				ELSEIF '&chr' EQ 0C4h
					lbl word 2500h		; BOX DRAWINGS LIGHT HORIZONTAL
				ELSEIF '&chr' EQ 0C5h
					lbl word 253Ch		; BOX DRAWINGS LIGHT VERTICAL AND HORIZONTAL
				ELSEIF '&chr' EQ 0C6h
					lbl word 0E3h		; LATIN SMALL LETTER A WITH TILDE
				ELSEIF '&chr' EQ 0C7h
					lbl word 0C3h		; LATIN CAPITAL LETTER A WITH TILDE
				ELSEIF '&chr' EQ 0C8h
					lbl word 255Ah		; BOX DRAWINGS DOUBLE UP AND RIGHT
				ELSEIF '&chr' EQ 0C9h
					lbl word 2554h		; BOX DRAWINGS DOUBLE DOWN AND RIGHT
				ELSEIF '&chr' EQ 0CAh
					lbl word 2569h		; BOX DRAWINGS DOUBLE UP AND HORIZONTAL
				ELSEIF '&chr' EQ 0CBh
					lbl word 2566h		; BOX DRAWINGS DOUBLE DOWN AND HORIZONTAL
				ELSEIF '&chr' EQ 0CCh
					lbl word 2560h		; BOX DRAWINGS DOUBLE VERTICAL AND RIGHT
				ELSEIF '&chr' EQ 0CDh
					lbl word 2550h		; BOX DRAWINGS DOUBLE HORIZONTAL
				ELSEIF '&chr' EQ 0CEh
					lbl word 256Ch		; BOX DRAWINGS DOUBLE VERTICAL AND HORIZONTAL
				ELSEIF '&chr' EQ 0CFh
					lbl word 0A4h		; CURRENCY SIGN
				ELSEIF '&chr' EQ 0D0h
					lbl word 0F0h		; LATIN SMALL LETTER ETH
				ELSEIF '&chr' EQ 0D1h
					lbl word 0D0h		; LATIN CAPITAL LETTER ETH
				ELSEIF '&chr' EQ 0D2h
					lbl word 0CAh		; LATIN CAPITAL LETTER E WITH CIRCUMFLEX
				ELSEIF '&chr' EQ 0D3h
					lbl word 0CBh		; LATIN CAPITAL LETTER E WITH DIAERESIS
				ELSEIF '&chr' EQ 0D4h
					lbl word 0C8h		; LATIN CAPITAL LETTER E WITH GRAVE
				ELSEIF '&chr' EQ 0D5h
					lbl word 131h		; LATIN SMALL LETTER DOTLESS I
				ELSEIF '&chr' EQ 0D6h
					lbl word 0CDh		; LATIN CAPITAL LETTER I WITH ACUTE
				ELSEIF '&chr' EQ 0D7h
					lbl word 0CEh		; LATIN CAPITAL LETTER I WITH CIRCUMFLEX
				ELSEIF '&chr' EQ 0D8h
					lbl word 0CFh		; LATIN CAPITAL LETTER I WITH DIAERESIS
				ELSEIF '&chr' EQ 0D9h
					lbl word 2518h		; BOX DRAWINGS LIGHT UP AND LEFT
				ELSEIF '&chr' EQ 0DAh
					lbl word 250Ch		; BOX DRAWINGS LIGHT DOWN AND RIGHT
				ELSEIF '&chr' EQ 0DBh
					lbl word 2588h		; FULL BLOCK
				ELSEIF '&chr' EQ 0DCh
					lbl word 2584h		; LOWER HALF BLOCK
				ELSEIF '&chr' EQ 0DDh
					lbl word 0A6h		; BROKEN BAR
				ELSEIF '&chr' EQ 0DEh
					lbl word 0CCh		; LATIN CAPITAL LETTER I WITH GRAVE
				ELSEIF '&chr' EQ 0DFh
					lbl word 2580h		; UPPER HALF BLOCK
				ELSEIF '&chr' EQ 0E0h
					lbl word 0D3h		; LATIN CAPITAL LETTER O WITH ACUTE
				ELSEIF '&chr' EQ 0E1h
					lbl word 0DFh		; LATIN SMALL LETTER SHARP S
				ELSEIF '&chr' EQ 0E2h
					lbl word 0D4h		; LATIN CAPITAL LETTER O WITH CIRCUMFLEX
				ELSEIF '&chr' EQ 0E3h
					lbl word 0D2h		; LATIN CAPITAL LETTER O WITH GRAVE
				ELSEIF '&chr' EQ 0E4h
					lbl word 0F5h		; LATIN SMALL LETTER O WITH TILDE
				ELSEIF '&chr' EQ 0E5h
					lbl word 0D5h		; LATIN CAPITAL LETTER O WITH TILDE
				ELSEIF '&chr' EQ 0E6h
					lbl word 0B5h		; MICRO SIGN
				ELSEIF '&chr' EQ 0E7h
					lbl word 0FEh		; LATIN SMALL LETTER THORN
				ELSEIF '&chr' EQ 0E8h
					lbl word 0DEh		; LATIN CAPITAL LETTER THORN
				ELSEIF '&chr' EQ 0E9h
					lbl word 0DAh		; LATIN CAPITAL LETTER U WITH ACUTE
				ELSEIF '&chr' EQ 0EAh
					lbl word 0DBh		; LATIN CAPITAL LETTER U WITH CIRCUMFLEX
				ELSEIF '&chr' EQ 0EBh
					lbl word 0D9h		; LATIN CAPITAL LETTER U WITH GRAVE
				ELSEIF '&chr' EQ 0ECh
					lbl word 0FDh		; LATIN SMALL LETTER Y WITH ACUTE
				ELSEIF '&chr' EQ 0EDh
					lbl word 0DDh		; LATIN CAPITAL LETTER Y WITH ACUTE
				ELSEIF '&chr' EQ 0EEh
					lbl word 0AFh		; MACRON
				ELSEIF '&chr' EQ 0EFh
					lbl word 0B4h		; ACUTE ACCENT
				ELSEIF '&chr' EQ 0F0h
					lbl word 0ADh		; SOFT HYPHEN
				ELSEIF '&chr' EQ 0F1h
					lbl word 0B1h		; PLUS-MINUS SIGN
				ELSEIF '&chr' EQ 0F2h
					lbl word 2017h		; DOUBLE LOW LINE
				ELSEIF '&chr' EQ 0F3h
					lbl word 0BEh		; VULGAR FRACTION THREE QUARTERS
				ELSEIF '&chr' EQ 0F4h
					lbl word 0B6h		; PILCROW SIGN
				ELSEIF '&chr' EQ 0F5h
					lbl word 0A7h		; SECTION SIGN
				ELSEIF '&chr' EQ 0F6h
					lbl word 0F7h		; DIVISION SIGN
				ELSEIF '&chr' EQ 0F7h
					lbl word 0B8h		; CEDILLA
				ELSEIF '&chr' EQ 0F8h
					lbl word 0B0h		; DEGREE SIGN
				ELSEIF '&chr' EQ 0F9h
					lbl word 0A8h		; DIAERESIS
				ELSEIF '&chr' EQ 0FAh
					lbl word 0B7h		; MIDDLE DOT
				ELSEIF '&chr' EQ 0FBh
					lbl word 0B9h		; SUPERSCRIPT ONE
				ELSEIF '&chr' EQ 0FCh
					lbl word 0B3h		; SUPERSCRIPT THREE
				ELSEIF '&chr' EQ 0FDh
					lbl word 0B2h		; SUPERSCRIPT TWO
				ELSEIF '&chr' EQ 0FEh
					lbl word 25A0h		; BLACK SQUARE
				ELSEIF '&chr' EQ 0FFh
					lbl word 0A0h		; NO-BREAK SPACE
				ELSE
					lbl word '&chr'
				ENDIF
			ELSEIF cp EQ 852		; OEM-852 (Latin II)
				IF '&chr' EQ 80h
					lbl word 0C7h		; LATIN CAPITAL LETTER C WITH CEDILLA
				ELSEIF '&chr' EQ 81h
					lbl word 0FCh		; LATIN SMALL LETTER U WITH DIAERESIS
				ELSEIF '&chr' EQ 82h
					lbl word 0E9h		; LATIN SMALL LETTER E WITH ACUTE
				ELSEIF '&chr' EQ 83h
					lbl word 0E2h		; LATIN SMALL LETTER A WITH CIRCUMFLEX
				ELSEIF '&chr' EQ 84h
					lbl word 0E4h		; LATIN SMALL LETTER A WITH DIAERESIS
				ELSEIF '&chr' EQ 85h
					lbl word 16Fh		; LATIN SMALL LETTER U WITH RING ABOVE
				ELSEIF '&chr' EQ 86h
					lbl word 107h		; LATIN SMALL LETTER C WITH ACUTE
				ELSEIF '&chr' EQ 87h
					lbl word 0E7h		; LATIN SMALL LETTER C WITH CEDILLA
				ELSEIF '&chr' EQ 88h
					lbl word 142h		; LATIN SMALL LETTER L WITH STROKE
				ELSEIF '&chr' EQ 89h
					lbl word 0EBh		; LATIN SMALL LETTER E WITH DIAERESIS
				ELSEIF '&chr' EQ 8Ah
					lbl word 150h		; LATIN CAPITAL LETTER O WITH DOUBLE ACUTE
				ELSEIF '&chr' EQ 8Bh
					lbl word 151h		; LATIN SMALL LETTER O WITH DOUBLE ACUTE
				ELSEIF '&chr' EQ 8Ch
					lbl word 0EEh		; LATIN SMALL LETTER I WITH CIRCUMFLEX
				ELSEIF '&chr' EQ 8Dh
					lbl word 179h		; LATIN CAPITAL LETTER Z WITH ACUTE
				ELSEIF '&chr' EQ 8Eh
					lbl word 0C4h		; LATIN CAPITAL LETTER A WITH DIAERESIS
				ELSEIF '&chr' EQ 8Fh
					lbl word 106h		; LATIN CAPITAL LETTER C WITH ACUTE
				ELSEIF '&chr' EQ 90h
					lbl word 0C9h		; LATIN CAPITAL LETTER E WITH ACUTE
				ELSEIF '&chr' EQ 91h
					lbl word 139h		; LATIN CAPITAL LETTER L WITH ACUTE
				ELSEIF '&chr' EQ 92h
					lbl word 13Ah		; LATIN SMALL LETTER L WITH ACUTE
				ELSEIF '&chr' EQ 93h
					lbl word 0F4h		; LATIN SMALL LETTER O WITH CIRCUMFLEX
				ELSEIF '&chr' EQ 94h
					lbl word 0F6h		; LATIN SMALL LETTER O WITH DIAERESIS
				ELSEIF '&chr' EQ 95h
					lbl word 13Dh		; LATIN CAPITAL LETTER L WITH CARON
				ELSEIF '&chr' EQ 96h
					lbl word 13Eh		; LATIN SMALL LETTER L WITH CARON
				ELSEIF '&chr' EQ 97h
					lbl word 15Ah		; LATIN CAPITAL LETTER S WITH ACUTE
				ELSEIF '&chr' EQ 98h
					lbl word 15Bh		; LATIN SMALL LETTER S WITH ACUTE
				ELSEIF '&chr' EQ 99h
					lbl word 0D6h		; LATIN CAPITAL LETTER O WITH DIAERESIS
				ELSEIF '&chr' EQ 9Ah
					lbl word 0DCh		; LATIN CAPITAL LETTER U WITH DIAERESIS
				ELSEIF '&chr' EQ 9Bh
					lbl word 164h		; LATIN CAPITAL LETTER T WITH CARON
				ELSEIF '&chr' EQ 9Ch
					lbl word 165h		; LATIN SMALL LETTER T WITH CARON
				ELSEIF '&chr' EQ 9Dh
					lbl word 141h		; LATIN CAPITAL LETTER L WITH STROKE
				ELSEIF '&chr' EQ 9Eh
					lbl word 0D7h		; MULTIPLICATION SIGN
				ELSEIF '&chr' EQ 9Fh
					lbl word 10Dh		; LATIN SMALL LETTER C WITH CARON
				ELSEIF '&chr' EQ 0A0h
					lbl word 0E1h		; LATIN SMALL LETTER A WITH ACUTE
				ELSEIF '&chr' EQ 0A1h
					lbl word 0EDh		; LATIN SMALL LETTER I WITH ACUTE
				ELSEIF '&chr' EQ 0A2h
					lbl word 0F3h		; LATIN SMALL LETTER O WITH ACUTE
				ELSEIF '&chr' EQ 0A3h
					lbl word 0FAh		; LATIN SMALL LETTER U WITH ACUTE
				ELSEIF '&chr' EQ 0A4h
					lbl word 104h		; LATIN CAPITAL LETTER A WITH OGONEK
				ELSEIF '&chr' EQ 0A5h
					lbl word 105h		; LATIN SMALL LETTER A WITH OGONEK
				ELSEIF '&chr' EQ 0A6h
					lbl word 17Dh		; LATIN CAPITAL LETTER Z WITH CARON
				ELSEIF '&chr' EQ 0A7h
					lbl word 17Eh		; LATIN SMALL LETTER Z WITH CARON
				ELSEIF '&chr' EQ 0A8h
					lbl word 118h		; LATIN CAPITAL LETTER E WITH OGONEK
				ELSEIF '&chr' EQ 0A9h
					lbl word 119h		; LATIN SMALL LETTER E WITH OGONEK
				ELSEIF '&chr' EQ 0AAh
					lbl word 0ACh		; NOT SIGN
				ELSEIF '&chr' EQ 0ABh
					lbl word 17Ah		; LATIN SMALL LETTER Z WITH ACUTE
				ELSEIF '&chr' EQ 0ACh
					lbl word 10Ch		; LATIN CAPITAL LETTER C WITH CARON
				ELSEIF '&chr' EQ 0ADh
					lbl word 15Fh		; LATIN SMALL LETTER S WITH CEDILLA
				ELSEIF '&chr' EQ 0AEh
					lbl word 0ABh		; LEFT-POINTING DOUBLE ANGLE QUOTATION MARK
				ELSEIF '&chr' EQ 0AFh
					lbl word 0BBh		; RIGHT-POINTING DOUBLE ANGLE QUOTATION MARK
				ELSEIF '&chr' EQ 0B0h
					lbl word 2591h		; LIGHT SHADE
				ELSEIF '&chr' EQ 0B1h
					lbl word 2592h		; MEDIUM SHADE
				ELSEIF '&chr' EQ 0B2h
					lbl word 2593h		; DARK SHADE
				ELSEIF '&chr' EQ 0B3h
					lbl word 2502h		; BOX DRAWINGS LIGHT VERTICAL
				ELSEIF '&chr' EQ 0B4h
					lbl word 2524h		; BOX DRAWINGS LIGHT VERTICAL AND LEFT
				ELSEIF '&chr' EQ 0B5h
					lbl word 0C1h		; LATIN CAPITAL LETTER A WITH ACUTE
				ELSEIF '&chr' EQ 0B6h
					lbl word 0C2h		; LATIN CAPITAL LETTER A WITH CIRCUMFLEX
				ELSEIF '&chr' EQ 0B7h
					lbl word 11Ah		; LATIN CAPITAL LETTER E WITH CARON
				ELSEIF '&chr' EQ 0B8h
					lbl word 15Eh		; LATIN CAPITAL LETTER S WITH CEDILLA
				ELSEIF '&chr' EQ 0B9h
					lbl word 2563h		; BOX DRAWINGS DOUBLE VERTICAL AND LEFT
				ELSEIF '&chr' EQ 0BAh
					lbl word 2551h		; BOX DRAWINGS DOUBLE VERTICAL
				ELSEIF '&chr' EQ 0BBh
					lbl word 2557h		; BOX DRAWINGS DOUBLE DOWN AND LEFT
				ELSEIF '&chr' EQ 0BCh
					lbl word 255Dh		; BOX DRAWINGS DOUBLE UP AND LEFT
				ELSEIF '&chr' EQ 0BDh
					lbl word 17Bh		; LATIN CAPITAL LETTER Z WITH DOT ABOVE
				ELSEIF '&chr' EQ 0BEh
					lbl word 17Ch		; LATIN SMALL LETTER Z WITH DOT ABOVE
				ELSEIF '&chr' EQ 0BFh
					lbl word 2510h		; BOX DRAWINGS LIGHT DOWN AND LEFT
				ELSEIF '&chr' EQ 0C0h
					lbl word 2514h		; BOX DRAWINGS LIGHT UP AND RIGHT
				ELSEIF '&chr' EQ 0C1h
					lbl word 2534h		; BOX DRAWINGS LIGHT UP AND HORIZONTAL
				ELSEIF '&chr' EQ 0C2h
					lbl word 252Ch		; BOX DRAWINGS LIGHT DOWN AND HORIZONTAL
				ELSEIF '&chr' EQ 0C3h
					lbl word 251Ch		; BOX DRAWINGS LIGHT VERTICAL AND RIGHT
				ELSEIF '&chr' EQ 0C4h
					lbl word 2500h		; BOX DRAWINGS LIGHT HORIZONTAL
				ELSEIF '&chr' EQ 0C5h
					lbl word 253Ch		; BOX DRAWINGS LIGHT VERTICAL AND HORIZONTAL
				ELSEIF '&chr' EQ 0C6h
					lbl word 102h		; LATIN CAPITAL LETTER A WITH BREVE
				ELSEIF '&chr' EQ 0C7h
					lbl word 103h		; LATIN SMALL LETTER A WITH BREVE
				ELSEIF '&chr' EQ 0C8h
					lbl word 255Ah		; BOX DRAWINGS DOUBLE UP AND RIGHT
				ELSEIF '&chr' EQ 0C9h
					lbl word 2554h		; BOX DRAWINGS DOUBLE DOWN AND RIGHT
				ELSEIF '&chr' EQ 0CAh
					lbl word 2569h		; BOX DRAWINGS DOUBLE UP AND HORIZONTAL
				ELSEIF '&chr' EQ 0CBh
					lbl word 2566h		; BOX DRAWINGS DOUBLE DOWN AND HORIZONTAL
				ELSEIF '&chr' EQ 0CCh
					lbl word 2560h		; BOX DRAWINGS DOUBLE VERTICAL AND RIGHT
				ELSEIF '&chr' EQ 0CDh
					lbl word 2550h		; BOX DRAWINGS DOUBLE HORIZONTAL
				ELSEIF '&chr' EQ 0CEh
					lbl word 256Ch		; BOX DRAWINGS DOUBLE VERTICAL AND HORIZONTAL
				ELSEIF '&chr' EQ 0CFh
					lbl word 0A4h		; CURRENCY SIGN
				ELSEIF '&chr' EQ 0D0h
					lbl word 111h		; LATIN SMALL LETTER D WITH STROKE
				ELSEIF '&chr' EQ 0D1h
					lbl word 110h		; LATIN CAPITAL LETTER D WITH STROKE
				ELSEIF '&chr' EQ 0D2h
					lbl word 10Eh		; LATIN CAPITAL LETTER D WITH CARON
				ELSEIF '&chr' EQ 0D3h
					lbl word 0CBh		; LATIN CAPITAL LETTER E WITH DIAERESIS
				ELSEIF '&chr' EQ 0D4h
					lbl word 10Fh		; LATIN SMALL LETTER D WITH CARON
				ELSEIF '&chr' EQ 0D5h
					lbl word 147h		; LATIN CAPITAL LETTER N WITH CARON
				ELSEIF '&chr' EQ 0D6h
					lbl word 0CDh		; LATIN CAPITAL LETTER I WITH ACUTE
				ELSEIF '&chr' EQ 0D7h
					lbl word 0CEh		; LATIN CAPITAL LETTER I WITH CIRCUMFLEX
				ELSEIF '&chr' EQ 0D8h
					lbl word 11Bh		; LATIN SMALL LETTER E WITH CARON
				ELSEIF '&chr' EQ 0D9h
					lbl word 2518h		; BOX DRAWINGS LIGHT UP AND LEFT
				ELSEIF '&chr' EQ 0DAh
					lbl word 250Ch		; BOX DRAWINGS LIGHT DOWN AND RIGHT
				ELSEIF '&chr' EQ 0DBh
					lbl word 2588h		; FULL BLOCK
				ELSEIF '&chr' EQ 0DCh
					lbl word 2584h		; LOWER HALF BLOCK
				ELSEIF '&chr' EQ 0DDh
					lbl word 162h		; LATIN CAPITAL LETTER T WITH CEDILLA
				ELSEIF '&chr' EQ 0DEh
					lbl word 16Eh		; LATIN CAPITAL LETTER U WITH RING ABOVE
				ELSEIF '&chr' EQ 0DFh
					lbl word 2580h		; UPPER HALF BLOCK
				ELSEIF '&chr' EQ 0E0h
					lbl word 0D3h		; LATIN CAPITAL LETTER O WITH ACUTE
				ELSEIF '&chr' EQ 0E1h
					lbl word 0DFh		; LATIN SMALL LETTER SHARP S
				ELSEIF '&chr' EQ 0E2h
					lbl word 0D4h		; LATIN CAPITAL LETTER O WITH CIRCUMFLEX
				ELSEIF '&chr' EQ 0E3h
					lbl word 143h		; LATIN CAPITAL LETTER N WITH ACUTE
				ELSEIF '&chr' EQ 0E4h
					lbl word 144h		; LATIN SMALL LETTER N WITH ACUTE
				ELSEIF '&chr' EQ 0E5h
					lbl word 148h		; LATIN SMALL LETTER N WITH CARON
				ELSEIF '&chr' EQ 0E6h
					lbl word 160h		; LATIN CAPITAL LETTER S WITH CARON
				ELSEIF '&chr' EQ 0E7h
					lbl word 161h		; LATIN SMALL LETTER S WITH CARON
				ELSEIF '&chr' EQ 0E8h
					lbl word 154h		; LATIN CAPITAL LETTER R WITH ACUTE
				ELSEIF '&chr' EQ 0E9h
					lbl word 0DAh		; LATIN CAPITAL LETTER U WITH ACUTE
				ELSEIF '&chr' EQ 0EAh
					lbl word 155h		; LATIN SMALL LETTER R WITH ACUTE
				ELSEIF '&chr' EQ 0EBh
					lbl word 170h		; LATIN CAPITAL LETTER U WITH DOUBLE ACUTE
				ELSEIF '&chr' EQ 0ECh
					lbl word 0FDh		; LATIN SMALL LETTER Y WITH ACUTE
				ELSEIF '&chr' EQ 0EDh
					lbl word 0DDh		; LATIN CAPITAL LETTER Y WITH ACUTE
				ELSEIF '&chr' EQ 0EEh
					lbl word 163h		; LATIN SMALL LETTER T WITH CEDILLA
				ELSEIF '&chr' EQ 0EFh
					lbl word 0B4h		; ACUTE ACCENT
				ELSEIF '&chr' EQ 0F0h
					lbl word 0ADh		; SOFT HYPHEN
				ELSEIF '&chr' EQ 0F1h
					lbl word 2DDh		; DOUBLE ACUTE ACCENT
				ELSEIF '&chr' EQ 0F2h
					lbl word 2DBh		; OGONEK
				ELSEIF '&chr' EQ 0F3h
					lbl word 2C7h		; CARON
				ELSEIF '&chr' EQ 0F4h
					lbl word 2D8h		; BREVE
				ELSEIF '&chr' EQ 0F5h
					lbl word 0A7h		; SECTION SIGN
				ELSEIF '&chr' EQ 0F6h
					lbl word 0F7h		; DIVISION SIGN
				ELSEIF '&chr' EQ 0F7h
					lbl word 0B8h		; CEDILLA
				ELSEIF '&chr' EQ 0F8h
					lbl word 0B0h		; DEGREE SIGN
				ELSEIF '&chr' EQ 0F9h
					lbl word 0A8h		; DIAERESIS
				ELSEIF '&chr' EQ 0FAh
					lbl word 2D9h		; DOT ABOVE
				ELSEIF '&chr' EQ 0FBh
					lbl word 171h		; LATIN SMALL LETTER U WITH DOUBLE ACUTE
				ELSEIF '&chr' EQ 0FCh
					lbl word 158h		; LATIN CAPITAL LETTER R WITH CARON
				ELSEIF '&chr' EQ 0FDh
					lbl word 159h		; LATIN SMALL LETTER R WITH CARON
				ELSEIF '&chr' EQ 0FEh
					lbl word 25A0h		; BLACK SQUARE
				ELSEIF '&chr' EQ 0FFh
					lbl word 0A0h		; NO-BREAK SPACE
				ELSE
					lbl word '&chr'
				ENDIF
			ELSEIF cp EQ 855		; OEM-855 (Cyrillic)
				IF '&chr' EQ 80h
					lbl word 452h		; CYRILLIC SMALL LETTER DJE
				ELSEIF '&chr' EQ 81h
					lbl word 402h		; CYRILLIC CAPITAL LETTER DJE
				ELSEIF '&chr' EQ 82h
					lbl word 453h		; CYRILLIC SMALL LETTER GJE
				ELSEIF '&chr' EQ 83h
					lbl word 403h		; CYRILLIC CAPITAL LETTER GJE
				ELSEIF '&chr' EQ 84h
					lbl word 451h		; CYRILLIC SMALL LETTER IO
				ELSEIF '&chr' EQ 85h
					lbl word 401h		; CYRILLIC CAPITAL LETTER IO
				ELSEIF '&chr' EQ 86h
					lbl word 454h		; CYRILLIC SMALL LETTER UKRAINIAN IE
				ELSEIF '&chr' EQ 87h
					lbl word 404h		; CYRILLIC CAPITAL LETTER UKRAINIAN IE
				ELSEIF '&chr' EQ 88h
					lbl word 455h		; CYRILLIC SMALL LETTER DZE
				ELSEIF '&chr' EQ 89h
					lbl word 405h		; CYRILLIC CAPITAL LETTER DZE
				ELSEIF '&chr' EQ 8Ah
					lbl word 456h		; CYRILLIC SMALL LETTER BYELORUSSIAN-UKRAINIAN I
				ELSEIF '&chr' EQ 8Bh
					lbl word 406h		; CYRILLIC CAPITAL LETTER BYELORUSSIAN-UKRAINIAN I
				ELSEIF '&chr' EQ 8Ch
					lbl word 457h		; CYRILLIC SMALL LETTER YI
				ELSEIF '&chr' EQ 8Dh
					lbl word 407h		; CYRILLIC CAPITAL LETTER YI
				ELSEIF '&chr' EQ 8Eh
					lbl word 458h		; CYRILLIC SMALL LETTER JE
				ELSEIF '&chr' EQ 8Fh
					lbl word 408h		; CYRILLIC CAPITAL LETTER JE
				ELSEIF '&chr' EQ 90h
					lbl word 459h		; CYRILLIC SMALL LETTER LJE
				ELSEIF '&chr' EQ 91h
					lbl word 409h		; CYRILLIC CAPITAL LETTER LJE
				ELSEIF '&chr' EQ 92h
					lbl word 45Ah		; CYRILLIC SMALL LETTER NJE
				ELSEIF '&chr' EQ 93h
					lbl word 40Ah		; CYRILLIC CAPITAL LETTER NJE
				ELSEIF '&chr' EQ 94h
					lbl word 45Bh		; CYRILLIC SMALL LETTER TSHE
				ELSEIF '&chr' EQ 95h
					lbl word 40Bh		; CYRILLIC CAPITAL LETTER TSHE
				ELSEIF '&chr' EQ 96h
					lbl word 45Ch		; CYRILLIC SMALL LETTER KJE
				ELSEIF '&chr' EQ 97h
					lbl word 40Ch		; CYRILLIC CAPITAL LETTER KJE
				ELSEIF '&chr' EQ 98h
					lbl word 45Eh		; CYRILLIC SMALL LETTER SHORT U
				ELSEIF '&chr' EQ 99h
					lbl word 40Eh		; CYRILLIC CAPITAL LETTER SHORT U
				ELSEIF '&chr' EQ 9Ah
					lbl word 45Fh		; CYRILLIC SMALL LETTER DZHE
				ELSEIF '&chr' EQ 9Bh
					lbl word 40Fh		; CYRILLIC CAPITAL LETTER DZHE
				ELSEIF '&chr' EQ 9Ch
					lbl word 44Eh		; CYRILLIC SMALL LETTER YU
				ELSEIF '&chr' EQ 9Dh
					lbl word 42Eh		; CYRILLIC CAPITAL LETTER YU
				ELSEIF '&chr' EQ 9Eh
					lbl word 44Ah		; CYRILLIC SMALL LETTER HARD SIGN
				ELSEIF '&chr' EQ 9Fh
					lbl word 42Ah		; CYRILLIC CAPITAL LETTER HARD SIGN
				ELSEIF '&chr' EQ 0A0h
					lbl word 430h		; CYRILLIC SMALL LETTER A
				ELSEIF '&chr' EQ 0A1h
					lbl word 410h		; CYRILLIC CAPITAL LETTER A
				ELSEIF '&chr' EQ 0A2h
					lbl word 431h		; CYRILLIC SMALL LETTER BE
				ELSEIF '&chr' EQ 0A3h
					lbl word 411h		; CYRILLIC CAPITAL LETTER BE
				ELSEIF '&chr' EQ 0A4h
					lbl word 446h		; CYRILLIC SMALL LETTER TSE
				ELSEIF '&chr' EQ 0A5h
					lbl word 426h		; CYRILLIC CAPITAL LETTER TSE
				ELSEIF '&chr' EQ 0A6h
					lbl word 434h		; CYRILLIC SMALL LETTER DE
				ELSEIF '&chr' EQ 0A7h
					lbl word 414h		; CYRILLIC CAPITAL LETTER DE
				ELSEIF '&chr' EQ 0A8h
					lbl word 435h		; CYRILLIC SMALL LETTER IE
				ELSEIF '&chr' EQ 0A9h
					lbl word 415h		; CYRILLIC CAPITAL LETTER IE
				ELSEIF '&chr' EQ 0AAh
					lbl word 444h		; CYRILLIC SMALL LETTER EF
				ELSEIF '&chr' EQ 0ABh
					lbl word 424h		; CYRILLIC CAPITAL LETTER EF
				ELSEIF '&chr' EQ 0ACh
					lbl word 433h		; CYRILLIC SMALL LETTER GHE
				ELSEIF '&chr' EQ 0ADh
					lbl word 413h		; CYRILLIC CAPITAL LETTER GHE
				ELSEIF '&chr' EQ 0AEh
					lbl word 0ABh		; LEFT-POINTING DOUBLE ANGLE QUOTATION MARK
				ELSEIF '&chr' EQ 0AFh
					lbl word 0BBh		; RIGHT-POINTING DOUBLE ANGLE QUOTATION MARK
				ELSEIF '&chr' EQ 0B0h
					lbl word 2591h		; LIGHT SHADE
				ELSEIF '&chr' EQ 0B1h
					lbl word 2592h		; MEDIUM SHADE
				ELSEIF '&chr' EQ 0B2h
					lbl word 2593h		; DARK SHADE
				ELSEIF '&chr' EQ 0B3h
					lbl word 2502h		; BOX DRAWINGS LIGHT VERTICAL
				ELSEIF '&chr' EQ 0B4h
					lbl word 2524h		; BOX DRAWINGS LIGHT VERTICAL AND LEFT
				ELSEIF '&chr' EQ 0B5h
					lbl word 445h		; CYRILLIC SMALL LETTER HA
				ELSEIF '&chr' EQ 0B6h
					lbl word 425h		; CYRILLIC CAPITAL LETTER HA
				ELSEIF '&chr' EQ 0B7h
					lbl word 438h		; CYRILLIC SMALL LETTER I
				ELSEIF '&chr' EQ 0B8h
					lbl word 418h		; CYRILLIC CAPITAL LETTER I
				ELSEIF '&chr' EQ 0B9h
					lbl word 2563h		; BOX DRAWINGS DOUBLE VERTICAL AND LEFT
				ELSEIF '&chr' EQ 0BAh
					lbl word 2551h		; BOX DRAWINGS DOUBLE VERTICAL
				ELSEIF '&chr' EQ 0BBh
					lbl word 2557h		; BOX DRAWINGS DOUBLE DOWN AND LEFT
				ELSEIF '&chr' EQ 0BCh
					lbl word 255Dh		; BOX DRAWINGS DOUBLE UP AND LEFT
				ELSEIF '&chr' EQ 0BDh
					lbl word 439h		; CYRILLIC SMALL LETTER SHORT I
				ELSEIF '&chr' EQ 0BEh
					lbl word 419h		; CYRILLIC CAPITAL LETTER SHORT I
				ELSEIF '&chr' EQ 0BFh
					lbl word 2510h		; BOX DRAWINGS LIGHT DOWN AND LEFT
				ELSEIF '&chr' EQ 0C0h
					lbl word 2514h		; BOX DRAWINGS LIGHT UP AND RIGHT
				ELSEIF '&chr' EQ 0C1h
					lbl word 2534h		; BOX DRAWINGS LIGHT UP AND HORIZONTAL
				ELSEIF '&chr' EQ 0C2h
					lbl word 252Ch		; BOX DRAWINGS LIGHT DOWN AND HORIZONTAL
				ELSEIF '&chr' EQ 0C3h
					lbl word 251Ch		; BOX DRAWINGS LIGHT VERTICAL AND RIGHT
				ELSEIF '&chr' EQ 0C4h
					lbl word 2500h		; BOX DRAWINGS LIGHT HORIZONTAL
				ELSEIF '&chr' EQ 0C5h
					lbl word 253Ch		; BOX DRAWINGS LIGHT VERTICAL AND HORIZONTAL
				ELSEIF '&chr' EQ 0C6h
					lbl word 43Ah		; CYRILLIC SMALL LETTER KA
				ELSEIF '&chr' EQ 0C7h
					lbl word 41Ah		; CYRILLIC CAPITAL LETTER KA
				ELSEIF '&chr' EQ 0C8h
					lbl word 255Ah		; BOX DRAWINGS DOUBLE UP AND RIGHT
				ELSEIF '&chr' EQ 0C9h
					lbl word 2554h		; BOX DRAWINGS DOUBLE DOWN AND RIGHT
				ELSEIF '&chr' EQ 0CAh
					lbl word 2569h		; BOX DRAWINGS DOUBLE UP AND HORIZONTAL
				ELSEIF '&chr' EQ 0CBh
					lbl word 2566h		; BOX DRAWINGS DOUBLE DOWN AND HORIZONTAL
				ELSEIF '&chr' EQ 0CCh
					lbl word 2560h		; BOX DRAWINGS DOUBLE VERTICAL AND RIGHT
				ELSEIF '&chr' EQ 0CDh
					lbl word 2550h		; BOX DRAWINGS DOUBLE HORIZONTAL
				ELSEIF '&chr' EQ 0CEh
					lbl word 256Ch		; BOX DRAWINGS DOUBLE VERTICAL AND HORIZONTAL
				ELSEIF '&chr' EQ 0CFh
					lbl word 0A4h		; CURRENCY SIGN
				ELSEIF '&chr' EQ 0D0h
					lbl word 43Bh		; CYRILLIC SMALL LETTER EL
				ELSEIF '&chr' EQ 0D1h
					lbl word 41Bh		; CYRILLIC CAPITAL LETTER EL
				ELSEIF '&chr' EQ 0D2h
					lbl word 43Ch		; CYRILLIC SMALL LETTER EM
				ELSEIF '&chr' EQ 0D3h
					lbl word 41Ch		; CYRILLIC CAPITAL LETTER EM
				ELSEIF '&chr' EQ 0D4h
					lbl word 43Dh		; CYRILLIC SMALL LETTER EN
				ELSEIF '&chr' EQ 0D5h
					lbl word 41Dh		; CYRILLIC CAPITAL LETTER EN
				ELSEIF '&chr' EQ 0D6h
					lbl word 43Eh		; CYRILLIC SMALL LETTER O
				ELSEIF '&chr' EQ 0D7h
					lbl word 41Eh		; CYRILLIC CAPITAL LETTER O
				ELSEIF '&chr' EQ 0D8h
					lbl word 43Fh		; CYRILLIC SMALL LETTER PE
				ELSEIF '&chr' EQ 0D9h
					lbl word 2518h		; BOX DRAWINGS LIGHT UP AND LEFT
				ELSEIF '&chr' EQ 0DAh
					lbl word 250Ch		; BOX DRAWINGS LIGHT DOWN AND RIGHT
				ELSEIF '&chr' EQ 0DBh
					lbl word 2588h		; FULL BLOCK
				ELSEIF '&chr' EQ 0DCh
					lbl word 2584h		; LOWER HALF BLOCK
				ELSEIF '&chr' EQ 0DDh
					lbl word 41Fh		; CYRILLIC CAPITAL LETTER PE
				ELSEIF '&chr' EQ 0DEh
					lbl word 44Fh		; CYRILLIC SMALL LETTER YA
				ELSEIF '&chr' EQ 0DFh
					lbl word 2580h		; UPPER HALF BLOCK
				ELSEIF '&chr' EQ 0E0h
					lbl word 42Fh		; CYRILLIC CAPITAL LETTER YA
				ELSEIF '&chr' EQ 0E1h
					lbl word 440h		; CYRILLIC SMALL LETTER ER
				ELSEIF '&chr' EQ 0E2h
					lbl word 420h		; CYRILLIC CAPITAL LETTER ER
				ELSEIF '&chr' EQ 0E3h
					lbl word 441h		; CYRILLIC SMALL LETTER ES
				ELSEIF '&chr' EQ 0E4h
					lbl word 421h		; CYRILLIC CAPITAL LETTER ES
				ELSEIF '&chr' EQ 0E5h
					lbl word 442h		; CYRILLIC SMALL LETTER TE
				ELSEIF '&chr' EQ 0E6h
					lbl word 422h		; CYRILLIC CAPITAL LETTER TE
				ELSEIF '&chr' EQ 0E7h
					lbl word 443h		; CYRILLIC SMALL LETTER U
				ELSEIF '&chr' EQ 0E8h
					lbl word 423h		; CYRILLIC CAPITAL LETTER U
				ELSEIF '&chr' EQ 0E9h
					lbl word 436h		; CYRILLIC SMALL LETTER ZHE
				ELSEIF '&chr' EQ 0EAh
					lbl word 416h		; CYRILLIC CAPITAL LETTER ZHE
				ELSEIF '&chr' EQ 0EBh
					lbl word 432h		; CYRILLIC SMALL LETTER VE
				ELSEIF '&chr' EQ 0ECh
					lbl word 412h		; CYRILLIC CAPITAL LETTER VE
				ELSEIF '&chr' EQ 0EDh
					lbl word 44Ch		; CYRILLIC SMALL LETTER SOFT SIGN
				ELSEIF '&chr' EQ 0EEh
					lbl word 42Ch		; CYRILLIC CAPITAL LETTER SOFT SIGN
				ELSEIF '&chr' EQ 0EFh
					lbl word 2116h		; NUMERO SIGN
				ELSEIF '&chr' EQ 0F0h
					lbl word 0ADh		; SOFT HYPHEN
				ELSEIF '&chr' EQ 0F1h
					lbl word 44Bh		; CYRILLIC SMALL LETTER YERU
				ELSEIF '&chr' EQ 0F2h
					lbl word 42Bh		; CYRILLIC CAPITAL LETTER YERU
				ELSEIF '&chr' EQ 0F3h
					lbl word 437h		; CYRILLIC SMALL LETTER ZE
				ELSEIF '&chr' EQ 0F4h
					lbl word 417h		; CYRILLIC CAPITAL LETTER ZE
				ELSEIF '&chr' EQ 0F5h
					lbl word 448h		; CYRILLIC SMALL LETTER SHA
				ELSEIF '&chr' EQ 0F6h
					lbl word 428h		; CYRILLIC CAPITAL LETTER SHA
				ELSEIF '&chr' EQ 0F7h
					lbl word 44Dh		; CYRILLIC SMALL LETTER E
				ELSEIF '&chr' EQ 0F8h
					lbl word 42Dh		; CYRILLIC CAPITAL LETTER E
				ELSEIF '&chr' EQ 0F9h
					lbl word 449h		; CYRILLIC SMALL LETTER SHCHA
				ELSEIF '&chr' EQ 0FAh
					lbl word 429h		; CYRILLIC CAPITAL LETTER SHCHA
				ELSEIF '&chr' EQ 0FBh
					lbl word 447h		; CYRILLIC SMALL LETTER CHE
				ELSEIF '&chr' EQ 0FCh
					lbl word 427h		; CYRILLIC CAPITAL LETTER CHE
				ELSEIF '&chr' EQ 0FDh
					lbl word 0A7h		; SECTION SIGN
				ELSEIF '&chr' EQ 0FEh
					lbl word 25A0h		; BLACK SQUARE
				ELSEIF '&chr' EQ 0FFh
					lbl word 0A0h		; NO-BREAK SPACE
				ELSE
					lbl word '&chr'
				ENDIF
			ELSEIF cp EQ 857		; OEM-857 (Turkish)
				IF '&chr' EQ 80h
					lbl word 0C7h		; LATIN CAPITAL LETTER C WITH CEDILLA
				ELSEIF '&chr' EQ 81h
					lbl word 0FCh		; LATIN SMALL LETTER U WITH DIAERESIS
				ELSEIF '&chr' EQ 82h
					lbl word 0E9h		; LATIN SMALL LETTER E WITH ACUTE
				ELSEIF '&chr' EQ 83h
					lbl word 0E2h		; LATIN SMALL LETTER A WITH CIRCUMFLEX
				ELSEIF '&chr' EQ 84h
					lbl word 0E4h		; LATIN SMALL LETTER A WITH DIAERESIS
				ELSEIF '&chr' EQ 85h
					lbl word 0E0h		; LATIN SMALL LETTER A WITH GRAVE
				ELSEIF '&chr' EQ 86h
					lbl word 0E5h		; LATIN SMALL LETTER A WITH RING ABOVE
				ELSEIF '&chr' EQ 87h
					lbl word 0E7h		; LATIN SMALL LETTER C WITH CEDILLA
				ELSEIF '&chr' EQ 88h
					lbl word 0EAh		; LATIN SMALL LETTER E WITH CIRCUMFLEX
				ELSEIF '&chr' EQ 89h
					lbl word 0EBh		; LATIN SMALL LETTER E WITH DIAERESIS
				ELSEIF '&chr' EQ 8Ah
					lbl word 0E8h		; LATIN SMALL LETTER E WITH GRAVE
				ELSEIF '&chr' EQ 8Bh
					lbl word 0EFh		; LATIN SMALL LETTER I WITH DIAERESIS
				ELSEIF '&chr' EQ 8Ch
					lbl word 0EEh		; LATIN SMALL LETTER I WITH CIRCUMFLEX
				ELSEIF '&chr' EQ 8Dh
					lbl word 131h		; LATIN SMALL LETTER DOTLESS I
				ELSEIF '&chr' EQ 8Eh
					lbl word 0C4h		; LATIN CAPITAL LETTER A WITH DIAERESIS
				ELSEIF '&chr' EQ 8Fh
					lbl word 0C5h		; LATIN CAPITAL LETTER A WITH RING ABOVE
				ELSEIF '&chr' EQ 90h
					lbl word 0C9h		; LATIN CAPITAL LETTER E WITH ACUTE
				ELSEIF '&chr' EQ 91h
					lbl word 0E6h		; LATIN SMALL LETTER AE
				ELSEIF '&chr' EQ 92h
					lbl word 0C6h		; LATIN CAPITAL LETTER AE
				ELSEIF '&chr' EQ 93h
					lbl word 0F4h		; LATIN SMALL LETTER O WITH CIRCUMFLEX
				ELSEIF '&chr' EQ 94h
					lbl word 0F6h		; LATIN SMALL LETTER O WITH DIAERESIS
				ELSEIF '&chr' EQ 95h
					lbl word 0F2h		; LATIN SMALL LETTER O WITH GRAVE
				ELSEIF '&chr' EQ 96h
					lbl word 0FBh		; LATIN SMALL LETTER U WITH CIRCUMFLEX
				ELSEIF '&chr' EQ 97h
					lbl word 0F9h		; LATIN SMALL LETTER U WITH GRAVE
				ELSEIF '&chr' EQ 98h
					lbl word 130h		; LATIN CAPITAL LETTER I WITH DOT ABOVE
				ELSEIF '&chr' EQ 99h
					lbl word 0D6h		; LATIN CAPITAL LETTER O WITH DIAERESIS
				ELSEIF '&chr' EQ 9Ah
					lbl word 0DCh		; LATIN CAPITAL LETTER U WITH DIAERESIS
				ELSEIF '&chr' EQ 9Bh
					lbl word 0F8h		; LATIN SMALL LETTER O WITH STROKE
				ELSEIF '&chr' EQ 9Ch
					lbl word 0A3h		; POUND SIGN
				ELSEIF '&chr' EQ 9Dh
					lbl word 0D8h		; LATIN CAPITAL LETTER O WITH STROKE
				ELSEIF '&chr' EQ 9Eh
					lbl word 15Eh		; LATIN CAPITAL LETTER S WITH CEDILLA
				ELSEIF '&chr' EQ 9Fh
					lbl word 15Fh		; LATIN SMALL LETTER S WITH CEDILLA
				ELSEIF '&chr' EQ 0A0h
					lbl word 0E1h		; LATIN SMALL LETTER A WITH ACUTE
				ELSEIF '&chr' EQ 0A1h
					lbl word 0EDh		; LATIN SMALL LETTER I WITH ACUTE
				ELSEIF '&chr' EQ 0A2h
					lbl word 0F3h		; LATIN SMALL LETTER O WITH ACUTE
				ELSEIF '&chr' EQ 0A3h
					lbl word 0FAh		; LATIN SMALL LETTER U WITH ACUTE
				ELSEIF '&chr' EQ 0A4h
					lbl word 0F1h		; LATIN SMALL LETTER N WITH TILDE
				ELSEIF '&chr' EQ 0A5h
					lbl word 0D1h		; LATIN CAPITAL LETTER N WITH TILDE
				ELSEIF '&chr' EQ 0A6h
					lbl word 11Eh		; LATIN CAPITAL LETTER G WITH BREVE
				ELSEIF '&chr' EQ 0A7h
					lbl word 11Fh		; LATIN SMALL LETTER G WITH BREVE
				ELSEIF '&chr' EQ 0A8h
					lbl word 0BFh		; INVERTED QUESTION MARK
				ELSEIF '&chr' EQ 0A9h
					lbl word 0AEh		; REGISTERED SIGN
				ELSEIF '&chr' EQ 0AAh
					lbl word 0ACh		; NOT SIGN
				ELSEIF '&chr' EQ 0ABh
					lbl word 0BDh		; VULGAR FRACTION ONE HALF
				ELSEIF '&chr' EQ 0ACh
					lbl word 0BCh		; VULGAR FRACTION ONE QUARTER
				ELSEIF '&chr' EQ 0ADh
					lbl word 0A1h		; INVERTED EXCLAMATION MARK
				ELSEIF '&chr' EQ 0AEh
					lbl word 0ABh		; LEFT-POINTING DOUBLE ANGLE QUOTATION MARK
				ELSEIF '&chr' EQ 0AFh
					lbl word 0BBh		; RIGHT-POINTING DOUBLE ANGLE QUOTATION MARK
				ELSEIF '&chr' EQ 0B0h
					lbl word 2591h		; LIGHT SHADE
				ELSEIF '&chr' EQ 0B1h
					lbl word 2592h		; MEDIUM SHADE
				ELSEIF '&chr' EQ 0B2h
					lbl word 2593h		; DARK SHADE
				ELSEIF '&chr' EQ 0B3h
					lbl word 2502h		; BOX DRAWINGS LIGHT VERTICAL
				ELSEIF '&chr' EQ 0B4h
					lbl word 2524h		; BOX DRAWINGS LIGHT VERTICAL AND LEFT
				ELSEIF '&chr' EQ 0B5h
					lbl word 0C1h		; LATIN CAPITAL LETTER A WITH ACUTE
				ELSEIF '&chr' EQ 0B6h
					lbl word 0C2h		; LATIN CAPITAL LETTER A WITH CIRCUMFLEX
				ELSEIF '&chr' EQ 0B7h
					lbl word 0C0h		; LATIN CAPITAL LETTER A WITH GRAVE
				ELSEIF '&chr' EQ 0B8h
					lbl word 0A9h		; COPYRIGHT SIGN
				ELSEIF '&chr' EQ 0B9h
					lbl word 2563h		; BOX DRAWINGS DOUBLE VERTICAL AND LEFT
				ELSEIF '&chr' EQ 0BAh
					lbl word 2551h		; BOX DRAWINGS DOUBLE VERTICAL
				ELSEIF '&chr' EQ 0BBh
					lbl word 2557h		; BOX DRAWINGS DOUBLE DOWN AND LEFT
				ELSEIF '&chr' EQ 0BCh
					lbl word 255Dh		; BOX DRAWINGS DOUBLE UP AND LEFT
				ELSEIF '&chr' EQ 0BDh
					lbl word 0A2h		; CENT SIGN
				ELSEIF '&chr' EQ 0BEh
					lbl word 0A5h		; YEN SIGN
				ELSEIF '&chr' EQ 0BFh
					lbl word 2510h		; BOX DRAWINGS LIGHT DOWN AND LEFT
				ELSEIF '&chr' EQ 0C0h
					lbl word 2514h		; BOX DRAWINGS LIGHT UP AND RIGHT
				ELSEIF '&chr' EQ 0C1h
					lbl word 2534h		; BOX DRAWINGS LIGHT UP AND HORIZONTAL
				ELSEIF '&chr' EQ 0C2h
					lbl word 252Ch		; BOX DRAWINGS LIGHT DOWN AND HORIZONTAL
				ELSEIF '&chr' EQ 0C3h
					lbl word 251Ch		; BOX DRAWINGS LIGHT VERTICAL AND RIGHT
				ELSEIF '&chr' EQ 0C4h
					lbl word 2500h		; BOX DRAWINGS LIGHT HORIZONTAL
				ELSEIF '&chr' EQ 0C5h
					lbl word 253Ch		; BOX DRAWINGS LIGHT VERTICAL AND HORIZONTAL
				ELSEIF '&chr' EQ 0C6h
					lbl word 0E3h		; LATIN SMALL LETTER A WITH TILDE
				ELSEIF '&chr' EQ 0C7h
					lbl word 0C3h		; LATIN CAPITAL LETTER A WITH TILDE
				ELSEIF '&chr' EQ 0C8h
					lbl word 255Ah		; BOX DRAWINGS DOUBLE UP AND RIGHT
				ELSEIF '&chr' EQ 0C9h
					lbl word 2554h		; BOX DRAWINGS DOUBLE DOWN AND RIGHT
				ELSEIF '&chr' EQ 0CAh
					lbl word 2569h		; BOX DRAWINGS DOUBLE UP AND HORIZONTAL
				ELSEIF '&chr' EQ 0CBh
					lbl word 2566h		; BOX DRAWINGS DOUBLE DOWN AND HORIZONTAL
				ELSEIF '&chr' EQ 0CCh
					lbl word 2560h		; BOX DRAWINGS DOUBLE VERTICAL AND RIGHT
				ELSEIF '&chr' EQ 0CDh
					lbl word 2550h		; BOX DRAWINGS DOUBLE HORIZONTAL
				ELSEIF '&chr' EQ 0CEh
					lbl word 256Ch		; BOX DRAWINGS DOUBLE VERTICAL AND HORIZONTAL
				ELSEIF '&chr' EQ 0CFh
					lbl word 0A4h		; CURRENCY SIGN
				ELSEIF '&chr' EQ 0D0h
					lbl word 0BAh		; MASCULINE ORDINAL INDICATOR
				ELSEIF '&chr' EQ 0D1h
					lbl word 0AAh		; FEMININE ORDINAL INDICATOR
				ELSEIF '&chr' EQ 0D2h
					lbl word 0CAh		; LATIN CAPITAL LETTER E WITH CIRCUMFLEX
				ELSEIF '&chr' EQ 0D3h
					lbl word 0CBh		; LATIN CAPITAL LETTER E WITH DIAERESIS
				ELSEIF '&chr' EQ 0D4h
					lbl word 0C8h		; LATIN CAPITAL LETTER E WITH GRAVE
				ELSEIF '&chr' EQ 0D6h
					lbl word 0CDh		; LATIN CAPITAL LETTER I WITH ACUTE
				ELSEIF '&chr' EQ 0D7h
					lbl word 0CEh		; LATIN CAPITAL LETTER I WITH CIRCUMFLEX
				ELSEIF '&chr' EQ 0D8h
					lbl word 0CFh		; LATIN CAPITAL LETTER I WITH DIAERESIS
				ELSEIF '&chr' EQ 0D9h
					lbl word 2518h		; BOX DRAWINGS LIGHT UP AND LEFT
				ELSEIF '&chr' EQ 0DAh
					lbl word 250Ch		; BOX DRAWINGS LIGHT DOWN AND RIGHT
				ELSEIF '&chr' EQ 0DBh
					lbl word 2588h		; FULL BLOCK
				ELSEIF '&chr' EQ 0DCh
					lbl word 2584h		; LOWER HALF BLOCK
				ELSEIF '&chr' EQ 0DDh
					lbl word 0A6h		; BROKEN BAR
				ELSEIF '&chr' EQ 0DEh
					lbl word 0CCh		; LATIN CAPITAL LETTER I WITH GRAVE
				ELSEIF '&chr' EQ 0DFh
					lbl word 2580h		; UPPER HALF BLOCK
				ELSEIF '&chr' EQ 0E0h
					lbl word 0D3h		; LATIN CAPITAL LETTER O WITH ACUTE
				ELSEIF '&chr' EQ 0E1h
					lbl word 0DFh		; LATIN SMALL LETTER SHARP S
				ELSEIF '&chr' EQ 0E2h
					lbl word 0D4h		; LATIN CAPITAL LETTER O WITH CIRCUMFLEX
				ELSEIF '&chr' EQ 0E3h
					lbl word 0D2h		; LATIN CAPITAL LETTER O WITH GRAVE
				ELSEIF '&chr' EQ 0E4h
					lbl word 0F5h		; LATIN SMALL LETTER O WITH TILDE
				ELSEIF '&chr' EQ 0E5h
					lbl word 0D5h		; LATIN CAPITAL LETTER O WITH TILDE
				ELSEIF '&chr' EQ 0E6h
					lbl word 0B5h		; MICRO SIGN
				ELSEIF '&chr' EQ 0E8h
					lbl word 0D7h		; MULTIPLICATION SIGN
				ELSEIF '&chr' EQ 0E9h
					lbl word 0DAh		; LATIN CAPITAL LETTER U WITH ACUTE
				ELSEIF '&chr' EQ 0EAh
					lbl word 0DBh		; LATIN CAPITAL LETTER U WITH CIRCUMFLEX
				ELSEIF '&chr' EQ 0EBh
					lbl word 0D9h		; LATIN CAPITAL LETTER U WITH GRAVE
				ELSEIF '&chr' EQ 0ECh
					lbl word 0ECh		; LATIN SMALL LETTER I WITH GRAVE
				ELSEIF '&chr' EQ 0EDh
					lbl word 0FFh		; LATIN SMALL LETTER Y WITH DIAERESIS
				ELSEIF '&chr' EQ 0EEh
					lbl word 0AFh		; MACRON
				ELSEIF '&chr' EQ 0EFh
					lbl word 0B4h		; ACUTE ACCENT
				ELSEIF '&chr' EQ 0F0h
					lbl word 0ADh		; SOFT HYPHEN
				ELSEIF '&chr' EQ 0F1h
					lbl word 0B1h		; PLUS-MINUS SIGN
				ELSEIF '&chr' EQ 0F3h
					lbl word 0BEh		; VULGAR FRACTION THREE QUARTERS
				ELSEIF '&chr' EQ 0F4h
					lbl word 0B6h		; PILCROW SIGN
				ELSEIF '&chr' EQ 0F5h
					lbl word 0A7h		; SECTION SIGN
				ELSEIF '&chr' EQ 0F6h
					lbl word 0F7h		; DIVISION SIGN
				ELSEIF '&chr' EQ 0F7h
					lbl word 0B8h		; CEDILLA
				ELSEIF '&chr' EQ 0F8h
					lbl word 0B0h		; DEGREE SIGN
				ELSEIF '&chr' EQ 0F9h
					lbl word 0A8h		; DIAERESIS
				ELSEIF '&chr' EQ 0FAh
					lbl word 0B7h		; MIDDLE DOT
				ELSEIF '&chr' EQ 0FBh
					lbl word 0B9h		; SUPERSCRIPT ONE
				ELSEIF '&chr' EQ 0FCh
					lbl word 0B3h		; SUPERSCRIPT THREE
				ELSEIF '&chr' EQ 0FDh
					lbl word 0B2h		; SUPERSCRIPT TWO
				ELSEIF '&chr' EQ 0FEh
					lbl word 25A0h		; BLACK SQUARE
				ELSEIF '&chr' EQ 0FFh
					lbl word 0A0h		; NO-BREAK SPACE
				ELSE
					lbl word '&chr'
				ENDIF
			ELSEIF cp EQ 858		; OEM-858 (Multilingual Latin I + Euro)
				IF '&chr' EQ 80h
					lbl word 0C7h		; LATIN CAPITAL LETTER C WITH CEDILLA
				ELSEIF '&chr' EQ 81h
					lbl word 0FCh		; LATIN SMALL LETTER U WITH DIAERESIS
				ELSEIF '&chr' EQ 82h
					lbl word 0E9h		; LATIN SMALL LETTER E WITH ACUTE
				ELSEIF '&chr' EQ 83h
					lbl word 0E2h		; LATIN SMALL LETTER A WITH CIRCUMFLEX
				ELSEIF '&chr' EQ 84h
					lbl word 0E4h		; LATIN SMALL LETTER A WITH DIAERESIS
				ELSEIF '&chr' EQ 85h
					lbl word 0E0h		; LATIN SMALL LETTER A WITH GRAVE
				ELSEIF '&chr' EQ 86h
					lbl word 0E5h		; LATIN SMALL LETTER A WITH RING ABOVE
				ELSEIF '&chr' EQ 87h
					lbl word 0E7h		; LATIN SMALL LETTER C WITH CEDILLA
				ELSEIF '&chr' EQ 88h
					lbl word 0EAh		; LATIN SMALL LETTER E WITH CIRCUMFLEX
				ELSEIF '&chr' EQ 89h
					lbl word 0EBh		; LATIN SMALL LETTER E WITH DIAERESIS
				ELSEIF '&chr' EQ 8Ah
					lbl word 0E8h		; LATIN SMALL LETTER E WITH GRAVE
				ELSEIF '&chr' EQ 8Bh
					lbl word 0EFh		; LATIN SMALL LETTER I WITH DIAERESIS
				ELSEIF '&chr' EQ 8Ch
					lbl word 0EEh		; LATIN SMALL LETTER I WITH CIRCUMFLEX
				ELSEIF '&chr' EQ 8Dh
					lbl word 0ECh		; LATIN SMALL LETTER I WITH GRAVE
				ELSEIF '&chr' EQ 8Eh
					lbl word 0C4h		; LATIN CAPITAL LETTER A WITH DIAERESIS
				ELSEIF '&chr' EQ 8Fh
					lbl word 0C5h		; LATIN CAPITAL LETTER A WITH RING ABOVE
				ELSEIF '&chr' EQ 90h
					lbl word 0C9h		; LATIN CAPITAL LETTER E WITH ACUTE
				ELSEIF '&chr' EQ 91h
					lbl word 0E6h		; LATIN SMALL LETTER AE
				ELSEIF '&chr' EQ 92h
					lbl word 0C6h		; LATIN CAPITAL LETTER AE
				ELSEIF '&chr' EQ 93h
					lbl word 0F4h		; LATIN SMALL LETTER O WITH CIRCUMFLEX
				ELSEIF '&chr' EQ 94h
					lbl word 0F6h		; LATIN SMALL LETTER O WITH DIAERESIS
				ELSEIF '&chr' EQ 95h
					lbl word 0F2h		; LATIN SMALL LETTER O WITH GRAVE
				ELSEIF '&chr' EQ 96h
					lbl word 0FBh		; LATIN SMALL LETTER U WITH CIRCUMFLEX
				ELSEIF '&chr' EQ 97h
					lbl word 0F9h		; LATIN SMALL LETTER U WITH GRAVE
				ELSEIF '&chr' EQ 98h
					lbl word 0FFh		; LATIN SMALL LETTER Y WITH DIAERESIS
				ELSEIF '&chr' EQ 99h
					lbl word 0D6h		; LATIN CAPITAL LETTER O WITH DIAERESIS
				ELSEIF '&chr' EQ 9Ah
					lbl word 0DCh		; LATIN CAPITAL LETTER U WITH DIAERESIS
				ELSEIF '&chr' EQ 9Bh
					lbl word 0F8h		; LATIN SMALL LETTER O WITH STROKE
				ELSEIF '&chr' EQ 9Ch
					lbl word 0A3h		; POUND SIGN
				ELSEIF '&chr' EQ 9Dh
					lbl word 0D8h		; LATIN CAPITAL LETTER O WITH STROKE
				ELSEIF '&chr' EQ 9Eh
					lbl word 0D7h		; MULTIPLICATION SIGN
				ELSEIF '&chr' EQ 9Fh
					lbl word 192h		; LATIN SMALL LETTER F WITH HOOK
				ELSEIF '&chr' EQ 0A0h
					lbl word 0E1h		; LATIN SMALL LETTER A WITH ACUTE
				ELSEIF '&chr' EQ 0A1h
					lbl word 0EDh		; LATIN SMALL LETTER I WITH ACUTE
				ELSEIF '&chr' EQ 0A2h
					lbl word 0F3h		; LATIN SMALL LETTER O WITH ACUTE
				ELSEIF '&chr' EQ 0A3h
					lbl word 0FAh		; LATIN SMALL LETTER U WITH ACUTE
				ELSEIF '&chr' EQ 0A4h
					lbl word 0F1h		; LATIN SMALL LETTER N WITH TILDE
				ELSEIF '&chr' EQ 0A5h
					lbl word 0D1h		; LATIN CAPITAL LETTER N WITH TILDE
				ELSEIF '&chr' EQ 0A6h
					lbl word 0AAh		; FEMININE ORDINAL INDICATOR
				ELSEIF '&chr' EQ 0A7h
					lbl word 0BAh		; MASCULINE ORDINAL INDICATOR
				ELSEIF '&chr' EQ 0A8h
					lbl word 0BFh		; INVERTED QUESTION MARK
				ELSEIF '&chr' EQ 0A9h
					lbl word 0AEh		; REGISTERED SIGN
				ELSEIF '&chr' EQ 0AAh
					lbl word 0ACh		; NOT SIGN
				ELSEIF '&chr' EQ 0ABh
					lbl word 0BDh		; VULGAR FRACTION ONE HALF
				ELSEIF '&chr' EQ 0ACh
					lbl word 0BCh		; VULGAR FRACTION ONE QUARTER
				ELSEIF '&chr' EQ 0ADh
					lbl word 0A1h		; INVERTED EXCLAMATION MARK
				ELSEIF '&chr' EQ 0AEh
					lbl word 0ABh		; LEFT-POINTING DOUBLE ANGLE QUOTATION MARK
				ELSEIF '&chr' EQ 0AFh
					lbl word 0BBh		; RIGHT-POINTING DOUBLE ANGLE QUOTATION MARK
				ELSEIF '&chr' EQ 0B0h
					lbl word 2591h		; LIGHT SHADE
				ELSEIF '&chr' EQ 0B1h
					lbl word 2592h		; MEDIUM SHADE
				ELSEIF '&chr' EQ 0B2h
					lbl word 2593h		; DARK SHADE
				ELSEIF '&chr' EQ 0B3h
					lbl word 2502h		; BOX DRAWINGS LIGHT VERTICAL
				ELSEIF '&chr' EQ 0B4h
					lbl word 2524h		; BOX DRAWINGS LIGHT VERTICAL AND LEFT
				ELSEIF '&chr' EQ 0B5h
					lbl word 0C1h		; LATIN CAPITAL LETTER A WITH ACUTE
				ELSEIF '&chr' EQ 0B6h
					lbl word 0C2h		; LATIN CAPITAL LETTER A WITH CIRCUMFLEX
				ELSEIF '&chr' EQ 0B7h
					lbl word 0C0h		; LATIN CAPITAL LETTER A WITH GRAVE
				ELSEIF '&chr' EQ 0B8h
					lbl word 0A9h		; COPYRIGHT SIGN
				ELSEIF '&chr' EQ 0B9h
					lbl word 2563h		; BOX DRAWINGS DOUBLE VERTICAL AND LEFT
				ELSEIF '&chr' EQ 0BAh
					lbl word 2551h		; BOX DRAWINGS DOUBLE VERTICAL
				ELSEIF '&chr' EQ 0BBh
					lbl word 2557h		; BOX DRAWINGS DOUBLE DOWN AND LEFT
				ELSEIF '&chr' EQ 0BCh
					lbl word 255Dh		; BOX DRAWINGS DOUBLE UP AND LEFT
				ELSEIF '&chr' EQ 0BDh
					lbl word 0A2h		; CENT SIGN
				ELSEIF '&chr' EQ 0BEh
					lbl word 0A5h		; YEN SIGN
				ELSEIF '&chr' EQ 0BFh
					lbl word 2510h		; BOX DRAWINGS LIGHT DOWN AND LEFT
				ELSEIF '&chr' EQ 0C0h
					lbl word 2514h		; BOX DRAWINGS LIGHT UP AND RIGHT
				ELSEIF '&chr' EQ 0C1h
					lbl word 2534h		; BOX DRAWINGS LIGHT UP AND HORIZONTAL
				ELSEIF '&chr' EQ 0C2h
					lbl word 252Ch		; BOX DRAWINGS LIGHT DOWN AND HORIZONTAL
				ELSEIF '&chr' EQ 0C3h
					lbl word 251Ch		; BOX DRAWINGS LIGHT VERTICAL AND RIGHT
				ELSEIF '&chr' EQ 0C4h
					lbl word 2500h		; BOX DRAWINGS LIGHT HORIZONTAL
				ELSEIF '&chr' EQ 0C5h
					lbl word 253Ch		; BOX DRAWINGS LIGHT VERTICAL AND HORIZONTAL
				ELSEIF '&chr' EQ 0C6h
					lbl word 0E3h		; LATIN SMALL LETTER A WITH TILDE
				ELSEIF '&chr' EQ 0C7h
					lbl word 0C3h		; LATIN CAPITAL LETTER A WITH TILDE
				ELSEIF '&chr' EQ 0C8h
					lbl word 255Ah		; BOX DRAWINGS DOUBLE UP AND RIGHT
				ELSEIF '&chr' EQ 0C9h
					lbl word 2554h		; BOX DRAWINGS DOUBLE DOWN AND RIGHT
				ELSEIF '&chr' EQ 0CAh
					lbl word 2569h		; BOX DRAWINGS DOUBLE UP AND HORIZONTAL
				ELSEIF '&chr' EQ 0CBh
					lbl word 2566h		; BOX DRAWINGS DOUBLE DOWN AND HORIZONTAL
				ELSEIF '&chr' EQ 0CCh
					lbl word 2560h		; BOX DRAWINGS DOUBLE VERTICAL AND RIGHT
				ELSEIF '&chr' EQ 0CDh
					lbl word 2550h		; BOX DRAWINGS DOUBLE HORIZONTAL
				ELSEIF '&chr' EQ 0CEh
					lbl word 256Ch		; BOX DRAWINGS DOUBLE VERTICAL AND HORIZONTAL
				ELSEIF '&chr' EQ 0CFh
					lbl word 0A4h		; CURRENCY SIGN
				ELSEIF '&chr' EQ 0D0h
					lbl word 0F0h		; LATIN SMALL LETTER ETH
				ELSEIF '&chr' EQ 0D1h
					lbl word 0D0h		; LATIN CAPITAL LETTER ETH
				ELSEIF '&chr' EQ 0D2h
					lbl word 0CAh		; LATIN CAPITAL LETTER E WITH CIRCUMFLEX
				ELSEIF '&chr' EQ 0D3h
					lbl word 0CBh		; LATIN CAPITAL LETTER E WITH DIAERESIS
				ELSEIF '&chr' EQ 0D4h
					lbl word 0C8h		; LATIN CAPITAL LETTER E WITH GRAVE
				ELSEIF '&chr' EQ 0D5h
					lbl word 20ACh		; EURO SIGN
				ELSEIF '&chr' EQ 0D6h
					lbl word 0CDh		; LATIN CAPITAL LETTER I WITH ACUTE
				ELSEIF '&chr' EQ 0D7h
					lbl word 0CEh		; LATIN CAPITAL LETTER I WITH CIRCUMFLEX
				ELSEIF '&chr' EQ 0D8h
					lbl word 0CFh		; LATIN CAPITAL LETTER I WITH DIAERESIS
				ELSEIF '&chr' EQ 0D9h
					lbl word 2518h		; BOX DRAWINGS LIGHT UP AND LEFT
				ELSEIF '&chr' EQ 0DAh
					lbl word 250Ch		; BOX DRAWINGS LIGHT DOWN AND RIGHT
				ELSEIF '&chr' EQ 0DBh
					lbl word 2588h		; FULL BLOCK
				ELSEIF '&chr' EQ 0DCh
					lbl word 2584h		; LOWER HALF BLOCK
				ELSEIF '&chr' EQ 0DDh
					lbl word 0A6h		; BROKEN BAR
				ELSEIF '&chr' EQ 0DEh
					lbl word 0CCh		; LATIN CAPITAL LETTER I WITH GRAVE
				ELSEIF '&chr' EQ 0DFh
					lbl word 2580h		; UPPER HALF BLOCK
				ELSEIF '&chr' EQ 0E0h
					lbl word 0D3h		; LATIN CAPITAL LETTER O WITH ACUTE
				ELSEIF '&chr' EQ 0E1h
					lbl word 0DFh		; LATIN SMALL LETTER SHARP S
				ELSEIF '&chr' EQ 0E2h
					lbl word 0D4h		; LATIN CAPITAL LETTER O WITH CIRCUMFLEX
				ELSEIF '&chr' EQ 0E3h
					lbl word 0D2h		; LATIN CAPITAL LETTER O WITH GRAVE
				ELSEIF '&chr' EQ 0E4h
					lbl word 0F5h		; LATIN SMALL LETTER O WITH TILDE
				ELSEIF '&chr' EQ 0E5h
					lbl word 0D5h		; LATIN CAPITAL LETTER O WITH TILDE
				ELSEIF '&chr' EQ 0E6h
					lbl word 0B5h		; MICRO SIGN
				ELSEIF '&chr' EQ 0E7h
					lbl word 0FEh		; LATIN SMALL LETTER THORN
				ELSEIF '&chr' EQ 0E8h
					lbl word 0DEh		; LATIN CAPITAL LETTER THORN
				ELSEIF '&chr' EQ 0E9h
					lbl word 0DAh		; LATIN CAPITAL LETTER U WITH ACUTE
				ELSEIF '&chr' EQ 0EAh
					lbl word 0DBh		; LATIN CAPITAL LETTER U WITH CIRCUMFLEX
				ELSEIF '&chr' EQ 0EBh
					lbl word 0D9h		; LATIN CAPITAL LETTER U WITH GRAVE
				ELSEIF '&chr' EQ 0ECh
					lbl word 0FDh		; LATIN SMALL LETTER Y WITH ACUTE
				ELSEIF '&chr' EQ 0EDh
					lbl word 0DDh		; LATIN CAPITAL LETTER Y WITH ACUTE
				ELSEIF '&chr' EQ 0EEh
					lbl word 0AFh		; MACRON
				ELSEIF '&chr' EQ 0EFh
					lbl word 0B4h		; ACUTE ACCENT
				ELSEIF '&chr' EQ 0F0h
					lbl word 0ADh		; SOFT HYPHEN
				ELSEIF '&chr' EQ 0F1h
					lbl word 0B1h		; PLUS-MINUS SIGN
				ELSEIF '&chr' EQ 0F2h
					lbl word 2017h		; DOUBLE LOW LINE
				ELSEIF '&chr' EQ 0F3h
					lbl word 0BEh		; VULGAR FRACTION THREE QUARTERS
				ELSEIF '&chr' EQ 0F4h
					lbl word 0B6h		; PILCROW SIGN
				ELSEIF '&chr' EQ 0F5h
					lbl word 0A7h		; SECTION SIGN
				ELSEIF '&chr' EQ 0F6h
					lbl word 0F7h		; DIVISION SIGN
				ELSEIF '&chr' EQ 0F7h
					lbl word 0B8h		; CEDILLA
				ELSEIF '&chr' EQ 0F8h
					lbl word 0B0h		; DEGREE SIGN
				ELSEIF '&chr' EQ 0F9h
					lbl word 0A8h		; DIAERESIS
				ELSEIF '&chr' EQ 0FAh
					lbl word 0B7h		; MIDDLE DOT
				ELSEIF '&chr' EQ 0FBh
					lbl word 0B9h		; SUPERSCRIPT ONE
				ELSEIF '&chr' EQ 0FCh
					lbl word 0B3h		; SUPERSCRIPT THREE
				ELSEIF '&chr' EQ 0FDh
					lbl word 0B2h		; SUPERSCRIPT TWO
				ELSEIF '&chr' EQ 0FEh
					lbl word 25A0h		; BLACK SQUARE
				ELSEIF '&chr' EQ 0FFh
					lbl word 0A0h		; NO-BREAK SPACE
				ELSE
					lbl word '&chr'
				ENDIF
			ELSEIF cp EQ 862		; OEM-862 (Hebrew)
				IF '&chr' EQ 80h
					lbl word 5D0h		; HEBREW LETTER ALEF
				ELSEIF '&chr' EQ 81h
					lbl word 5D1h		; HEBREW LETTER BET
				ELSEIF '&chr' EQ 82h
					lbl word 5D2h		; HEBREW LETTER GIMEL
				ELSEIF '&chr' EQ 83h
					lbl word 5D3h		; HEBREW LETTER DALET
				ELSEIF '&chr' EQ 84h
					lbl word 5D4h		; HEBREW LETTER HE
				ELSEIF '&chr' EQ 85h
					lbl word 5D5h		; HEBREW LETTER VAV
				ELSEIF '&chr' EQ 86h
					lbl word 5D6h		; HEBREW LETTER ZAYIN
				ELSEIF '&chr' EQ 87h
					lbl word 5D7h		; HEBREW LETTER HET
				ELSEIF '&chr' EQ 88h
					lbl word 5D8h		; HEBREW LETTER TET
				ELSEIF '&chr' EQ 89h
					lbl word 5D9h		; HEBREW LETTER YOD
				ELSEIF '&chr' EQ 8Ah
					lbl word 5DAh		; HEBREW LETTER FINAL KAF
				ELSEIF '&chr' EQ 8Bh
					lbl word 5DBh		; HEBREW LETTER KAF
				ELSEIF '&chr' EQ 8Ch
					lbl word 5DCh		; HEBREW LETTER LAMED
				ELSEIF '&chr' EQ 8Dh
					lbl word 5DDh		; HEBREW LETTER FINAL MEM
				ELSEIF '&chr' EQ 8Eh
					lbl word 5DEh		; HEBREW LETTER MEM
				ELSEIF '&chr' EQ 8Fh
					lbl word 5DFh		; HEBREW LETTER FINAL NUN
				ELSEIF '&chr' EQ 90h
					lbl word 5E0h		; HEBREW LETTER NUN
				ELSEIF '&chr' EQ 91h
					lbl word 5E1h		; HEBREW LETTER SAMEKH
				ELSEIF '&chr' EQ 92h
					lbl word 5E2h		; HEBREW LETTER AYIN
				ELSEIF '&chr' EQ 93h
					lbl word 5E3h		; HEBREW LETTER FINAL PE
				ELSEIF '&chr' EQ 94h
					lbl word 5E4h		; HEBREW LETTER PE
				ELSEIF '&chr' EQ 95h
					lbl word 5E5h		; HEBREW LETTER FINAL TSADI
				ELSEIF '&chr' EQ 96h
					lbl word 5E6h		; HEBREW LETTER TSADI
				ELSEIF '&chr' EQ 97h
					lbl word 5E7h		; HEBREW LETTER QOF
				ELSEIF '&chr' EQ 98h
					lbl word 5E8h		; HEBREW LETTER RESH
				ELSEIF '&chr' EQ 99h
					lbl word 5E9h		; HEBREW LETTER SHIN
				ELSEIF '&chr' EQ 9Ah
					lbl word 5EAh		; HEBREW LETTER TAV
				ELSEIF '&chr' EQ 9Bh
					lbl word 0A2h		; CENT SIGN
				ELSEIF '&chr' EQ 9Ch
					lbl word 0A3h		; POUND SIGN
				ELSEIF '&chr' EQ 9Dh
					lbl word 0A5h		; YEN SIGN
				ELSEIF '&chr' EQ 9Eh
					lbl word 20A7h		; PESETA SIGN
				ELSEIF '&chr' EQ 9Fh
					lbl word 192h		; LATIN SMALL LETTER F WITH HOOK
				ELSEIF '&chr' EQ 0A0h
					lbl word 0E1h		; LATIN SMALL LETTER A WITH ACUTE
				ELSEIF '&chr' EQ 0A1h
					lbl word 0EDh		; LATIN SMALL LETTER I WITH ACUTE
				ELSEIF '&chr' EQ 0A2h
					lbl word 0F3h		; LATIN SMALL LETTER O WITH ACUTE
				ELSEIF '&chr' EQ 0A3h
					lbl word 0FAh		; LATIN SMALL LETTER U WITH ACUTE
				ELSEIF '&chr' EQ 0A4h
					lbl word 0F1h		; LATIN SMALL LETTER N WITH TILDE
				ELSEIF '&chr' EQ 0A5h
					lbl word 0D1h		; LATIN CAPITAL LETTER N WITH TILDE
				ELSEIF '&chr' EQ 0A6h
					lbl word 0AAh		; FEMININE ORDINAL INDICATOR
				ELSEIF '&chr' EQ 0A7h
					lbl word 0BAh		; MASCULINE ORDINAL INDICATOR
				ELSEIF '&chr' EQ 0A8h
					lbl word 0BFh		; INVERTED QUESTION MARK
				ELSEIF '&chr' EQ 0A9h
					lbl word 2310h		; REVERSED NOT SIGN
				ELSEIF '&chr' EQ 0AAh
					lbl word 0ACh		; NOT SIGN
				ELSEIF '&chr' EQ 0ABh
					lbl word 0BDh		; VULGAR FRACTION ONE HALF
				ELSEIF '&chr' EQ 0ACh
					lbl word 0BCh		; VULGAR FRACTION ONE QUARTER
				ELSEIF '&chr' EQ 0ADh
					lbl word 0A1h		; INVERTED EXCLAMATION MARK
				ELSEIF '&chr' EQ 0AEh
					lbl word 0ABh		; LEFT-POINTING DOUBLE ANGLE QUOTATION MARK
				ELSEIF '&chr' EQ 0AFh
					lbl word 0BBh		; RIGHT-POINTING DOUBLE ANGLE QUOTATION MARK
				ELSEIF '&chr' EQ 0B0h
					lbl word 2591h		; LIGHT SHADE
				ELSEIF '&chr' EQ 0B1h
					lbl word 2592h		; MEDIUM SHADE
				ELSEIF '&chr' EQ 0B2h
					lbl word 2593h		; DARK SHADE
				ELSEIF '&chr' EQ 0B3h
					lbl word 2502h		; BOX DRAWINGS LIGHT VERTICAL
				ELSEIF '&chr' EQ 0B4h
					lbl word 2524h		; BOX DRAWINGS LIGHT VERTICAL AND LEFT
				ELSEIF '&chr' EQ 0B5h
					lbl word 2561h		; BOX DRAWINGS VERTICAL SINGLE AND LEFT DOUBLE
				ELSEIF '&chr' EQ 0B6h
					lbl word 2562h		; BOX DRAWINGS VERTICAL DOUBLE AND LEFT SINGLE
				ELSEIF '&chr' EQ 0B7h
					lbl word 2556h		; BOX DRAWINGS DOWN DOUBLE AND LEFT SINGLE
				ELSEIF '&chr' EQ 0B8h
					lbl word 2555h		; BOX DRAWINGS DOWN SINGLE AND LEFT DOUBLE
				ELSEIF '&chr' EQ 0B9h
					lbl word 2563h		; BOX DRAWINGS DOUBLE VERTICAL AND LEFT
				ELSEIF '&chr' EQ 0BAh
					lbl word 2551h		; BOX DRAWINGS DOUBLE VERTICAL
				ELSEIF '&chr' EQ 0BBh
					lbl word 2557h		; BOX DRAWINGS DOUBLE DOWN AND LEFT
				ELSEIF '&chr' EQ 0BCh
					lbl word 255Dh		; BOX DRAWINGS DOUBLE UP AND LEFT
				ELSEIF '&chr' EQ 0BDh
					lbl word 255Ch		; BOX DRAWINGS UP DOUBLE AND LEFT SINGLE
				ELSEIF '&chr' EQ 0BEh
					lbl word 255Bh		; BOX DRAWINGS UP SINGLE AND LEFT DOUBLE
				ELSEIF '&chr' EQ 0BFh
					lbl word 2510h		; BOX DRAWINGS LIGHT DOWN AND LEFT
				ELSEIF '&chr' EQ 0C0h
					lbl word 2514h		; BOX DRAWINGS LIGHT UP AND RIGHT
				ELSEIF '&chr' EQ 0C1h
					lbl word 2534h		; BOX DRAWINGS LIGHT UP AND HORIZONTAL
				ELSEIF '&chr' EQ 0C2h
					lbl word 252Ch		; BOX DRAWINGS LIGHT DOWN AND HORIZONTAL
				ELSEIF '&chr' EQ 0C3h
					lbl word 251Ch		; BOX DRAWINGS LIGHT VERTICAL AND RIGHT
				ELSEIF '&chr' EQ 0C4h
					lbl word 2500h		; BOX DRAWINGS LIGHT HORIZONTAL
				ELSEIF '&chr' EQ 0C5h
					lbl word 253Ch		; BOX DRAWINGS LIGHT VERTICAL AND HORIZONTAL
				ELSEIF '&chr' EQ 0C6h
					lbl word 255Eh		; BOX DRAWINGS VERTICAL SINGLE AND RIGHT DOUBLE
				ELSEIF '&chr' EQ 0C7h
					lbl word 255Fh		; BOX DRAWINGS VERTICAL DOUBLE AND RIGHT SINGLE
				ELSEIF '&chr' EQ 0C8h
					lbl word 255Ah		; BOX DRAWINGS DOUBLE UP AND RIGHT
				ELSEIF '&chr' EQ 0C9h
					lbl word 2554h		; BOX DRAWINGS DOUBLE DOWN AND RIGHT
				ELSEIF '&chr' EQ 0CAh
					lbl word 2569h		; BOX DRAWINGS DOUBLE UP AND HORIZONTAL
				ELSEIF '&chr' EQ 0CBh
					lbl word 2566h		; BOX DRAWINGS DOUBLE DOWN AND HORIZONTAL
				ELSEIF '&chr' EQ 0CCh
					lbl word 2560h		; BOX DRAWINGS DOUBLE VERTICAL AND RIGHT
				ELSEIF '&chr' EQ 0CDh
					lbl word 2550h		; BOX DRAWINGS DOUBLE HORIZONTAL
				ELSEIF '&chr' EQ 0CEh
					lbl word 256Ch		; BOX DRAWINGS DOUBLE VERTICAL AND HORIZONTAL
				ELSEIF '&chr' EQ 0CFh
					lbl word 2567h		; BOX DRAWINGS UP SINGLE AND HORIZONTAL DOUBLE
				ELSEIF '&chr' EQ 0D0h
					lbl word 2568h		; BOX DRAWINGS UP DOUBLE AND HORIZONTAL SINGLE
				ELSEIF '&chr' EQ 0D1h
					lbl word 2564h		; BOX DRAWINGS DOWN SINGLE AND HORIZONTAL DOUBLE
				ELSEIF '&chr' EQ 0D2h
					lbl word 2565h		; BOX DRAWINGS DOWN DOUBLE AND HORIZONTAL SINGLE
				ELSEIF '&chr' EQ 0D3h
					lbl word 2559h		; BOX DRAWINGS UP DOUBLE AND RIGHT SINGLE
				ELSEIF '&chr' EQ 0D4h
					lbl word 2558h		; BOX DRAWINGS UP SINGLE AND RIGHT DOUBLE
				ELSEIF '&chr' EQ 0D5h
					lbl word 2552h		; BOX DRAWINGS DOWN SINGLE AND RIGHT DOUBLE
				ELSEIF '&chr' EQ 0D6h
					lbl word 2553h		; BOX DRAWINGS DOWN DOUBLE AND RIGHT SINGLE
				ELSEIF '&chr' EQ 0D7h
					lbl word 256Bh		; BOX DRAWINGS VERTICAL DOUBLE AND HORIZONTAL SINGLE
				ELSEIF '&chr' EQ 0D8h
					lbl word 256Ah		; BOX DRAWINGS VERTICAL SINGLE AND HORIZONTAL DOUBLE
				ELSEIF '&chr' EQ 0D9h
					lbl word 2518h		; BOX DRAWINGS LIGHT UP AND LEFT
				ELSEIF '&chr' EQ 0DAh
					lbl word 250Ch		; BOX DRAWINGS LIGHT DOWN AND RIGHT
				ELSEIF '&chr' EQ 0DBh
					lbl word 2588h		; FULL BLOCK
				ELSEIF '&chr' EQ 0DCh
					lbl word 2584h		; LOWER HALF BLOCK
				ELSEIF '&chr' EQ 0DDh
					lbl word 258Ch		; LEFT HALF BLOCK
				ELSEIF '&chr' EQ 0DEh
					lbl word 2590h		; RIGHT HALF BLOCK
				ELSEIF '&chr' EQ 0DFh
					lbl word 2580h		; UPPER HALF BLOCK
				ELSEIF '&chr' EQ 0E0h
					lbl word 3B1h		; GREEK SMALL LETTER ALPHA
				ELSEIF '&chr' EQ 0E1h
					lbl word 0DFh		; LATIN SMALL LETTER SHARP S
				ELSEIF '&chr' EQ 0E2h
					lbl word 393h		; GREEK CAPITAL LETTER GAMMA
				ELSEIF '&chr' EQ 0E3h
					lbl word 3C0h		; GREEK SMALL LETTER PI
				ELSEIF '&chr' EQ 0E4h
					lbl word 3A3h		; GREEK CAPITAL LETTER SIGMA
				ELSEIF '&chr' EQ 0E5h
					lbl word 3C3h		; GREEK SMALL LETTER SIGMA
				ELSEIF '&chr' EQ 0E6h
					lbl word 0B5h		; MICRO SIGN
				ELSEIF '&chr' EQ 0E7h
					lbl word 3C4h		; GREEK SMALL LETTER TAU
				ELSEIF '&chr' EQ 0E8h
					lbl word 3A6h		; GREEK CAPITAL LETTER PHI
				ELSEIF '&chr' EQ 0E9h
					lbl word 398h		; GREEK CAPITAL LETTER THETA
				ELSEIF '&chr' EQ 0EAh
					lbl word 3A9h		; GREEK CAPITAL LETTER OMEGA
				ELSEIF '&chr' EQ 0EBh
					lbl word 3B4h		; GREEK SMALL LETTER DELTA
				ELSEIF '&chr' EQ 0ECh
					lbl word 221Eh		; INFINITY
				ELSEIF '&chr' EQ 0EDh
					lbl word 3C6h		; GREEK SMALL LETTER PHI
				ELSEIF '&chr' EQ 0EEh
					lbl word 3B5h		; GREEK SMALL LETTER EPSILON
				ELSEIF '&chr' EQ 0EFh
					lbl word 2229h		; INTERSECTION
				ELSEIF '&chr' EQ 0F0h
					lbl word 2261h		; IDENTICAL TO
				ELSEIF '&chr' EQ 0F1h
					lbl word 0B1h		; PLUS-MINUS SIGN
				ELSEIF '&chr' EQ 0F2h
					lbl word 2265h		; GREATER-THAN OR EQUAL TO
				ELSEIF '&chr' EQ 0F3h
					lbl word 2264h		; LESS-THAN OR EQUAL TO
				ELSEIF '&chr' EQ 0F4h
					lbl word 2320h		; TOP HALF INTEGRAL
				ELSEIF '&chr' EQ 0F5h
					lbl word 2321h		; BOTTOM HALF INTEGRAL
				ELSEIF '&chr' EQ 0F6h
					lbl word 0F7h		; DIVISION SIGN
				ELSEIF '&chr' EQ 0F7h
					lbl word 2248h		; ALMOST EQUAL TO
				ELSEIF '&chr' EQ 0F8h
					lbl word 0B0h		; DEGREE SIGN
				ELSEIF '&chr' EQ 0F9h
					lbl word 2219h		; BULLET OPERATOR
				ELSEIF '&chr' EQ 0FAh
					lbl word 0B7h		; MIDDLE DOT
				ELSEIF '&chr' EQ 0FBh
					lbl word 221Ah		; SQUARE ROOT
				ELSEIF '&chr' EQ 0FCh
					lbl word 207Fh		; SUPERSCRIPT LATIN SMALL LETTER N
				ELSEIF '&chr' EQ 0FDh
					lbl word 0B2h		; SUPERSCRIPT TWO
				ELSEIF '&chr' EQ 0FEh
					lbl word 25A0h		; BLACK SQUARE
				ELSEIF '&chr' EQ 0FFh
					lbl word 0A0h		; NO-BREAK SPACE
				ELSE
					lbl word '&chr'
				ENDIF
			ELSEIF cp EQ 866		; OEM-866 (Russian)
				IF '&chr' EQ 80h
					lbl word 410h		; CYRILLIC CAPITAL LETTER A
				ELSEIF '&chr' EQ 81h
					lbl word 411h		; CYRILLIC CAPITAL LETTER BE
				ELSEIF '&chr' EQ 82h
					lbl word 412h		; CYRILLIC CAPITAL LETTER VE
				ELSEIF '&chr' EQ 83h
					lbl word 413h		; CYRILLIC CAPITAL LETTER GHE
				ELSEIF '&chr' EQ 84h
					lbl word 414h		; CYRILLIC CAPITAL LETTER DE
				ELSEIF '&chr' EQ 85h
					lbl word 415h		; CYRILLIC CAPITAL LETTER IE
				ELSEIF '&chr' EQ 86h
					lbl word 416h		; CYRILLIC CAPITAL LETTER ZHE
				ELSEIF '&chr' EQ 87h
					lbl word 417h		; CYRILLIC CAPITAL LETTER ZE
				ELSEIF '&chr' EQ 88h
					lbl word 418h		; CYRILLIC CAPITAL LETTER I
				ELSEIF '&chr' EQ 89h
					lbl word 419h		; CYRILLIC CAPITAL LETTER SHORT I
				ELSEIF '&chr' EQ 8Ah
					lbl word 41Ah		; CYRILLIC CAPITAL LETTER KA
				ELSEIF '&chr' EQ 8Bh
					lbl word 41Bh		; CYRILLIC CAPITAL LETTER EL
				ELSEIF '&chr' EQ 8Ch
					lbl word 41Ch		; CYRILLIC CAPITAL LETTER EM
				ELSEIF '&chr' EQ 8Dh
					lbl word 41Dh		; CYRILLIC CAPITAL LETTER EN
				ELSEIF '&chr' EQ 8Eh
					lbl word 41Eh		; CYRILLIC CAPITAL LETTER O
				ELSEIF '&chr' EQ 8Fh
					lbl word 41Fh		; CYRILLIC CAPITAL LETTER PE
				ELSEIF '&chr' EQ 90h
					lbl word 420h		; CYRILLIC CAPITAL LETTER ER
				ELSEIF '&chr' EQ 91h
					lbl word 421h		; CYRILLIC CAPITAL LETTER ES
				ELSEIF '&chr' EQ 92h
					lbl word 422h		; CYRILLIC CAPITAL LETTER TE
				ELSEIF '&chr' EQ 93h
					lbl word 423h		; CYRILLIC CAPITAL LETTER U
				ELSEIF '&chr' EQ 94h
					lbl word 424h		; CYRILLIC CAPITAL LETTER EF
				ELSEIF '&chr' EQ 95h
					lbl word 425h		; CYRILLIC CAPITAL LETTER HA
				ELSEIF '&chr' EQ 96h
					lbl word 426h		; CYRILLIC CAPITAL LETTER TSE
				ELSEIF '&chr' EQ 97h
					lbl word 427h		; CYRILLIC CAPITAL LETTER CHE
				ELSEIF '&chr' EQ 98h
					lbl word 428h		; CYRILLIC CAPITAL LETTER SHA
				ELSEIF '&chr' EQ 99h
					lbl word 429h		; CYRILLIC CAPITAL LETTER SHCHA
				ELSEIF '&chr' EQ 9Ah
					lbl word 42Ah		; CYRILLIC CAPITAL LETTER HARD SIGN
				ELSEIF '&chr' EQ 9Bh
					lbl word 42Bh		; CYRILLIC CAPITAL LETTER YERU
				ELSEIF '&chr' EQ 9Ch
					lbl word 42Ch		; CYRILLIC CAPITAL LETTER SOFT SIGN
				ELSEIF '&chr' EQ 9Dh
					lbl word 42Dh		; CYRILLIC CAPITAL LETTER E
				ELSEIF '&chr' EQ 9Eh
					lbl word 42Eh		; CYRILLIC CAPITAL LETTER YU
				ELSEIF '&chr' EQ 9Fh
					lbl word 42Fh		; CYRILLIC CAPITAL LETTER YA
				ELSEIF '&chr' EQ 0A0h
					lbl word 430h		; CYRILLIC SMALL LETTER A
				ELSEIF '&chr' EQ 0A1h
					lbl word 431h		; CYRILLIC SMALL LETTER BE
				ELSEIF '&chr' EQ 0A2h
					lbl word 432h		; CYRILLIC SMALL LETTER VE
				ELSEIF '&chr' EQ 0A3h
					lbl word 433h		; CYRILLIC SMALL LETTER GHE
				ELSEIF '&chr' EQ 0A4h
					lbl word 434h		; CYRILLIC SMALL LETTER DE
				ELSEIF '&chr' EQ 0A5h
					lbl word 435h		; CYRILLIC SMALL LETTER IE
				ELSEIF '&chr' EQ 0A6h
					lbl word 436h		; CYRILLIC SMALL LETTER ZHE
				ELSEIF '&chr' EQ 0A7h
					lbl word 437h		; CYRILLIC SMALL LETTER ZE
				ELSEIF '&chr' EQ 0A8h
					lbl word 438h		; CYRILLIC SMALL LETTER I
				ELSEIF '&chr' EQ 0A9h
					lbl word 439h		; CYRILLIC SMALL LETTER SHORT I
				ELSEIF '&chr' EQ 0AAh
					lbl word 43Ah		; CYRILLIC SMALL LETTER KA
				ELSEIF '&chr' EQ 0ABh
					lbl word 43Bh		; CYRILLIC SMALL LETTER EL
				ELSEIF '&chr' EQ 0ACh
					lbl word 43Ch		; CYRILLIC SMALL LETTER EM
				ELSEIF '&chr' EQ 0ADh
					lbl word 43Dh		; CYRILLIC SMALL LETTER EN
				ELSEIF '&chr' EQ 0AEh
					lbl word 43Eh		; CYRILLIC SMALL LETTER O
				ELSEIF '&chr' EQ 0AFh
					lbl word 43Fh		; CYRILLIC SMALL LETTER PE
				ELSEIF '&chr' EQ 0B0h
					lbl word 2591h		; LIGHT SHADE
				ELSEIF '&chr' EQ 0B1h
					lbl word 2592h		; MEDIUM SHADE
				ELSEIF '&chr' EQ 0B2h
					lbl word 2593h		; DARK SHADE
				ELSEIF '&chr' EQ 0B3h
					lbl word 2502h		; BOX DRAWINGS LIGHT VERTICAL
				ELSEIF '&chr' EQ 0B4h
					lbl word 2524h		; BOX DRAWINGS LIGHT VERTICAL AND LEFT
				ELSEIF '&chr' EQ 0B5h
					lbl word 2561h		; BOX DRAWINGS VERTICAL SINGLE AND LEFT DOUBLE
				ELSEIF '&chr' EQ 0B6h
					lbl word 2562h		; BOX DRAWINGS VERTICAL DOUBLE AND LEFT SINGLE
				ELSEIF '&chr' EQ 0B7h
					lbl word 2556h		; BOX DRAWINGS DOWN DOUBLE AND LEFT SINGLE
				ELSEIF '&chr' EQ 0B8h
					lbl word 2555h		; BOX DRAWINGS DOWN SINGLE AND LEFT DOUBLE
				ELSEIF '&chr' EQ 0B9h
					lbl word 2563h		; BOX DRAWINGS DOUBLE VERTICAL AND LEFT
				ELSEIF '&chr' EQ 0BAh
					lbl word 2551h		; BOX DRAWINGS DOUBLE VERTICAL
				ELSEIF '&chr' EQ 0BBh
					lbl word 2557h		; BOX DRAWINGS DOUBLE DOWN AND LEFT
				ELSEIF '&chr' EQ 0BCh
					lbl word 255Dh		; BOX DRAWINGS DOUBLE UP AND LEFT
				ELSEIF '&chr' EQ 0BDh
					lbl word 255Ch		; BOX DRAWINGS UP DOUBLE AND LEFT SINGLE
				ELSEIF '&chr' EQ 0BEh
					lbl word 255Bh		; BOX DRAWINGS UP SINGLE AND LEFT DOUBLE
				ELSEIF '&chr' EQ 0BFh
					lbl word 2510h		; BOX DRAWINGS LIGHT DOWN AND LEFT
				ELSEIF '&chr' EQ 0C0h
					lbl word 2514h		; BOX DRAWINGS LIGHT UP AND RIGHT
				ELSEIF '&chr' EQ 0C1h
					lbl word 2534h		; BOX DRAWINGS LIGHT UP AND HORIZONTAL
				ELSEIF '&chr' EQ 0C2h
					lbl word 252Ch		; BOX DRAWINGS LIGHT DOWN AND HORIZONTAL
				ELSEIF '&chr' EQ 0C3h
					lbl word 251Ch		; BOX DRAWINGS LIGHT VERTICAL AND RIGHT
				ELSEIF '&chr' EQ 0C4h
					lbl word 2500h		; BOX DRAWINGS LIGHT HORIZONTAL
				ELSEIF '&chr' EQ 0C5h
					lbl word 253Ch		; BOX DRAWINGS LIGHT VERTICAL AND HORIZONTAL
				ELSEIF '&chr' EQ 0C6h
					lbl word 255Eh		; BOX DRAWINGS VERTICAL SINGLE AND RIGHT DOUBLE
				ELSEIF '&chr' EQ 0C7h
					lbl word 255Fh		; BOX DRAWINGS VERTICAL DOUBLE AND RIGHT SINGLE
				ELSEIF '&chr' EQ 0C8h
					lbl word 255Ah		; BOX DRAWINGS DOUBLE UP AND RIGHT
				ELSEIF '&chr' EQ 0C9h
					lbl word 2554h		; BOX DRAWINGS DOUBLE DOWN AND RIGHT
				ELSEIF '&chr' EQ 0CAh
					lbl word 2569h		; BOX DRAWINGS DOUBLE UP AND HORIZONTAL
				ELSEIF '&chr' EQ 0CBh
					lbl word 2566h		; BOX DRAWINGS DOUBLE DOWN AND HORIZONTAL
				ELSEIF '&chr' EQ 0CCh
					lbl word 2560h		; BOX DRAWINGS DOUBLE VERTICAL AND RIGHT
				ELSEIF '&chr' EQ 0CDh
					lbl word 2550h		; BOX DRAWINGS DOUBLE HORIZONTAL
				ELSEIF '&chr' EQ 0CEh
					lbl word 256Ch		; BOX DRAWINGS DOUBLE VERTICAL AND HORIZONTAL
				ELSEIF '&chr' EQ 0CFh
					lbl word 2567h		; BOX DRAWINGS UP SINGLE AND HORIZONTAL DOUBLE
				ELSEIF '&chr' EQ 0D0h
					lbl word 2568h		; BOX DRAWINGS UP DOUBLE AND HORIZONTAL SINGLE
				ELSEIF '&chr' EQ 0D1h
					lbl word 2564h		; BOX DRAWINGS DOWN SINGLE AND HORIZONTAL DOUBLE
				ELSEIF '&chr' EQ 0D2h
					lbl word 2565h		; BOX DRAWINGS DOWN DOUBLE AND HORIZONTAL SINGLE
				ELSEIF '&chr' EQ 0D3h
					lbl word 2559h		; BOX DRAWINGS UP DOUBLE AND RIGHT SINGLE
				ELSEIF '&chr' EQ 0D4h
					lbl word 2558h		; BOX DRAWINGS UP SINGLE AND RIGHT DOUBLE
				ELSEIF '&chr' EQ 0D5h
					lbl word 2552h		; BOX DRAWINGS DOWN SINGLE AND RIGHT DOUBLE
				ELSEIF '&chr' EQ 0D6h
					lbl word 2553h		; BOX DRAWINGS DOWN DOUBLE AND RIGHT SINGLE
				ELSEIF '&chr' EQ 0D7h
					lbl word 256Bh		; BOX DRAWINGS VERTICAL DOUBLE AND HORIZONTAL SINGLE
				ELSEIF '&chr' EQ 0D8h
					lbl word 256Ah		; BOX DRAWINGS VERTICAL SINGLE AND HORIZONTAL DOUBLE
				ELSEIF '&chr' EQ 0D9h
					lbl word 2518h		; BOX DRAWINGS LIGHT UP AND LEFT
				ELSEIF '&chr' EQ 0DAh
					lbl word 250Ch		; BOX DRAWINGS LIGHT DOWN AND RIGHT
				ELSEIF '&chr' EQ 0DBh
					lbl word 2588h		; FULL BLOCK
				ELSEIF '&chr' EQ 0DCh
					lbl word 2584h		; LOWER HALF BLOCK
				ELSEIF '&chr' EQ 0DDh
					lbl word 258Ch		; LEFT HALF BLOCK
				ELSEIF '&chr' EQ 0DEh
					lbl word 2590h		; RIGHT HALF BLOCK
				ELSEIF '&chr' EQ 0DFh
					lbl word 2580h		; UPPER HALF BLOCK
				ELSEIF '&chr' EQ 0E0h
					lbl word 440h		; CYRILLIC SMALL LETTER ER
				ELSEIF '&chr' EQ 0E1h
					lbl word 441h		; CYRILLIC SMALL LETTER ES
				ELSEIF '&chr' EQ 0E2h
					lbl word 442h		; CYRILLIC SMALL LETTER TE
				ELSEIF '&chr' EQ 0E3h
					lbl word 443h		; CYRILLIC SMALL LETTER U
				ELSEIF '&chr' EQ 0E4h
					lbl word 444h		; CYRILLIC SMALL LETTER EF
				ELSEIF '&chr' EQ 0E5h
					lbl word 445h		; CYRILLIC SMALL LETTER HA
				ELSEIF '&chr' EQ 0E6h
					lbl word 446h		; CYRILLIC SMALL LETTER TSE
				ELSEIF '&chr' EQ 0E7h
					lbl word 447h		; CYRILLIC SMALL LETTER CHE
				ELSEIF '&chr' EQ 0E8h
					lbl word 448h		; CYRILLIC SMALL LETTER SHA
				ELSEIF '&chr' EQ 0E9h
					lbl word 449h		; CYRILLIC SMALL LETTER SHCHA
				ELSEIF '&chr' EQ 0EAh
					lbl word 44Ah		; CYRILLIC SMALL LETTER HARD SIGN
				ELSEIF '&chr' EQ 0EBh
					lbl word 44Bh		; CYRILLIC SMALL LETTER YERU
				ELSEIF '&chr' EQ 0ECh
					lbl word 44Ch		; CYRILLIC SMALL LETTER SOFT SIGN
				ELSEIF '&chr' EQ 0EDh
					lbl word 44Dh		; CYRILLIC SMALL LETTER E
				ELSEIF '&chr' EQ 0EEh
					lbl word 44Eh		; CYRILLIC SMALL LETTER YU
				ELSEIF '&chr' EQ 0EFh
					lbl word 44Fh		; CYRILLIC SMALL LETTER YA
				ELSEIF '&chr' EQ 0F0h
					lbl word 401h		; CYRILLIC CAPITAL LETTER IO
				ELSEIF '&chr' EQ 0F1h
					lbl word 451h		; CYRILLIC SMALL LETTER IO
				ELSEIF '&chr' EQ 0F2h
					lbl word 404h		; CYRILLIC CAPITAL LETTER UKRAINIAN IE
				ELSEIF '&chr' EQ 0F3h
					lbl word 454h		; CYRILLIC SMALL LETTER UKRAINIAN IE
				ELSEIF '&chr' EQ 0F4h
					lbl word 407h		; CYRILLIC CAPITAL LETTER YI
				ELSEIF '&chr' EQ 0F5h
					lbl word 457h		; CYRILLIC SMALL LETTER YI
				ELSEIF '&chr' EQ 0F6h
					lbl word 40Eh		; CYRILLIC CAPITAL LETTER SHORT U
				ELSEIF '&chr' EQ 0F7h
					lbl word 45Eh		; CYRILLIC SMALL LETTER SHORT U
				ELSEIF '&chr' EQ 0F8h
					lbl word 0B0h		; DEGREE SIGN
				ELSEIF '&chr' EQ 0F9h
					lbl word 2219h		; BULLET OPERATOR
				ELSEIF '&chr' EQ 0FAh
					lbl word 0B7h		; MIDDLE DOT
				ELSEIF '&chr' EQ 0FBh
					lbl word 221Ah		; SQUARE ROOT
				ELSEIF '&chr' EQ 0FCh
					lbl word 2116h		; NUMERO SIGN
				ELSEIF '&chr' EQ 0FDh
					lbl word 0A4h		; CURRENCY SIGN
				ELSEIF '&chr' EQ 0FEh
					lbl word 25A0h		; BLACK SQUARE
				ELSEIF '&chr' EQ 0FFh
					lbl word 0A0h		; NO-BREAK SPACE
				ELSE
					lbl word '&chr'
				ENDIF
			ELSEIF cp EQ 874		; OEM/Windows-874 (Thai)
				IF '&chr' EQ 80h
					lbl word 20ACh		; EURO SIGN
				ELSEIF '&chr' EQ 85h
					lbl word 2026h		; HORIZONTAL ELLIPSIS
				ELSEIF '&chr' EQ 91h
					lbl word 2018h		; LEFT SINGLE QUOTATION MARK
				ELSEIF '&chr' EQ 92h
					lbl word 2019h		; RIGHT SINGLE QUOTATION MARK
				ELSEIF '&chr' EQ 93h
					lbl word 201Ch		; LEFT DOUBLE QUOTATION MARK
				ELSEIF '&chr' EQ 94h
					lbl word 201Dh		; RIGHT DOUBLE QUOTATION MARK
				ELSEIF '&chr' EQ 95h
					lbl word 2022h		; BULLET
				ELSEIF '&chr' EQ 96h
					lbl word 2013h		; EN DASH
				ELSEIF '&chr' EQ 97h
					lbl word 2014h		; EM DASH
				ELSEIF '&chr' EQ 0A1h
					lbl word 0E01h		; THAI CHARACTER KO KAI
				ELSEIF '&chr' EQ 0A2h
					lbl word 0E02h		; THAI CHARACTER KHO KHAI
				ELSEIF '&chr' EQ 0A3h
					lbl word 0E03h		; THAI CHARACTER KHO KHUAT
				ELSEIF '&chr' EQ 0A4h
					lbl word 0E04h		; THAI CHARACTER KHO KHWAI
				ELSEIF '&chr' EQ 0A5h
					lbl word 0E05h		; THAI CHARACTER KHO KHON
				ELSEIF '&chr' EQ 0A6h
					lbl word 0E06h		; THAI CHARACTER KHO RAKHANG
				ELSEIF '&chr' EQ 0A7h
					lbl word 0E07h		; THAI CHARACTER NGO NGU
				ELSEIF '&chr' EQ 0A8h
					lbl word 0E08h		; THAI CHARACTER CHO CHAN
				ELSEIF '&chr' EQ 0A9h
					lbl word 0E09h		; THAI CHARACTER CHO CHING
				ELSEIF '&chr' EQ 0AAh
					lbl word 0E0Ah		; THAI CHARACTER CHO CHANG
				ELSEIF '&chr' EQ 0ABh
					lbl word 0E0Bh		; THAI CHARACTER SO SO
				ELSEIF '&chr' EQ 0ACh
					lbl word 0E0Ch		; THAI CHARACTER CHO CHOE
				ELSEIF '&chr' EQ 0ADh
					lbl word 0E0Dh		; THAI CHARACTER YO YING
				ELSEIF '&chr' EQ 0AEh
					lbl word 0E0Eh		; THAI CHARACTER DO CHADA
				ELSEIF '&chr' EQ 0AFh
					lbl word 0E0Fh		; THAI CHARACTER TO PATAK
				ELSEIF '&chr' EQ 0B0h
					lbl word 0E10h		; THAI CHARACTER THO THAN
				ELSEIF '&chr' EQ 0B1h
					lbl word 0E11h		; THAI CHARACTER THO NANGMONTHO
				ELSEIF '&chr' EQ 0B2h
					lbl word 0E12h		; THAI CHARACTER THO PHUTHAO
				ELSEIF '&chr' EQ 0B3h
					lbl word 0E13h		; THAI CHARACTER NO NEN
				ELSEIF '&chr' EQ 0B4h
					lbl word 0E14h		; THAI CHARACTER DO DEK
				ELSEIF '&chr' EQ 0B5h
					lbl word 0E15h		; THAI CHARACTER TO TAO
				ELSEIF '&chr' EQ 0B6h
					lbl word 0E16h		; THAI CHARACTER THO THUNG
				ELSEIF '&chr' EQ 0B7h
					lbl word 0E17h		; THAI CHARACTER THO THAHAN
				ELSEIF '&chr' EQ 0B8h
					lbl word 0E18h		; THAI CHARACTER THO THONG
				ELSEIF '&chr' EQ 0B9h
					lbl word 0E19h		; THAI CHARACTER NO NU
				ELSEIF '&chr' EQ 0BAh
					lbl word 0E1Ah		; THAI CHARACTER BO BAIMAI
				ELSEIF '&chr' EQ 0BBh
					lbl word 0E1Bh		; THAI CHARACTER PO PLA
				ELSEIF '&chr' EQ 0BCh
					lbl word 0E1Ch		; THAI CHARACTER PHO PHUNG
				ELSEIF '&chr' EQ 0BDh
					lbl word 0E1Dh		; THAI CHARACTER FO FA
				ELSEIF '&chr' EQ 0BEh
					lbl word 0E1Eh		; THAI CHARACTER PHO PHAN
				ELSEIF '&chr' EQ 0BFh
					lbl word 0E1Fh		; THAI CHARACTER FO FAN
				ELSEIF '&chr' EQ 0C0h
					lbl word 0E20h		; THAI CHARACTER PHO SAMPHAO
				ELSEIF '&chr' EQ 0C1h
					lbl word 0E21h		; THAI CHARACTER MO MA
				ELSEIF '&chr' EQ 0C2h
					lbl word 0E22h		; THAI CHARACTER YO YAK
				ELSEIF '&chr' EQ 0C3h
					lbl word 0E23h		; THAI CHARACTER RO RUA
				ELSEIF '&chr' EQ 0C4h
					lbl word 0E24h		; THAI CHARACTER RU
				ELSEIF '&chr' EQ 0C5h
					lbl word 0E25h		; THAI CHARACTER LO LING
				ELSEIF '&chr' EQ 0C6h
					lbl word 0E26h		; THAI CHARACTER LU
				ELSEIF '&chr' EQ 0C7h
					lbl word 0E27h		; THAI CHARACTER WO WAEN
				ELSEIF '&chr' EQ 0C8h
					lbl word 0E28h		; THAI CHARACTER SO SALA
				ELSEIF '&chr' EQ 0C9h
					lbl word 0E29h		; THAI CHARACTER SO RUSI
				ELSEIF '&chr' EQ 0CAh
					lbl word 0E2Ah		; THAI CHARACTER SO SUA
				ELSEIF '&chr' EQ 0CBh
					lbl word 0E2Bh		; THAI CHARACTER HO HIP
				ELSEIF '&chr' EQ 0CCh
					lbl word 0E2Ch		; THAI CHARACTER LO CHULA
				ELSEIF '&chr' EQ 0CDh
					lbl word 0E2Dh		; THAI CHARACTER O ANG
				ELSEIF '&chr' EQ 0CEh
					lbl word 0E2Eh		; THAI CHARACTER HO NOKHUK
				ELSEIF '&chr' EQ 0CFh
					lbl word 0E2Fh		; THAI CHARACTER PAIYANNOI
				ELSEIF '&chr' EQ 0D0h
					lbl word 0E30h		; THAI CHARACTER SARA A
				ELSEIF '&chr' EQ 0D1h
					lbl word 0E31h		; THAI CHARACTER MAI HAN-AKAT
				ELSEIF '&chr' EQ 0D2h
					lbl word 0E32h		; THAI CHARACTER SARA AA
				ELSEIF '&chr' EQ 0D3h
					lbl word 0E33h		; THAI CHARACTER SARA AM
				ELSEIF '&chr' EQ 0D4h
					lbl word 0E34h		; THAI CHARACTER SARA I
				ELSEIF '&chr' EQ 0D5h
					lbl word 0E35h		; THAI CHARACTER SARA II
				ELSEIF '&chr' EQ 0D6h
					lbl word 0E36h		; THAI CHARACTER SARA UE
				ELSEIF '&chr' EQ 0D7h
					lbl word 0E37h		; THAI CHARACTER SARA UEE
				ELSEIF '&chr' EQ 0D8h
					lbl word 0E38h		; THAI CHARACTER SARA U
				ELSEIF '&chr' EQ 0D9h
					lbl word 0E39h		; THAI CHARACTER SARA UU
				ELSEIF '&chr' EQ 0DAh
					lbl word 0E3Ah		; THAI CHARACTER PHINTHU
				ELSEIF '&chr' EQ 0DFh
					lbl word 0E3Fh		; THAI CURRENCY SYMBOL BAHT
				ELSEIF '&chr' EQ 0E0h
					lbl word 0E40h		; THAI CHARACTER SARA E
				ELSEIF '&chr' EQ 0E1h
					lbl word 0E41h		; THAI CHARACTER SARA AE
				ELSEIF '&chr' EQ 0E2h
					lbl word 0E42h		; THAI CHARACTER SARA O
				ELSEIF '&chr' EQ 0E3h
					lbl word 0E43h		; THAI CHARACTER SARA AI MAIMUAN
				ELSEIF '&chr' EQ 0E4h
					lbl word 0E44h		; THAI CHARACTER SARA AI MAIMALAI
				ELSEIF '&chr' EQ 0E5h
					lbl word 0E45h		; THAI CHARACTER LAKKHANGYAO
				ELSEIF '&chr' EQ 0E6h
					lbl word 0E46h		; THAI CHARACTER MAIYAMOK
				ELSEIF '&chr' EQ 0E7h
					lbl word 0E47h		; THAI CHARACTER MAITAIKHU
				ELSEIF '&chr' EQ 0E8h
					lbl word 0E48h		; THAI CHARACTER MAI EK
				ELSEIF '&chr' EQ 0E9h
					lbl word 0E49h		; THAI CHARACTER MAI THO
				ELSEIF '&chr' EQ 0EAh
					lbl word 0E4Ah		; THAI CHARACTER MAI TRI
				ELSEIF '&chr' EQ 0EBh
					lbl word 0E4Bh		; THAI CHARACTER MAI CHATTAWA
				ELSEIF '&chr' EQ 0ECh
					lbl word 0E4Ch		; THAI CHARACTER THANTHAKHAT
				ELSEIF '&chr' EQ 0EDh
					lbl word 0E4Dh		; THAI CHARACTER NIKHAHIT
				ELSEIF '&chr' EQ 0EEh
					lbl word 0E4Eh		; THAI CHARACTER YAMAKKAN
				ELSEIF '&chr' EQ 0EFh
					lbl word 0E4Fh		; THAI CHARACTER FONGMAN
				ELSEIF '&chr' EQ 0F0h
					lbl word 0E50h		; THAI DIGIT ZERO
				ELSEIF '&chr' EQ 0F1h
					lbl word 0E51h		; THAI DIGIT ONE
				ELSEIF '&chr' EQ 0F2h
					lbl word 0E52h		; THAI DIGIT TWO
				ELSEIF '&chr' EQ 0F3h
					lbl word 0E53h		; THAI DIGIT THREE
				ELSEIF '&chr' EQ 0F4h
					lbl word 0E54h		; THAI DIGIT FOUR
				ELSEIF '&chr' EQ 0F5h
					lbl word 0E55h		; THAI DIGIT FIVE
				ELSEIF '&chr' EQ 0F6h
					lbl word 0E56h		; THAI DIGIT SIX
				ELSEIF '&chr' EQ 0F7h
					lbl word 0E57h		; THAI DIGIT SEVEN
				ELSEIF '&chr' EQ 0F8h
					lbl word 0E58h		; THAI DIGIT EIGHT
				ELSEIF '&chr' EQ 0F9h
					lbl word 0E59h		; THAI DIGIT NINE
				ELSEIF '&chr' EQ 0FAh
					lbl word 0E5Ah		; THAI CHARACTER ANGKHANKHU
				ELSEIF '&chr' EQ 0FBh
					lbl word 0E5Bh		; THAI CHARACTER KHOMUT
				ELSE
					lbl word '&chr'
				ENDIF
			ELSEIF cp EQ 1250	; Windows-1250 (Central Europe)
				IF '&chr' EQ 80h
					lbl word 20ACh		; EURO SIGN
				ELSEIF '&chr' EQ 82h
					lbl word 201Ah		; SINGLE LOW-9 QUOTATION MARK
				ELSEIF '&chr' EQ 84h
					lbl word 201Eh		; DOUBLE LOW-9 QUOTATION MARK
				ELSEIF '&chr' EQ 85h
					lbl word 2026h		; HORIZONTAL ELLIPSIS
				ELSEIF '&chr' EQ 86h
					lbl word 2020h		; DAGGER
				ELSEIF '&chr' EQ 87h
					lbl word 2021h		; DOUBLE DAGGER
				ELSEIF '&chr' EQ 89h
					lbl word 2030h		; PER MILLE SIGN
				ELSEIF '&chr' EQ 8Ah
					lbl word 160h		; LATIN CAPITAL LETTER S WITH CARON
				ELSEIF '&chr' EQ 8Bh
					lbl word 2039h		; SINGLE LEFT-POINTING ANGLE QUOTATION MARK
				ELSEIF '&chr' EQ 8Ch
					lbl word 15Ah		; LATIN CAPITAL LETTER S WITH ACUTE
				ELSEIF '&chr' EQ 8Dh
					lbl word 164h		; LATIN CAPITAL LETTER T WITH CARON
				ELSEIF '&chr' EQ 8Eh
					lbl word 17Dh		; LATIN CAPITAL LETTER Z WITH CARON
				ELSEIF '&chr' EQ 8Fh
					lbl word 179h		; LATIN CAPITAL LETTER Z WITH ACUTE
				ELSEIF '&chr' EQ 91h
					lbl word 2018h		; LEFT SINGLE QUOTATION MARK
				ELSEIF '&chr' EQ 92h
					lbl word 2019h		; RIGHT SINGLE QUOTATION MARK
				ELSEIF '&chr' EQ 93h
					lbl word 201Ch		; LEFT DOUBLE QUOTATION MARK
				ELSEIF '&chr' EQ 94h
					lbl word 201Dh		; RIGHT DOUBLE QUOTATION MARK
				ELSEIF '&chr' EQ 95h
					lbl word 2022h		; BULLET
				ELSEIF '&chr' EQ 96h
					lbl word 2013h		; EN DASH
				ELSEIF '&chr' EQ 97h
					lbl word 2014h		; EM DASH
				ELSEIF '&chr' EQ 99h
					lbl word 2122h		; TRADE MARK SIGN
				ELSEIF '&chr' EQ 9Ah
					lbl word 161h		; LATIN SMALL LETTER S WITH CARON
				ELSEIF '&chr' EQ 9Bh
					lbl word 203Ah		; SINGLE RIGHT-POINTING ANGLE QUOTATION MARK
				ELSEIF '&chr' EQ 9Ch
					lbl word 15Bh		; LATIN SMALL LETTER S WITH ACUTE
				ELSEIF '&chr' EQ 9Dh
					lbl word 165h		; LATIN SMALL LETTER T WITH CARON
				ELSEIF '&chr' EQ 9Eh
					lbl word 17Eh		; LATIN SMALL LETTER Z WITH CARON
				ELSEIF '&chr' EQ 9Fh
					lbl word 17Ah		; LATIN SMALL LETTER Z WITH ACUTE
				ELSEIF '&chr' EQ 0A1h
					lbl word 2C7h		; CARON
				ELSEIF '&chr' EQ 0A2h
					lbl word 2D8h		; BREVE
				ELSEIF '&chr' EQ 0A3h
					lbl word 141h		; LATIN CAPITAL LETTER L WITH STROKE
				ELSEIF '&chr' EQ 0A5h
					lbl word 104h		; LATIN CAPITAL LETTER A WITH OGONEK
				ELSEIF '&chr' EQ 0AAh
					lbl word 15Eh		; LATIN CAPITAL LETTER S WITH CEDILLA
				ELSEIF '&chr' EQ 0AFh
					lbl word 17Bh		; LATIN CAPITAL LETTER Z WITH DOT ABOVE
				ELSEIF '&chr' EQ 0B2h
					lbl word 2DBh		; OGONEK
				ELSEIF '&chr' EQ 0B3h
					lbl word 142h		; LATIN SMALL LETTER L WITH STROKE
				ELSEIF '&chr' EQ 0B9h
					lbl word 105h		; LATIN SMALL LETTER A WITH OGONEK
				ELSEIF '&chr' EQ 0BAh
					lbl word 15Fh		; LATIN SMALL LETTER S WITH CEDILLA
				ELSEIF '&chr' EQ 0BCh
					lbl word 13Dh		; LATIN CAPITAL LETTER L WITH CARON
				ELSEIF '&chr' EQ 0BDh
					lbl word 2DDh		; DOUBLE ACUTE ACCENT
				ELSEIF '&chr' EQ 0BEh
					lbl word 13Eh		; LATIN SMALL LETTER L WITH CARON
				ELSEIF '&chr' EQ 0BFh
					lbl word 17Ch		; LATIN SMALL LETTER Z WITH DOT ABOVE
				ELSEIF '&chr' EQ 0C0h
					lbl word 154h		; LATIN CAPITAL LETTER R WITH ACUTE
				ELSEIF '&chr' EQ 0C3h
					lbl word 102h		; LATIN CAPITAL LETTER A WITH BREVE
				ELSEIF '&chr' EQ 0C5h
					lbl word 139h		; LATIN CAPITAL LETTER L WITH ACUTE
				ELSEIF '&chr' EQ 0C6h
					lbl word 106h		; LATIN CAPITAL LETTER C WITH ACUTE
				ELSEIF '&chr' EQ 0C8h
					lbl word 10Ch		; LATIN CAPITAL LETTER C WITH CARON
				ELSEIF '&chr' EQ 0CAh
					lbl word 118h		; LATIN CAPITAL LETTER E WITH OGONEK
				ELSEIF '&chr' EQ 0CCh
					lbl word 11Ah		; LATIN CAPITAL LETTER E WITH CARON
				ELSEIF '&chr' EQ 0CFh
					lbl word 10Eh		; LATIN CAPITAL LETTER D WITH CARON
				ELSEIF '&chr' EQ 0D0h
					lbl word 110h		; LATIN CAPITAL LETTER D WITH STROKE
				ELSEIF '&chr' EQ 0D1h
					lbl word 143h		; LATIN CAPITAL LETTER N WITH ACUTE
				ELSEIF '&chr' EQ 0D2h
					lbl word 147h		; LATIN CAPITAL LETTER N WITH CARON
				ELSEIF '&chr' EQ 0D5h
					lbl word 150h		; LATIN CAPITAL LETTER O WITH DOUBLE ACUTE
				ELSEIF '&chr' EQ 0D8h
					lbl word 158h		; LATIN CAPITAL LETTER R WITH CARON
				ELSEIF '&chr' EQ 0D9h
					lbl word 16Eh		; LATIN CAPITAL LETTER U WITH RING ABOVE
				ELSEIF '&chr' EQ 0DBh
					lbl word 170h		; LATIN CAPITAL LETTER U WITH DOUBLE ACUTE
				ELSEIF '&chr' EQ 0DEh
					lbl word 162h		; LATIN CAPITAL LETTER T WITH CEDILLA
				ELSEIF '&chr' EQ 0E0h
					lbl word 155h		; LATIN SMALL LETTER R WITH ACUTE
				ELSEIF '&chr' EQ 0E3h
					lbl word 103h		; LATIN SMALL LETTER A WITH BREVE
				ELSEIF '&chr' EQ 0E5h
					lbl word 13Ah		; LATIN SMALL LETTER L WITH ACUTE
				ELSEIF '&chr' EQ 0E6h
					lbl word 107h		; LATIN SMALL LETTER C WITH ACUTE
				ELSEIF '&chr' EQ 0E8h
					lbl word 10Dh		; LATIN SMALL LETTER C WITH CARON
				ELSEIF '&chr' EQ 0EAh
					lbl word 119h		; LATIN SMALL LETTER E WITH OGONEK
				ELSEIF '&chr' EQ 0ECh
					lbl word 11Bh		; LATIN SMALL LETTER E WITH CARON
				ELSEIF '&chr' EQ 0EFh
					lbl word 10Fh		; LATIN SMALL LETTER D WITH CARON
				ELSEIF '&chr' EQ 0F0h
					lbl word 111h		; LATIN SMALL LETTER D WITH STROKE
				ELSEIF '&chr' EQ 0F1h
					lbl word 144h		; LATIN SMALL LETTER N WITH ACUTE
				ELSEIF '&chr' EQ 0F2h
					lbl word 148h		; LATIN SMALL LETTER N WITH CARON
				ELSEIF '&chr' EQ 0F5h
					lbl word 151h		; LATIN SMALL LETTER O WITH DOUBLE ACUTE
				ELSEIF '&chr' EQ 0F8h
					lbl word 159h		; LATIN SMALL LETTER R WITH CARON
				ELSEIF '&chr' EQ 0F9h
					lbl word 16Fh		; LATIN SMALL LETTER U WITH RING ABOVE
				ELSEIF '&chr' EQ 0FBh
					lbl word 171h		; LATIN SMALL LETTER U WITH DOUBLE ACUTE
				ELSEIF '&chr' EQ 0FEh
					lbl word 163h		; LATIN SMALL LETTER T WITH CEDILLA
				ELSEIF '&chr' EQ 0FFh
					lbl word 2D9h		; DOT ABOVE
				ELSE
					lbl word '&chr'
				ENDIF
			ELSEIF cp EQ 1251	; Windows-1251 (Cyrillic)
				IF '&chr' EQ 80h
					lbl word 402h		; CYRILLIC CAPITAL LETTER DJE
				ELSEIF '&chr' EQ 81h
					lbl word 403h		; CYRILLIC CAPITAL LETTER GJE
				ELSEIF '&chr' EQ 82h
					lbl word 201Ah		; SINGLE LOW-9 QUOTATION MARK
				ELSEIF '&chr' EQ 83h
					lbl word 453h		; CYRILLIC SMALL LETTER GJE
				ELSEIF '&chr' EQ 84h
					lbl word 201Eh		; DOUBLE LOW-9 QUOTATION MARK
				ELSEIF '&chr' EQ 85h
					lbl word 2026h		; HORIZONTAL ELLIPSIS
				ELSEIF '&chr' EQ 86h
					lbl word 2020h		; DAGGER
				ELSEIF '&chr' EQ 87h
					lbl word 2021h		; DOUBLE DAGGER
				ELSEIF '&chr' EQ 88h
					lbl word 20ACh		; EURO SIGN
				ELSEIF '&chr' EQ 89h
					lbl word 2030h		; PER MILLE SIGN
				ELSEIF '&chr' EQ 8Ah
					lbl word 409h		; CYRILLIC CAPITAL LETTER LJE
				ELSEIF '&chr' EQ 8Bh
					lbl word 2039h		; SINGLE LEFT-POINTING ANGLE QUOTATION MARK
				ELSEIF '&chr' EQ 8Ch
					lbl word 40Ah		; CYRILLIC CAPITAL LETTER NJE
				ELSEIF '&chr' EQ 8Dh
					lbl word 40Ch		; CYRILLIC CAPITAL LETTER KJE
				ELSEIF '&chr' EQ 8Eh
					lbl word 40Bh		; CYRILLIC CAPITAL LETTER TSHE
				ELSEIF '&chr' EQ 8Fh
					lbl word 40Fh		; CYRILLIC CAPITAL LETTER DZHE
				ELSEIF '&chr' EQ 90h
					lbl word 452h		; CYRILLIC SMALL LETTER DJE
				ELSEIF '&chr' EQ 91h
					lbl word 2018h		; LEFT SINGLE QUOTATION MARK
				ELSEIF '&chr' EQ 92h
					lbl word 2019h		; RIGHT SINGLE QUOTATION MARK
				ELSEIF '&chr' EQ 93h
					lbl word 201Ch		; LEFT DOUBLE QUOTATION MARK
				ELSEIF '&chr' EQ 94h
					lbl word 201Dh		; RIGHT DOUBLE QUOTATION MARK
				ELSEIF '&chr' EQ 95h
					lbl word 2022h		; BULLET
				ELSEIF '&chr' EQ 96h
					lbl word 2013h		; EN DASH
				ELSEIF '&chr' EQ 97h
					lbl word 2014h		; EM DASH
				ELSEIF '&chr' EQ 99h
					lbl word 2122h		; TRADE MARK SIGN
				ELSEIF '&chr' EQ 9Ah
					lbl word 459h		; CYRILLIC SMALL LETTER LJE
				ELSEIF '&chr' EQ 9Bh
					lbl word 203Ah		; SINGLE RIGHT-POINTING ANGLE QUOTATION MARK
				ELSEIF '&chr' EQ 9Ch
					lbl word 45Ah		; CYRILLIC SMALL LETTER NJE
				ELSEIF '&chr' EQ 9Dh
					lbl word 45Ch		; CYRILLIC SMALL LETTER KJE
				ELSEIF '&chr' EQ 9Eh
					lbl word 45Bh		; CYRILLIC SMALL LETTER TSHE
				ELSEIF '&chr' EQ 9Fh
					lbl word 45Fh		; CYRILLIC SMALL LETTER DZHE
				ELSEIF '&chr' EQ 0A1h
					lbl word 40Eh		; CYRILLIC CAPITAL LETTER SHORT U
				ELSEIF '&chr' EQ 0A2h
					lbl word 45Eh		; CYRILLIC SMALL LETTER SHORT U
				ELSEIF '&chr' EQ 0A3h
					lbl word 408h		; CYRILLIC CAPITAL LETTER JE
				ELSEIF '&chr' EQ 0A5h
					lbl word 490h		; CYRILLIC CAPITAL LETTER GHE WITH UPTURN
				ELSEIF '&chr' EQ 0A8h
					lbl word 401h		; CYRILLIC CAPITAL LETTER IO
				ELSEIF '&chr' EQ 0AAh
					lbl word 404h		; CYRILLIC CAPITAL LETTER UKRAINIAN IE
				ELSEIF '&chr' EQ 0AFh
					lbl word 407h		; CYRILLIC CAPITAL LETTER YI
				ELSEIF '&chr' EQ 0B2h
					lbl word 406h		; CYRILLIC CAPITAL LETTER BYELORUSSIAN-UKRAINIAN I
				ELSEIF '&chr' EQ 0B3h
					lbl word 456h		; CYRILLIC SMALL LETTER BYELORUSSIAN-UKRAINIAN I
				ELSEIF '&chr' EQ 0B4h
					lbl word 491h		; CYRILLIC SMALL LETTER GHE WITH UPTURN
				ELSEIF '&chr' EQ 0B8h
					lbl word 451h		; CYRILLIC SMALL LETTER IO
				ELSEIF '&chr' EQ 0B9h
					lbl word 2116h		; NUMERO SIGN
				ELSEIF '&chr' EQ 0BAh
					lbl word 454h		; CYRILLIC SMALL LETTER UKRAINIAN IE
				ELSEIF '&chr' EQ 0BCh
					lbl word 458h		; CYRILLIC SMALL LETTER JE
				ELSEIF '&chr' EQ 0BDh
					lbl word 405h		; CYRILLIC CAPITAL LETTER DZE
				ELSEIF '&chr' EQ 0BEh
					lbl word 455h		; CYRILLIC SMALL LETTER DZE
				ELSEIF '&chr' EQ 0BFh
					lbl word 457h		; CYRILLIC SMALL LETTER YI
				ELSEIF '&chr' EQ 0C0h
					lbl word 410h		; CYRILLIC CAPITAL LETTER A
				ELSEIF '&chr' EQ 0C1h
					lbl word 411h		; CYRILLIC CAPITAL LETTER BE
				ELSEIF '&chr' EQ 0C2h
					lbl word 412h		; CYRILLIC CAPITAL LETTER VE
				ELSEIF '&chr' EQ 0C3h
					lbl word 413h		; CYRILLIC CAPITAL LETTER GHE
				ELSEIF '&chr' EQ 0C4h
					lbl word 414h		; CYRILLIC CAPITAL LETTER DE
				ELSEIF '&chr' EQ 0C5h
					lbl word 415h		; CYRILLIC CAPITAL LETTER IE
				ELSEIF '&chr' EQ 0C6h
					lbl word 416h		; CYRILLIC CAPITAL LETTER ZHE
				ELSEIF '&chr' EQ 0C7h
					lbl word 417h		; CYRILLIC CAPITAL LETTER ZE
				ELSEIF '&chr' EQ 0C8h
					lbl word 418h		; CYRILLIC CAPITAL LETTER I
				ELSEIF '&chr' EQ 0C9h
					lbl word 419h		; CYRILLIC CAPITAL LETTER SHORT I
				ELSEIF '&chr' EQ 0CAh
					lbl word 41Ah		; CYRILLIC CAPITAL LETTER KA
				ELSEIF '&chr' EQ 0CBh
					lbl word 41Bh		; CYRILLIC CAPITAL LETTER EL
				ELSEIF '&chr' EQ 0CCh
					lbl word 41Ch		; CYRILLIC CAPITAL LETTER EM
				ELSEIF '&chr' EQ 0CDh
					lbl word 41Dh		; CYRILLIC CAPITAL LETTER EN
				ELSEIF '&chr' EQ 0CEh
					lbl word 41Eh		; CYRILLIC CAPITAL LETTER O
				ELSEIF '&chr' EQ 0CFh
					lbl word 41Fh		; CYRILLIC CAPITAL LETTER PE
				ELSEIF '&chr' EQ 0D0h
					lbl word 420h		; CYRILLIC CAPITAL LETTER ER
				ELSEIF '&chr' EQ 0D1h
					lbl word 421h		; CYRILLIC CAPITAL LETTER ES
				ELSEIF '&chr' EQ 0D2h
					lbl word 422h		; CYRILLIC CAPITAL LETTER TE
				ELSEIF '&chr' EQ 0D3h
					lbl word 423h		; CYRILLIC CAPITAL LETTER U
				ELSEIF '&chr' EQ 0D4h
					lbl word 424h		; CYRILLIC CAPITAL LETTER EF
				ELSEIF '&chr' EQ 0D5h
					lbl word 425h		; CYRILLIC CAPITAL LETTER HA
				ELSEIF '&chr' EQ 0D6h
					lbl word 426h		; CYRILLIC CAPITAL LETTER TSE
				ELSEIF '&chr' EQ 0D7h
					lbl word 427h		; CYRILLIC CAPITAL LETTER CHE
				ELSEIF '&chr' EQ 0D8h
					lbl word 428h		; CYRILLIC CAPITAL LETTER SHA
				ELSEIF '&chr' EQ 0D9h
					lbl word 429h		; CYRILLIC CAPITAL LETTER SHCHA
				ELSEIF '&chr' EQ 0DAh
					lbl word 42Ah		; CYRILLIC CAPITAL LETTER HARD SIGN
				ELSEIF '&chr' EQ 0DBh
					lbl word 42Bh		; CYRILLIC CAPITAL LETTER YERU
				ELSEIF '&chr' EQ 0DCh
					lbl word 42Ch		; CYRILLIC CAPITAL LETTER SOFT SIGN
				ELSEIF '&chr' EQ 0DDh
					lbl word 42Dh		; CYRILLIC CAPITAL LETTER E
				ELSEIF '&chr' EQ 0DEh
					lbl word 42Eh		; CYRILLIC CAPITAL LETTER YU
				ELSEIF '&chr' EQ 0DFh
					lbl word 42Fh		; CYRILLIC CAPITAL LETTER YA
				ELSEIF '&chr' EQ 0E0h
					lbl word 430h		; CYRILLIC SMALL LETTER A
				ELSEIF '&chr' EQ 0E1h
					lbl word 431h		; CYRILLIC SMALL LETTER BE
				ELSEIF '&chr' EQ 0E2h
					lbl word 432h		; CYRILLIC SMALL LETTER VE
				ELSEIF '&chr' EQ 0E3h
					lbl word 433h		; CYRILLIC SMALL LETTER GHE
				ELSEIF '&chr' EQ 0E4h
					lbl word 434h		; CYRILLIC SMALL LETTER DE
				ELSEIF '&chr' EQ 0E5h
					lbl word 435h		; CYRILLIC SMALL LETTER IE
				ELSEIF '&chr' EQ 0E6h
					lbl word 436h		; CYRILLIC SMALL LETTER ZHE
				ELSEIF '&chr' EQ 0E7h
					lbl word 437h		; CYRILLIC SMALL LETTER ZE
				ELSEIF '&chr' EQ 0E8h
					lbl word 438h		; CYRILLIC SMALL LETTER I
				ELSEIF '&chr' EQ 0E9h
					lbl word 439h		; CYRILLIC SMALL LETTER SHORT I
				ELSEIF '&chr' EQ 0EAh
					lbl word 43Ah		; CYRILLIC SMALL LETTER KA
				ELSEIF '&chr' EQ 0EBh
					lbl word 43Bh		; CYRILLIC SMALL LETTER EL
				ELSEIF '&chr' EQ 0ECh
					lbl word 43Ch		; CYRILLIC SMALL LETTER EM
				ELSEIF '&chr' EQ 0EDh
					lbl word 43Dh		; CYRILLIC SMALL LETTER EN
				ELSEIF '&chr' EQ 0EEh
					lbl word 43Eh		; CYRILLIC SMALL LETTER O
				ELSEIF '&chr' EQ 0EFh
					lbl word 43Fh		; CYRILLIC SMALL LETTER PE
				ELSEIF '&chr' EQ 0F0h
					lbl word 440h		; CYRILLIC SMALL LETTER ER
				ELSEIF '&chr' EQ 0F1h
					lbl word 441h		; CYRILLIC SMALL LETTER ES
				ELSEIF '&chr' EQ 0F2h
					lbl word 442h		; CYRILLIC SMALL LETTER TE
				ELSEIF '&chr' EQ 0F3h
					lbl word 443h		; CYRILLIC SMALL LETTER U
				ELSEIF '&chr' EQ 0F4h
					lbl word 444h		; CYRILLIC SMALL LETTER EF
				ELSEIF '&chr' EQ 0F5h
					lbl word 445h		; CYRILLIC SMALL LETTER HA
				ELSEIF '&chr' EQ 0F6h
					lbl word 446h		; CYRILLIC SMALL LETTER TSE
				ELSEIF '&chr' EQ 0F7h
					lbl word 447h		; CYRILLIC SMALL LETTER CHE
				ELSEIF '&chr' EQ 0F8h
					lbl word 448h		; CYRILLIC SMALL LETTER SHA
				ELSEIF '&chr' EQ 0F9h
					lbl word 449h		; CYRILLIC SMALL LETTER SHCHA
				ELSEIF '&chr' EQ 0FAh
					lbl word 44Ah		; CYRILLIC SMALL LETTER HARD SIGN
				ELSEIF '&chr' EQ 0FBh
					lbl word 44Bh		; CYRILLIC SMALL LETTER YERU
				ELSEIF '&chr' EQ 0FCh
					lbl word 44Ch		; CYRILLIC SMALL LETTER SOFT SIGN
				ELSEIF '&chr' EQ 0FDh
					lbl word 44Dh		; CYRILLIC SMALL LETTER E
				ELSEIF '&chr' EQ 0FEh
					lbl word 44Eh		; CYRILLIC SMALL LETTER YU
				ELSEIF '&chr' EQ 0FFh
					lbl word 44Fh		; CYRILLIC SMALL LETTER YA
				ELSE
					lbl word '&chr'
				ENDIF
			ELSEIF cp EQ 1252	; Windows-1252 (Latin I)
				IF '&chr' EQ 80h
					lbl word 20ACh		; EURO SIGN
				ELSEIF '&chr' EQ 82h
					lbl word 201Ah		; SINGLE LOW-9 QUOTATION MARK
				ELSEIF '&chr' EQ 83h
					lbl word 192h		; LATIN SMALL LETTER F WITH HOOK
				ELSEIF '&chr' EQ 84h
					lbl word 201Eh		; DOUBLE LOW-9 QUOTATION MARK
				ELSEIF '&chr' EQ 85h
					lbl word 2026h		; HORIZONTAL ELLIPSIS
				ELSEIF '&chr' EQ 86h
					lbl word 2020h		; DAGGER
				ELSEIF '&chr' EQ 87h
					lbl word 2021h		; DOUBLE DAGGER
				ELSEIF '&chr' EQ 88h
					lbl word 2C6h		; MODIFIER LETTER CIRCUMFLEX ACCENT
				ELSEIF '&chr' EQ 89h
					lbl word 2030h		; PER MILLE SIGN
				ELSEIF '&chr' EQ 8Ah
					lbl word 160h		; LATIN CAPITAL LETTER S WITH CARON
				ELSEIF '&chr' EQ 8Bh
					lbl word 2039h		; SINGLE LEFT-POINTING ANGLE QUOTATION MARK
				ELSEIF '&chr' EQ 8Ch
					lbl word 152h		; LATIN CAPITAL LIGATURE OE
				ELSEIF '&chr' EQ 8Eh
					lbl word 17Dh		; LATIN CAPITAL LETTER Z WITH CARON
				ELSEIF '&chr' EQ 91h
					lbl word 2018h		; LEFT SINGLE QUOTATION MARK
				ELSEIF '&chr' EQ 92h
					lbl word 2019h		; RIGHT SINGLE QUOTATION MARK
				ELSEIF '&chr' EQ 93h
					lbl word 201Ch		; LEFT DOUBLE QUOTATION MARK
				ELSEIF '&chr' EQ 94h
					lbl word 201Dh		; RIGHT DOUBLE QUOTATION MARK
				ELSEIF '&chr' EQ 95h
					lbl word 2022h		; BULLET
				ELSEIF '&chr' EQ 96h
					lbl word 2013h		; EN DASH
				ELSEIF '&chr' EQ 97h
					lbl word 2014h		; EM DASH
				ELSEIF '&chr' EQ 98h
					lbl word 2DCh		; SMALL TILDE
				ELSEIF '&chr' EQ 99h
					lbl word 2122h		; TRADE MARK SIGN
				ELSEIF '&chr' EQ 9Ah
					lbl word 161h		; LATIN SMALL LETTER S WITH CARON
				ELSEIF '&chr' EQ 9Bh
					lbl word 203Ah		; SINGLE RIGHT-POINTING ANGLE QUOTATION MARK
				ELSEIF '&chr' EQ 9Ch
					lbl word 153h		; LATIN SMALL LIGATURE OE
				ELSEIF '&chr' EQ 9Eh
					lbl word 17Eh		; LATIN SMALL LETTER Z WITH CARON
				ELSEIF '&chr' EQ 9Fh
					lbl word 178h		; LATIN CAPITAL LETTER Y WITH DIAERESIS
				ELSE
					lbl word '&chr'
				ENDIF
			ELSEIF cp EQ 1253	; Windows-1253 (Greek)
				IF '&chr' EQ 80h
					lbl word 20ACh		; EURO SIGN
				ELSEIF '&chr' EQ 82h
					lbl word 201Ah		; SINGLE LOW-9 QUOTATION MARK
				ELSEIF '&chr' EQ 83h
					lbl word 192h		; LATIN SMALL LETTER F WITH HOOK
				ELSEIF '&chr' EQ 84h
					lbl word 201Eh		; DOUBLE LOW-9 QUOTATION MARK
				ELSEIF '&chr' EQ 85h
					lbl word 2026h		; HORIZONTAL ELLIPSIS
				ELSEIF '&chr' EQ 86h
					lbl word 2020h		; DAGGER
				ELSEIF '&chr' EQ 87h
					lbl word 2021h		; DOUBLE DAGGER
				ELSEIF '&chr' EQ 89h
					lbl word 2030h		; PER MILLE SIGN
				ELSEIF '&chr' EQ 8Bh
					lbl word 2039h		; SINGLE LEFT-POINTING ANGLE QUOTATION MARK
				ELSEIF '&chr' EQ 91h
					lbl word 2018h		; LEFT SINGLE QUOTATION MARK
				ELSEIF '&chr' EQ 92h
					lbl word 2019h		; RIGHT SINGLE QUOTATION MARK
				ELSEIF '&chr' EQ 93h
					lbl word 201Ch		; LEFT DOUBLE QUOTATION MARK
				ELSEIF '&chr' EQ 94h
					lbl word 201Dh		; RIGHT DOUBLE QUOTATION MARK
				ELSEIF '&chr' EQ 95h
					lbl word 2022h		; BULLET
				ELSEIF '&chr' EQ 96h
					lbl word 2013h		; EN DASH
				ELSEIF '&chr' EQ 97h
					lbl word 2014h		; EM DASH
				ELSEIF '&chr' EQ 99h
					lbl word 2122h		; TRADE MARK SIGN
				ELSEIF '&chr' EQ 9Bh
					lbl word 203Ah		; SINGLE RIGHT-POINTING ANGLE QUOTATION MARK
				ELSEIF '&chr' EQ 0A1h
					lbl word 385h		; GREEK DIALYTIKA TONOS
				ELSEIF '&chr' EQ 0A2h
					lbl word 386h		; GREEK CAPITAL LETTER ALPHA WITH TONOS
				ELSEIF '&chr' EQ 0AFh
					lbl word 2015h		; HORIZONTAL BAR
				ELSEIF '&chr' EQ 0B4h
					lbl word 384h		; GREEK TONOS
				ELSEIF '&chr' EQ 0B8h
					lbl word 388h		; GREEK CAPITAL LETTER EPSILON WITH TONOS
				ELSEIF '&chr' EQ 0B9h
					lbl word 389h		; GREEK CAPITAL LETTER ETA WITH TONOS
				ELSEIF '&chr' EQ 0BAh
					lbl word 38Ah		; GREEK CAPITAL LETTER IOTA WITH TONOS
				ELSEIF '&chr' EQ 0BCh
					lbl word 38Ch		; GREEK CAPITAL LETTER OMICRON WITH TONOS
				ELSEIF '&chr' EQ 0BEh
					lbl word 38Eh		; GREEK CAPITAL LETTER UPSILON WITH TONOS
				ELSEIF '&chr' EQ 0BFh
					lbl word 38Fh		; GREEK CAPITAL LETTER OMEGA WITH TONOS
				ELSEIF '&chr' EQ 0C0h
					lbl word 390h		; GREEK SMALL LETTER IOTA WITH DIALYTIKA AND TONOS
				ELSEIF '&chr' EQ 0C1h
					lbl word 391h		; GREEK CAPITAL LETTER ALPHA
				ELSEIF '&chr' EQ 0C2h
					lbl word 392h		; GREEK CAPITAL LETTER BETA
				ELSEIF '&chr' EQ 0C3h
					lbl word 393h		; GREEK CAPITAL LETTER GAMMA
				ELSEIF '&chr' EQ 0C4h
					lbl word 394h		; GREEK CAPITAL LETTER DELTA
				ELSEIF '&chr' EQ 0C5h
					lbl word 395h		; GREEK CAPITAL LETTER EPSILON
				ELSEIF '&chr' EQ 0C6h
					lbl word 396h		; GREEK CAPITAL LETTER ZETA
				ELSEIF '&chr' EQ 0C7h
					lbl word 397h		; GREEK CAPITAL LETTER ETA
				ELSEIF '&chr' EQ 0C8h
					lbl word 398h		; GREEK CAPITAL LETTER THETA
				ELSEIF '&chr' EQ 0C9h
					lbl word 399h		; GREEK CAPITAL LETTER IOTA
				ELSEIF '&chr' EQ 0CAh
					lbl word 39Ah		; GREEK CAPITAL LETTER KAPPA
				ELSEIF '&chr' EQ 0CBh
					lbl word 39Bh		; GREEK CAPITAL LETTER LAMDA
				ELSEIF '&chr' EQ 0CCh
					lbl word 39Ch		; GREEK CAPITAL LETTER MU
				ELSEIF '&chr' EQ 0CDh
					lbl word 39Dh		; GREEK CAPITAL LETTER NU
				ELSEIF '&chr' EQ 0CEh
					lbl word 39Eh		; GREEK CAPITAL LETTER XI
				ELSEIF '&chr' EQ 0CFh
					lbl word 39Fh		; GREEK CAPITAL LETTER OMICRON
				ELSEIF '&chr' EQ 0D0h
					lbl word 3A0h		; GREEK CAPITAL LETTER PI
				ELSEIF '&chr' EQ 0D1h
					lbl word 3A1h		; GREEK CAPITAL LETTER RHO
				ELSEIF '&chr' EQ 0D3h
					lbl word 3A3h		; GREEK CAPITAL LETTER SIGMA
				ELSEIF '&chr' EQ 0D4h
					lbl word 3A4h		; GREEK CAPITAL LETTER TAU
				ELSEIF '&chr' EQ 0D5h
					lbl word 3A5h		; GREEK CAPITAL LETTER UPSILON
				ELSEIF '&chr' EQ 0D6h
					lbl word 3A6h		; GREEK CAPITAL LETTER PHI
				ELSEIF '&chr' EQ 0D7h
					lbl word 3A7h		; GREEK CAPITAL LETTER CHI
				ELSEIF '&chr' EQ 0D8h
					lbl word 3A8h		; GREEK CAPITAL LETTER PSI
				ELSEIF '&chr' EQ 0D9h
					lbl word 3A9h		; GREEK CAPITAL LETTER OMEGA
				ELSEIF '&chr' EQ 0DAh
					lbl word 3AAh		; GREEK CAPITAL LETTER IOTA WITH DIALYTIKA
				ELSEIF '&chr' EQ 0DBh
					lbl word 3ABh		; GREEK CAPITAL LETTER UPSILON WITH DIALYTIKA
				ELSEIF '&chr' EQ 0DCh
					lbl word 3ACh		; GREEK SMALL LETTER ALPHA WITH TONOS
				ELSEIF '&chr' EQ 0DDh
					lbl word 3ADh		; GREEK SMALL LETTER EPSILON WITH TONOS
				ELSEIF '&chr' EQ 0DEh
					lbl word 3AEh		; GREEK SMALL LETTER ETA WITH TONOS
				ELSEIF '&chr' EQ 0DFh
					lbl word 3AFh		; GREEK SMALL LETTER IOTA WITH TONOS
				ELSEIF '&chr' EQ 0E0h
					lbl word 3B0h		; GREEK SMALL LETTER UPSILON WITH DIALYTIKA AND TONOS
				ELSEIF '&chr' EQ 0E1h
					lbl word 3B1h		; GREEK SMALL LETTER ALPHA
				ELSEIF '&chr' EQ 0E2h
					lbl word 3B2h		; GREEK SMALL LETTER BETA
				ELSEIF '&chr' EQ 0E3h
					lbl word 3B3h		; GREEK SMALL LETTER GAMMA
				ELSEIF '&chr' EQ 0E4h
					lbl word 3B4h		; GREEK SMALL LETTER DELTA
				ELSEIF '&chr' EQ 0E5h
					lbl word 3B5h		; GREEK SMALL LETTER EPSILON
				ELSEIF '&chr' EQ 0E6h
					lbl word 3B6h		; GREEK SMALL LETTER ZETA
				ELSEIF '&chr' EQ 0E7h
					lbl word 3B7h		; GREEK SMALL LETTER ETA
				ELSEIF '&chr' EQ 0E8h
					lbl word 3B8h		; GREEK SMALL LETTER THETA
				ELSEIF '&chr' EQ 0E9h
					lbl word 3B9h		; GREEK SMALL LETTER IOTA
				ELSEIF '&chr' EQ 0EAh
					lbl word 3BAh		; GREEK SMALL LETTER KAPPA
				ELSEIF '&chr' EQ 0EBh
					lbl word 3BBh		; GREEK SMALL LETTER LAMDA
				ELSEIF '&chr' EQ 0ECh
					lbl word 3BCh		; GREEK SMALL LETTER MU
				ELSEIF '&chr' EQ 0EDh
					lbl word 3BDh		; GREEK SMALL LETTER NU
				ELSEIF '&chr' EQ 0EEh
					lbl word 3BEh		; GREEK SMALL LETTER XI
				ELSEIF '&chr' EQ 0EFh
					lbl word 3BFh		; GREEK SMALL LETTER OMICRON
				ELSEIF '&chr' EQ 0F0h
					lbl word 3C0h		; GREEK SMALL LETTER PI
				ELSEIF '&chr' EQ 0F1h
					lbl word 3C1h		; GREEK SMALL LETTER RHO
				ELSEIF '&chr' EQ 0F2h
					lbl word 3C2h		; GREEK SMALL LETTER FINAL SIGMA
				ELSEIF '&chr' EQ 0F3h
					lbl word 3C3h		; GREEK SMALL LETTER SIGMA
				ELSEIF '&chr' EQ 0F4h
					lbl word 3C4h		; GREEK SMALL LETTER TAU
				ELSEIF '&chr' EQ 0F5h
					lbl word 3C5h		; GREEK SMALL LETTER UPSILON
				ELSEIF '&chr' EQ 0F6h
					lbl word 3C6h		; GREEK SMALL LETTER PHI
				ELSEIF '&chr' EQ 0F7h
					lbl word 3C7h		; GREEK SMALL LETTER CHI
				ELSEIF '&chr' EQ 0F8h
					lbl word 3C8h		; GREEK SMALL LETTER PSI
				ELSEIF '&chr' EQ 0F9h
					lbl word 3C9h		; GREEK SMALL LETTER OMEGA
				ELSEIF '&chr' EQ 0FAh
					lbl word 3CAh		; GREEK SMALL LETTER IOTA WITH DIALYTIKA
				ELSEIF '&chr' EQ 0FBh
					lbl word 3CBh		; GREEK SMALL LETTER UPSILON WITH DIALYTIKA
				ELSEIF '&chr' EQ 0FCh
					lbl word 3CCh		; GREEK SMALL LETTER OMICRON WITH TONOS
				ELSEIF '&chr' EQ 0FDh
					lbl word 3CDh		; GREEK SMALL LETTER UPSILON WITH TONOS
				ELSEIF '&chr' EQ 0FEh
					lbl word 3CEh		; GREEK SMALL LETTER OMEGA WITH TONOS
				ELSE
					lbl word '&chr'
				ENDIF
			ELSEIF cp EQ 1254	; Windows-1254 (Turkish)
				IF '&chr' EQ 80h
					lbl word 20ACh		; EURO SIGN
				ELSEIF '&chr' EQ 82h
					lbl word 201Ah		; SINGLE LOW-9 QUOTATION MARK
				ELSEIF '&chr' EQ 83h
					lbl word 192h		; LATIN SMALL LETTER F WITH HOOK
				ELSEIF '&chr' EQ 84h
					lbl word 201Eh		; DOUBLE LOW-9 QUOTATION MARK
				ELSEIF '&chr' EQ 85h
					lbl word 2026h		; HORIZONTAL ELLIPSIS
				ELSEIF '&chr' EQ 86h
					lbl word 2020h		; DAGGER
				ELSEIF '&chr' EQ 87h
					lbl word 2021h		; DOUBLE DAGGER
				ELSEIF '&chr' EQ 88h
					lbl word 2C6h		; MODIFIER LETTER CIRCUMFLEX ACCENT
				ELSEIF '&chr' EQ 89h
					lbl word 2030h		; PER MILLE SIGN
				ELSEIF '&chr' EQ 8Ah
					lbl word 160h		; LATIN CAPITAL LETTER S WITH CARON
				ELSEIF '&chr' EQ 8Bh
					lbl word 2039h		; SINGLE LEFT-POINTING ANGLE QUOTATION MARK
				ELSEIF '&chr' EQ 8Ch
					lbl word 152h		; LATIN CAPITAL LIGATURE OE
				ELSEIF '&chr' EQ 91h
					lbl word 2018h		; LEFT SINGLE QUOTATION MARK
				ELSEIF '&chr' EQ 92h
					lbl word 2019h		; RIGHT SINGLE QUOTATION MARK
				ELSEIF '&chr' EQ 93h
					lbl word 201Ch		; LEFT DOUBLE QUOTATION MARK
				ELSEIF '&chr' EQ 94h
					lbl word 201Dh		; RIGHT DOUBLE QUOTATION MARK
				ELSEIF '&chr' EQ 95h
					lbl word 2022h		; BULLET
				ELSEIF '&chr' EQ 96h
					lbl word 2013h		; EN DASH
				ELSEIF '&chr' EQ 97h
					lbl word 2014h		; EM DASH
				ELSEIF '&chr' EQ 98h
					lbl word 2DCh		; SMALL TILDE
				ELSEIF '&chr' EQ 99h
					lbl word 2122h		; TRADE MARK SIGN
				ELSEIF '&chr' EQ 9Ah
					lbl word 161h		; LATIN SMALL LETTER S WITH CARON
				ELSEIF '&chr' EQ 9Bh
					lbl word 203Ah		; SINGLE RIGHT-POINTING ANGLE QUOTATION MARK
				ELSEIF '&chr' EQ 9Ch
					lbl word 153h		; LATIN SMALL LIGATURE OE
				ELSEIF '&chr' EQ 9Fh
					lbl word 178h		; LATIN CAPITAL LETTER Y WITH DIAERESIS
				ELSEIF '&chr' EQ 0D0h
					lbl word 11Eh		; LATIN CAPITAL LETTER G WITH BREVE
				ELSEIF '&chr' EQ 0DDh
					lbl word 130h		; LATIN CAPITAL LETTER I WITH DOT ABOVE
				ELSEIF '&chr' EQ 0DEh
					lbl word 15Eh		; LATIN CAPITAL LETTER S WITH CEDILLA
				ELSEIF '&chr' EQ 0F0h
					lbl word 11Fh		; LATIN SMALL LETTER G WITH BREVE
				ELSEIF '&chr' EQ 0FDh
					lbl word 131h		; LATIN SMALL LETTER DOTLESS I
				ELSEIF '&chr' EQ 0FEh
					lbl word 15Fh		; LATIN SMALL LETTER S WITH CEDILLA
				ELSE
					lbl word '&chr'
				ENDIF
			ELSEIF cp EQ 1255	; Windows-1255 (Hebrew)
				IF '&chr' EQ 80h
					lbl word 20ACh		; EURO SIGN
				ELSEIF '&chr' EQ 82h
					lbl word 201Ah		; SINGLE LOW-9 QUOTATION MARK
				ELSEIF '&chr' EQ 83h
					lbl word 192h		; LATIN SMALL LETTER F WITH HOOK
				ELSEIF '&chr' EQ 84h
					lbl word 201Eh		; DOUBLE LOW-9 QUOTATION MARK
				ELSEIF '&chr' EQ 85h
					lbl word 2026h		; HORIZONTAL ELLIPSIS
				ELSEIF '&chr' EQ 86h
					lbl word 2020h		; DAGGER
				ELSEIF '&chr' EQ 87h
					lbl word 2021h		; DOUBLE DAGGER
				ELSEIF '&chr' EQ 88h
					lbl word 2C6h		; MODIFIER LETTER CIRCUMFLEX ACCENT
				ELSEIF '&chr' EQ 89h
					lbl word 2030h		; PER MILLE SIGN
				ELSEIF '&chr' EQ 8Bh
					lbl word 2039h		; SINGLE LEFT-POINTING ANGLE QUOTATION MARK
				ELSEIF '&chr' EQ 91h
					lbl word 2018h		; LEFT SINGLE QUOTATION MARK
				ELSEIF '&chr' EQ 92h
					lbl word 2019h		; RIGHT SINGLE QUOTATION MARK
				ELSEIF '&chr' EQ 93h
					lbl word 201Ch		; LEFT DOUBLE QUOTATION MARK
				ELSEIF '&chr' EQ 94h
					lbl word 201Dh		; RIGHT DOUBLE QUOTATION MARK
				ELSEIF '&chr' EQ 95h
					lbl word 2022h		; BULLET
				ELSEIF '&chr' EQ 96h
					lbl word 2013h		; EN DASH
				ELSEIF '&chr' EQ 97h
					lbl word 2014h		; EM DASH
				ELSEIF '&chr' EQ 98h
					lbl word 2DCh		; SMALL TILDE
				ELSEIF '&chr' EQ 99h
					lbl word 2122h		; TRADE MARK SIGN
				ELSEIF '&chr' EQ 9Bh
					lbl word 203Ah		; SINGLE RIGHT-POINTING ANGLE QUOTATION MARK
				ELSEIF '&chr' EQ 0A4h
					lbl word 20AAh		; NEW SHEQEL SIGN
				ELSEIF '&chr' EQ 0BAh
					lbl word 0F7h		; DIVISION SIGN
				ELSEIF '&chr' EQ 0C0h
					lbl word 5B0h		; HEBREW POINT SHEVA
				ELSEIF '&chr' EQ 0C1h
					lbl word 5B1h		; HEBREW POINT HATAF SEGOL
				ELSEIF '&chr' EQ 0C2h
					lbl word 5B2h		; HEBREW POINT HATAF PATAH
				ELSEIF '&chr' EQ 0C3h
					lbl word 5B3h		; HEBREW POINT HATAF QAMATS
				ELSEIF '&chr' EQ 0C4h
					lbl word 5B4h		; HEBREW POINT HIRIQ
				ELSEIF '&chr' EQ 0C5h
					lbl word 5B5h		; HEBREW POINT TSERE
				ELSEIF '&chr' EQ 0C6h
					lbl word 5B6h		; HEBREW POINT SEGOL
				ELSEIF '&chr' EQ 0C7h
					lbl word 5B7h		; HEBREW POINT PATAH
				ELSEIF '&chr' EQ 0C8h
					lbl word 5B8h		; HEBREW POINT QAMATS
				ELSEIF '&chr' EQ 0C9h
					lbl word 5B9h		; HEBREW POINT HOLAM
				ELSEIF '&chr' EQ 0CBh
					lbl word 5BBh		; HEBREW POINT QUBUTS
				ELSEIF '&chr' EQ 0CCh
					lbl word 5BCh		; HEBREW POINT DAGESH OR MAPIQ
				ELSEIF '&chr' EQ 0CDh
					lbl word 5BDh		; HEBREW POINT METEG
				ELSEIF '&chr' EQ 0CEh
					lbl word 5BEh		; HEBREW PUNCTUATION MAQAF
				ELSEIF '&chr' EQ 0CFh
					lbl word 5BFh		; HEBREW POINT RAFE
				ELSEIF '&chr' EQ 0D0h
					lbl word 5C0h		; HEBREW PUNCTUATION PASEQ
				ELSEIF '&chr' EQ 0D1h
					lbl word 5C1h		; HEBREW POINT SHIN DOT
				ELSEIF '&chr' EQ 0D2h
					lbl word 5C2h		; HEBREW POINT SIN DOT
				ELSEIF '&chr' EQ 0D3h
					lbl word 5C3h		; HEBREW PUNCTUATION SOF PASUQ
				ELSEIF '&chr' EQ 0D4h
					lbl word 5F0h		; HEBREW LIGATURE YIDDISH DOUBLE VAV
				ELSEIF '&chr' EQ 0D5h
					lbl word 5F1h		; HEBREW LIGATURE YIDDISH VAV YOD
				ELSEIF '&chr' EQ 0D6h
					lbl word 5F2h		; HEBREW LIGATURE YIDDISH DOUBLE YOD
				ELSEIF '&chr' EQ 0D7h
					lbl word 5F3h		; HEBREW PUNCTUATION GERESH
				ELSEIF '&chr' EQ 0D8h
					lbl word 5F4h		; HEBREW PUNCTUATION GERSHAYIM
				ELSEIF '&chr' EQ 0E0h
					lbl word 5D0h		; HEBREW LETTER ALEF
				ELSEIF '&chr' EQ 0E1h
					lbl word 5D1h		; HEBREW LETTER BET
				ELSEIF '&chr' EQ 0E2h
					lbl word 5D2h		; HEBREW LETTER GIMEL
				ELSEIF '&chr' EQ 0E3h
					lbl word 5D3h		; HEBREW LETTER DALET
				ELSEIF '&chr' EQ 0E4h
					lbl word 5D4h		; HEBREW LETTER HE
				ELSEIF '&chr' EQ 0E5h
					lbl word 5D5h		; HEBREW LETTER VAV
				ELSEIF '&chr' EQ 0E6h
					lbl word 5D6h		; HEBREW LETTER ZAYIN
				ELSEIF '&chr' EQ 0E7h
					lbl word 5D7h		; HEBREW LETTER HET
				ELSEIF '&chr' EQ 0E8h
					lbl word 5D8h		; HEBREW LETTER TET
				ELSEIF '&chr' EQ 0E9h
					lbl word 5D9h		; HEBREW LETTER YOD
				ELSEIF '&chr' EQ 0EAh
					lbl word 5DAh		; HEBREW LETTER FINAL KAF
				ELSEIF '&chr' EQ 0EBh
					lbl word 5DBh		; HEBREW LETTER KAF
				ELSEIF '&chr' EQ 0ECh
					lbl word 5DCh		; HEBREW LETTER LAMED
				ELSEIF '&chr' EQ 0EDh
					lbl word 5DDh		; HEBREW LETTER FINAL MEM
				ELSEIF '&chr' EQ 0EEh
					lbl word 5DEh		; HEBREW LETTER MEM
				ELSEIF '&chr' EQ 0EFh
					lbl word 5DFh		; HEBREW LETTER FINAL NUN
				ELSEIF '&chr' EQ 0F0h
					lbl word 5E0h		; HEBREW LETTER NUN
				ELSEIF '&chr' EQ 0F1h
					lbl word 5E1h		; HEBREW LETTER SAMEKH
				ELSEIF '&chr' EQ 0F2h
					lbl word 5E2h		; HEBREW LETTER AYIN
				ELSEIF '&chr' EQ 0F3h
					lbl word 5E3h		; HEBREW LETTER FINAL PE
				ELSEIF '&chr' EQ 0F4h
					lbl word 5E4h		; HEBREW LETTER PE
				ELSEIF '&chr' EQ 0F5h
					lbl word 5E5h		; HEBREW LETTER FINAL TSADI
				ELSEIF '&chr' EQ 0F6h
					lbl word 5E6h		; HEBREW LETTER TSADI
				ELSEIF '&chr' EQ 0F7h
					lbl word 5E7h		; HEBREW LETTER QOF
				ELSEIF '&chr' EQ 0F8h
					lbl word 5E8h		; HEBREW LETTER RESH
				ELSEIF '&chr' EQ 0F9h
					lbl word 5E9h		; HEBREW LETTER SHIN
				ELSEIF '&chr' EQ 0FAh
					lbl word 5EAh		; HEBREW LETTER TAV
				ELSEIF '&chr' EQ 0FDh
					lbl word 200Eh		; LEFT-TO-RIGHT MARK
				ELSEIF '&chr' EQ 0FEh
					lbl word 200Fh		; RIGHT-TO-LEFT MARK
				ELSE
					lbl word '&chr'
				ENDIF
			ELSEIF cp EQ 1256	; Windows-1256 (Arabic)
				IF '&chr' EQ 80h
					lbl word 20ACh		; EURO SIGN
				ELSEIF '&chr' EQ 81h
					lbl word 67Eh		; ARABIC LETTER PEH
				ELSEIF '&chr' EQ 82h
					lbl word 201Ah		; SINGLE LOW-9 QUOTATION MARK
				ELSEIF '&chr' EQ 83h
					lbl word 192h		; LATIN SMALL LETTER F WITH HOOK
				ELSEIF '&chr' EQ 84h
					lbl word 201Eh		; DOUBLE LOW-9 QUOTATION MARK
				ELSEIF '&chr' EQ 85h
					lbl word 2026h		; HORIZONTAL ELLIPSIS
				ELSEIF '&chr' EQ 86h
					lbl word 2020h		; DAGGER
				ELSEIF '&chr' EQ 87h
					lbl word 2021h		; DOUBLE DAGGER
				ELSEIF '&chr' EQ 88h
					lbl word 2C6h		; MODIFIER LETTER CIRCUMFLEX ACCENT
				ELSEIF '&chr' EQ 89h
					lbl word 2030h		; PER MILLE SIGN
				ELSEIF '&chr' EQ 8Ah
					lbl word 679h		; ARABIC LETTER TTEH
				ELSEIF '&chr' EQ 8Bh
					lbl word 2039h		; SINGLE LEFT-POINTING ANGLE QUOTATION MARK
				ELSEIF '&chr' EQ 8Ch
					lbl word 152h		; LATIN CAPITAL LIGATURE OE
				ELSEIF '&chr' EQ 8Dh
					lbl word 686h		; ARABIC LETTER TCHEH
				ELSEIF '&chr' EQ 8Eh
					lbl word 698h		; ARABIC LETTER JEH
				ELSEIF '&chr' EQ 8Fh
					lbl word 688h		; ARABIC LETTER DDAL
				ELSEIF '&chr' EQ 90h
					lbl word 6AFh		; ARABIC LETTER GAF
				ELSEIF '&chr' EQ 91h
					lbl word 2018h		; LEFT SINGLE QUOTATION MARK
				ELSEIF '&chr' EQ 92h
					lbl word 2019h		; RIGHT SINGLE QUOTATION MARK
				ELSEIF '&chr' EQ 93h
					lbl word 201Ch		; LEFT DOUBLE QUOTATION MARK
				ELSEIF '&chr' EQ 94h
					lbl word 201Dh		; RIGHT DOUBLE QUOTATION MARK
				ELSEIF '&chr' EQ 95h
					lbl word 2022h		; BULLET
				ELSEIF '&chr' EQ 96h
					lbl word 2013h		; EN DASH
				ELSEIF '&chr' EQ 97h
					lbl word 2014h		; EM DASH
				ELSEIF '&chr' EQ 98h
					lbl word 6A9h		; ARABIC LETTER KEHEH
				ELSEIF '&chr' EQ 99h
					lbl word 2122h		; TRADE MARK SIGN
				ELSEIF '&chr' EQ 9Ah
					lbl word 691h		; ARABIC LETTER RREH
				ELSEIF '&chr' EQ 9Bh
					lbl word 203Ah		; SINGLE RIGHT-POINTING ANGLE QUOTATION MARK
				ELSEIF '&chr' EQ 9Ch
					lbl word 153h		; LATIN SMALL LIGATURE OE
				ELSEIF '&chr' EQ 9Dh
					lbl word 200Ch		; ZERO WIDTH NON-JOINER
				ELSEIF '&chr' EQ 9Eh
					lbl word 200Dh		; ZERO WIDTH JOINER
				ELSEIF '&chr' EQ 9Fh
					lbl word 6BAh		; ARABIC LETTER NOON GHUNNA
				ELSEIF '&chr' EQ 0A1h
					lbl word 60Ch		; ARABIC COMMA
				ELSEIF '&chr' EQ 0AAh
					lbl word 6BEh		; ARABIC LETTER HEH DOACHASHMEE
				ELSEIF '&chr' EQ 0BAh
					lbl word 61Bh		; ARABIC SEMICOLON
				ELSEIF '&chr' EQ 0BFh
					lbl word 61Fh		; ARABIC QUESTION MARK
				ELSEIF '&chr' EQ 0C0h
					lbl word 6C1h		; ARABIC LETTER HEH GOAL
				ELSEIF '&chr' EQ 0C1h
					lbl word 621h		; ARABIC LETTER HAMZA
				ELSEIF '&chr' EQ 0C2h
					lbl word 622h		; ARABIC LETTER ALEF WITH MADDA ABOVE
				ELSEIF '&chr' EQ 0C3h
					lbl word 623h		; ARABIC LETTER ALEF WITH HAMZA ABOVE
				ELSEIF '&chr' EQ 0C4h
					lbl word 624h		; ARABIC LETTER WAW WITH HAMZA ABOVE
				ELSEIF '&chr' EQ 0C5h
					lbl word 625h		; ARABIC LETTER ALEF WITH HAMZA BELOW
				ELSEIF '&chr' EQ 0C6h
					lbl word 626h		; ARABIC LETTER YEH WITH HAMZA ABOVE
				ELSEIF '&chr' EQ 0C7h
					lbl word 627h		; ARABIC LETTER ALEF
				ELSEIF '&chr' EQ 0C8h
					lbl word 628h		; ARABIC LETTER BEH
				ELSEIF '&chr' EQ 0C9h
					lbl word 629h		; ARABIC LETTER TEH MARBUTA
				ELSEIF '&chr' EQ 0CAh
					lbl word 62Ah		; ARABIC LETTER TEH
				ELSEIF '&chr' EQ 0CBh
					lbl word 62Bh		; ARABIC LETTER THEH
				ELSEIF '&chr' EQ 0CCh
					lbl word 62Ch		; ARABIC LETTER JEEM
				ELSEIF '&chr' EQ 0CDh
					lbl word 62Dh		; ARABIC LETTER HAH
				ELSEIF '&chr' EQ 0CEh
					lbl word 62Eh		; ARABIC LETTER KHAH
				ELSEIF '&chr' EQ 0CFh
					lbl word 62Fh		; ARABIC LETTER DAL
				ELSEIF '&chr' EQ 0D0h
					lbl word 630h		; ARABIC LETTER THAL
				ELSEIF '&chr' EQ 0D1h
					lbl word 631h		; ARABIC LETTER REH
				ELSEIF '&chr' EQ 0D2h
					lbl word 632h		; ARABIC LETTER ZAIN
				ELSEIF '&chr' EQ 0D3h
					lbl word 633h		; ARABIC LETTER SEEN
				ELSEIF '&chr' EQ 0D4h
					lbl word 634h		; ARABIC LETTER SHEEN
				ELSEIF '&chr' EQ 0D5h
					lbl word 635h		; ARABIC LETTER SAD
				ELSEIF '&chr' EQ 0D6h
					lbl word 636h		; ARABIC LETTER DAD
				ELSEIF '&chr' EQ 0D8h
					lbl word 637h		; ARABIC LETTER TAH
				ELSEIF '&chr' EQ 0D9h
					lbl word 638h		; ARABIC LETTER ZAH
				ELSEIF '&chr' EQ 0DAh
					lbl word 639h		; ARABIC LETTER AIN
				ELSEIF '&chr' EQ 0DBh
					lbl word 63Ah		; ARABIC LETTER GHAIN
				ELSEIF '&chr' EQ 0DCh
					lbl word 640h		; ARABIC TATWEEL
				ELSEIF '&chr' EQ 0DDh
					lbl word 641h		; ARABIC LETTER FEH
				ELSEIF '&chr' EQ 0DEh
					lbl word 642h		; ARABIC LETTER QAF
				ELSEIF '&chr' EQ 0DFh
					lbl word 643h		; ARABIC LETTER KAF
				ELSEIF '&chr' EQ 0E1h
					lbl word 644h		; ARABIC LETTER LAM
				ELSEIF '&chr' EQ 0E3h
					lbl word 645h		; ARABIC LETTER MEEM
				ELSEIF '&chr' EQ 0E4h
					lbl word 646h		; ARABIC LETTER NOON
				ELSEIF '&chr' EQ 0E5h
					lbl word 647h		; ARABIC LETTER HEH
				ELSEIF '&chr' EQ 0E6h
					lbl word 648h		; ARABIC LETTER WAW
				ELSEIF '&chr' EQ 0ECh
					lbl word 649h		; ARABIC LETTER ALEF MAKSURA
				ELSEIF '&chr' EQ 0EDh
					lbl word 64Ah		; ARABIC LETTER YEH
				ELSEIF '&chr' EQ 0F0h
					lbl word 64Bh		; ARABIC FATHATAN
				ELSEIF '&chr' EQ 0F1h
					lbl word 64Ch		; ARABIC DAMMATAN
				ELSEIF '&chr' EQ 0F2h
					lbl word 64Dh		; ARABIC KASRATAN
				ELSEIF '&chr' EQ 0F3h
					lbl word 64Eh		; ARABIC FATHA
				ELSEIF '&chr' EQ 0F5h
					lbl word 64Fh		; ARABIC DAMMA
				ELSEIF '&chr' EQ 0F6h
					lbl word 650h		; ARABIC KASRA
				ELSEIF '&chr' EQ 0F8h
					lbl word 651h		; ARABIC SHADDA
				ELSEIF '&chr' EQ 0FAh
					lbl word 652h		; ARABIC SUKUN
				ELSEIF '&chr' EQ 0FDh
					lbl word 200Eh		; LEFT-TO-RIGHT MARK
				ELSEIF '&chr' EQ 0FEh
					lbl word 200Fh		; RIGHT-TO-LEFT MARK
				ELSEIF '&chr' EQ 0FFh
					lbl word 6D2h		; ARABIC LETTER YEH BARREE
				ELSE
					lbl word '&chr'
				ENDIF
			ELSEIF cp EQ 1257	; Windows-1257 (Baltic)
				IF '&chr' EQ 80h
					lbl word 20ACh		; EURO SIGN
				ELSEIF '&chr' EQ 82h
					lbl word 201Ah		; SINGLE LOW-9 QUOTATION MARK
				ELSEIF '&chr' EQ 84h
					lbl word 201Eh		; DOUBLE LOW-9 QUOTATION MARK
				ELSEIF '&chr' EQ 85h
					lbl word 2026h		; HORIZONTAL ELLIPSIS
				ELSEIF '&chr' EQ 86h
					lbl word 2020h		; DAGGER
				ELSEIF '&chr' EQ 87h
					lbl word 2021h		; DOUBLE DAGGER
				ELSEIF '&chr' EQ 89h
					lbl word 2030h		; PER MILLE SIGN
				ELSEIF '&chr' EQ 8Bh
					lbl word 2039h		; SINGLE LEFT-POINTING ANGLE QUOTATION MARK
				ELSEIF '&chr' EQ 8Dh
					lbl word 0A8h		; DIAERESIS
				ELSEIF '&chr' EQ 8Eh
					lbl word 2C7h		; CARON
				ELSEIF '&chr' EQ 8Fh
					lbl word 0B8h		; CEDILLA
				ELSEIF '&chr' EQ 91h
					lbl word 2018h		; LEFT SINGLE QUOTATION MARK
				ELSEIF '&chr' EQ 92h
					lbl word 2019h		; RIGHT SINGLE QUOTATION MARK
				ELSEIF '&chr' EQ 93h
					lbl word 201Ch		; LEFT DOUBLE QUOTATION MARK
				ELSEIF '&chr' EQ 94h
					lbl word 201Dh		; RIGHT DOUBLE QUOTATION MARK
				ELSEIF '&chr' EQ 95h
					lbl word 2022h		; BULLET
				ELSEIF '&chr' EQ 96h
					lbl word 2013h		; EN DASH
				ELSEIF '&chr' EQ 97h
					lbl word 2014h		; EM DASH
				ELSEIF '&chr' EQ 99h
					lbl word 2122h		; TRADE MARK SIGN
				ELSEIF '&chr' EQ 9Bh
					lbl word 203Ah		; SINGLE RIGHT-POINTING ANGLE QUOTATION MARK
				ELSEIF '&chr' EQ 9Dh
					lbl word 0AFh		; MACRON
				ELSEIF '&chr' EQ 9Eh
					lbl word 2DBh		; OGONEK
				ELSEIF '&chr' EQ 0A8h
					lbl word 0D8h		; LATIN CAPITAL LETTER O WITH STROKE
				ELSEIF '&chr' EQ 0AAh
					lbl word 156h		; LATIN CAPITAL LETTER R WITH CEDILLA
				ELSEIF '&chr' EQ 0AFh
					lbl word 0C6h		; LATIN CAPITAL LETTER AE
				ELSEIF '&chr' EQ 0B8h
					lbl word 0F8h		; LATIN SMALL LETTER O WITH STROKE
				ELSEIF '&chr' EQ 0BAh
					lbl word 157h		; LATIN SMALL LETTER R WITH CEDILLA
				ELSEIF '&chr' EQ 0BFh
					lbl word 0E6h		; LATIN SMALL LETTER AE
				ELSEIF '&chr' EQ 0C0h
					lbl word 104h		; LATIN CAPITAL LETTER A WITH OGONEK
				ELSEIF '&chr' EQ 0C1h
					lbl word 12Eh		; LATIN CAPITAL LETTER I WITH OGONEK
				ELSEIF '&chr' EQ 0C2h
					lbl word 100h		; LATIN CAPITAL LETTER A WITH MACRON
				ELSEIF '&chr' EQ 0C3h
					lbl word 106h		; LATIN CAPITAL LETTER C WITH ACUTE
				ELSEIF '&chr' EQ 0C6h
					lbl word 118h		; LATIN CAPITAL LETTER E WITH OGONEK
				ELSEIF '&chr' EQ 0C7h
					lbl word 112h		; LATIN CAPITAL LETTER E WITH MACRON
				ELSEIF '&chr' EQ 0C8h
					lbl word 10Ch		; LATIN CAPITAL LETTER C WITH CARON
				ELSEIF '&chr' EQ 0CAh
					lbl word 179h		; LATIN CAPITAL LETTER Z WITH ACUTE
				ELSEIF '&chr' EQ 0CBh
					lbl word 116h		; LATIN CAPITAL LETTER E WITH DOT ABOVE
				ELSEIF '&chr' EQ 0CCh
					lbl word 122h		; LATIN CAPITAL LETTER G WITH CEDILLA
				ELSEIF '&chr' EQ 0CDh
					lbl word 136h		; LATIN CAPITAL LETTER K WITH CEDILLA
				ELSEIF '&chr' EQ 0CEh
					lbl word 12Ah		; LATIN CAPITAL LETTER I WITH MACRON
				ELSEIF '&chr' EQ 0CFh
					lbl word 13Bh		; LATIN CAPITAL LETTER L WITH CEDILLA
				ELSEIF '&chr' EQ 0D0h
					lbl word 160h		; LATIN CAPITAL LETTER S WITH CARON
				ELSEIF '&chr' EQ 0D1h
					lbl word 143h		; LATIN CAPITAL LETTER N WITH ACUTE
				ELSEIF '&chr' EQ 0D2h
					lbl word 145h		; LATIN CAPITAL LETTER N WITH CEDILLA
				ELSEIF '&chr' EQ 0D4h
					lbl word 14Ch		; LATIN CAPITAL LETTER O WITH MACRON
				ELSEIF '&chr' EQ 0D8h
					lbl word 172h		; LATIN CAPITAL LETTER U WITH OGONEK
				ELSEIF '&chr' EQ 0D9h
					lbl word 141h		; LATIN CAPITAL LETTER L WITH STROKE
				ELSEIF '&chr' EQ 0DAh
					lbl word 15Ah		; LATIN CAPITAL LETTER S WITH ACUTE
				ELSEIF '&chr' EQ 0DBh
					lbl word 16Ah		; LATIN CAPITAL LETTER U WITH MACRON
				ELSEIF '&chr' EQ 0DDh
					lbl word 17Bh		; LATIN CAPITAL LETTER Z WITH DOT ABOVE
				ELSEIF '&chr' EQ 0DEh
					lbl word 17Dh		; LATIN CAPITAL LETTER Z WITH CARON
				ELSEIF '&chr' EQ 0E0h
					lbl word 105h		; LATIN SMALL LETTER A WITH OGONEK
				ELSEIF '&chr' EQ 0E1h
					lbl word 12Fh		; LATIN SMALL LETTER I WITH OGONEK
				ELSEIF '&chr' EQ 0E2h
					lbl word 101h		; LATIN SMALL LETTER A WITH MACRON
				ELSEIF '&chr' EQ 0E3h
					lbl word 107h		; LATIN SMALL LETTER C WITH ACUTE
				ELSEIF '&chr' EQ 0E6h
					lbl word 119h		; LATIN SMALL LETTER E WITH OGONEK
				ELSEIF '&chr' EQ 0E7h
					lbl word 113h		; LATIN SMALL LETTER E WITH MACRON
				ELSEIF '&chr' EQ 0E8h
					lbl word 10Dh		; LATIN SMALL LETTER C WITH CARON
				ELSEIF '&chr' EQ 0EAh
					lbl word 17Ah		; LATIN SMALL LETTER Z WITH ACUTE
				ELSEIF '&chr' EQ 0EBh
					lbl word 117h		; LATIN SMALL LETTER E WITH DOT ABOVE
				ELSEIF '&chr' EQ 0ECh
					lbl word 123h		; LATIN SMALL LETTER G WITH CEDILLA
				ELSEIF '&chr' EQ 0EDh
					lbl word 137h		; LATIN SMALL LETTER K WITH CEDILLA
				ELSEIF '&chr' EQ 0EEh
					lbl word 12Bh		; LATIN SMALL LETTER I WITH MACRON
				ELSEIF '&chr' EQ 0EFh
					lbl word 13Ch		; LATIN SMALL LETTER L WITH CEDILLA
				ELSEIF '&chr' EQ 0F0h
					lbl word 161h		; LATIN SMALL LETTER S WITH CARON
				ELSEIF '&chr' EQ 0F1h
					lbl word 144h		; LATIN SMALL LETTER N WITH ACUTE
				ELSEIF '&chr' EQ 0F2h
					lbl word 146h		; LATIN SMALL LETTER N WITH CEDILLA
				ELSEIF '&chr' EQ 0F4h
					lbl word 14Dh		; LATIN SMALL LETTER O WITH MACRON
				ELSEIF '&chr' EQ 0F8h
					lbl word 173h		; LATIN SMALL LETTER U WITH OGONEK
				ELSEIF '&chr' EQ 0F9h
					lbl word 142h		; LATIN SMALL LETTER L WITH STROKE
				ELSEIF '&chr' EQ 0FAh
					lbl word 15Bh		; LATIN SMALL LETTER S WITH ACUTE
				ELSEIF '&chr' EQ 0FBh
					lbl word 16Bh		; LATIN SMALL LETTER U WITH MACRON
				ELSEIF '&chr' EQ 0FDh
					lbl word 17Ch		; LATIN SMALL LETTER Z WITH DOT ABOVE
				ELSEIF '&chr' EQ 0FEh
					lbl word 17Eh		; LATIN SMALL LETTER Z WITH CARON
				ELSEIF '&chr' EQ 0FFh
					lbl word 2D9h		; DOT ABOVE
				ELSE
					lbl word '&chr'
				ENDIF
			ELSEIF cp EQ 1258	; Windows-1258 (Vietnam)
				IF '&chr' EQ 80h
					lbl word 20ACh		; EURO SIGN
				ELSEIF '&chr' EQ 82h
					lbl word 201Ah		; SINGLE LOW-9 QUOTATION MARK
				ELSEIF '&chr' EQ 83h
					lbl word 192h		; LATIN SMALL LETTER F WITH HOOK
				ELSEIF '&chr' EQ 84h
					lbl word 201Eh		; DOUBLE LOW-9 QUOTATION MARK
				ELSEIF '&chr' EQ 85h
					lbl word 2026h		; HORIZONTAL ELLIPSIS
				ELSEIF '&chr' EQ 86h
					lbl word 2020h		; DAGGER
				ELSEIF '&chr' EQ 87h
					lbl word 2021h		; DOUBLE DAGGER
				ELSEIF '&chr' EQ 88h
					lbl word 2C6h		; MODIFIER LETTER CIRCUMFLEX ACCENT
				ELSEIF '&chr' EQ 89h
					lbl word 2030h		; PER MILLE SIGN
				ELSEIF '&chr' EQ 8Bh
					lbl word 2039h		; SINGLE LEFT-POINTING ANGLE QUOTATION MARK
				ELSEIF '&chr' EQ 8Ch
					lbl word 152h		; LATIN CAPITAL LIGATURE OE
				ELSEIF '&chr' EQ 91h
					lbl word 2018h		; LEFT SINGLE QUOTATION MARK
				ELSEIF '&chr' EQ 92h
					lbl word 2019h		; RIGHT SINGLE QUOTATION MARK
				ELSEIF '&chr' EQ 93h
					lbl word 201Ch		; LEFT DOUBLE QUOTATION MARK
				ELSEIF '&chr' EQ 94h
					lbl word 201Dh		; RIGHT DOUBLE QUOTATION MARK
				ELSEIF '&chr' EQ 95h
					lbl word 2022h		; BULLET
				ELSEIF '&chr' EQ 96h
					lbl word 2013h		; EN DASH
				ELSEIF '&chr' EQ 97h
					lbl word 2014h		; EM DASH
				ELSEIF '&chr' EQ 98h
					lbl word 2DCh		; SMALL TILDE
				ELSEIF '&chr' EQ 99h
					lbl word 2122h		; TRADE MARK SIGN
				ELSEIF '&chr' EQ 9Bh
					lbl word 203Ah		; SINGLE RIGHT-POINTING ANGLE QUOTATION MARK
				ELSEIF '&chr' EQ 9Ch
					lbl word 153h		; LATIN SMALL LIGATURE OE
				ELSEIF '&chr' EQ 9Fh
					lbl word 178h		; LATIN CAPITAL LETTER Y WITH DIAERESIS
				ELSEIF '&chr' EQ 0C3h
					lbl word 102h		; LATIN CAPITAL LETTER A WITH BREVE
				ELSEIF '&chr' EQ 0CCh
					lbl word 300h		; COMBINING GRAVE ACCENT
				ELSEIF '&chr' EQ 0D0h
					lbl word 110h		; LATIN CAPITAL LETTER D WITH STROKE
				ELSEIF '&chr' EQ 0D2h
					lbl word 309h		; COMBINING HOOK ABOVE
				ELSEIF '&chr' EQ 0D5h
					lbl word 1A0h		; LATIN CAPITAL LETTER O WITH HORN
				ELSEIF '&chr' EQ 0DDh
					lbl word 1AFh		; LATIN CAPITAL LETTER U WITH HORN
				ELSEIF '&chr' EQ 0DEh
					lbl word 303h		; COMBINING TILDE
				ELSEIF '&chr' EQ 0E3h
					lbl word 103h		; LATIN SMALL LETTER A WITH BREVE
				ELSEIF '&chr' EQ 0ECh
					lbl word 301h		; COMBINING ACUTE ACCENT
				ELSEIF '&chr' EQ 0F0h
					lbl word 111h		; LATIN SMALL LETTER D WITH STROKE
				ELSEIF '&chr' EQ 0F2h
					lbl word 323h		; COMBINING DOT BELOW
				ELSEIF '&chr' EQ 0F5h
					lbl word 1A1h		; LATIN SMALL LETTER O WITH HORN
				ELSEIF '&chr' EQ 0FDh
					lbl word 1B0h		; LATIN SMALL LETTER U WITH HORN
				ELSEIF '&chr' EQ 0FEh
					lbl word 20ABh		; DONG SIGN
				ELSE
					lbl word '&chr'
				ENDIF
				lbl TEXTEQU <>
			ELSE
				.err <STRW_ macro error: You have used an undefined codepage>
			ENDIF
			lbl TEXTEQU <>
		ENDIF
	ENDM
	.code
ENDM